<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**                                                                          **
**   Based on a very early version of DarthPauls MagicBoard, modified with  **
**   permission                                                             **
**                                                                          **
**   This program is free software. You can redistribute it and/or modify   **
**   it under the terms of the GNU General Public License as published by   **
**   the Free Software Foundation                                           **
**                                                                          **
**   This program is distributed in the hope that it will be useful,        **
**   but WITHOUT ANY WARRANTY, without even the implied warranty of         **
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                   **
**                                                                          **
**   You should have received a copy of the GNU General Public License      **
**   along with this program.                                               **
**   ********************************************************************   */


include "_data.inc.$suffix";


###########################################################################################################################
//												BEGIN OF CONFIGURATION!
###########################################################################################################################





#########################################################################################
#
#	erste Tag der Woche
#	0 => Sonntag, 1 => Montag, 6 => Samstag
#
$first_day_of_the_week = "1";

include "_functions.inc";  // Nicht ndern!!!



#########################################################################################
#
#	Korrigieren der Posts- und Threads-Anzeigen
#
$correct_postcount_delete = 0;



########################################################################################
#
#	Slidemenu konfiguration
#
$slide_menu_enabled		=	TRUE;		//	Soll das Slidemen berhaupt angezeigt werden?   TRUE oder FALSE
$slide_titel_oben		=	"Navigation";
$slide_titel_rand		=	"NAVIGATION";
$abstand_von_oben		=	51;			//	51 Pixel sind Default
$slide_speed			=	1;			//	Je kleiner desto schneller
$slide_wait_time		=	100;		//	millisek. bis das Menu wieder zurckfhrt
$slide_menu_width		=	150;		//	Gesamt-Breite des Menus
$slide_head_font_size	=	1;			//	Grsse der Men-berschrift
$slide_head_align		=	"left";		//	Ausrichtung der Men-berschrift  (left/right/center)
$slide_head_valign		=	"center";	//	Ausrichtung der Men-berschrift  (top/bottom/center)
$slide_head_height		=	6;			//	Hhe der Men-berschrift-Zeile
$slide_link_font_size	=	1;			//	Schrift-Grsse der Links
$slide_link_align		=	"left";		//	Ausrichtung der Links  (left/right/center)
$slide_bar_font_size	=	1;			//	Schrift-Grsse der berschrift am Rand
$slide_bar_valign		=	"center";	//	Ausrichtung der Men-berschrift am Rand  (top/bottom/center)
$slide_bar_width		=	12;			//	Breite des Randes, mit der berschrift
$slide_links_array		=	array(

	"Home"				=>		"./main.$suffix",
	"Profil"			=>		"./profile.$suffix",
	"Logout"			=>		"./logout.$suffix",
	"Help"				=>		"./help.$suffix",
	"Suche"				=>		"./search.$suffix",
	"Kategorie"			=>		"./choose.$suffix",
	"Statistiken"		=>		"./stats.$suffix",
	"Boardnews"			=>		"./news.$suffix",
	"1-"				=>		"1-",		//	Auf beiden Seiten ein "x-" wird zu einer leeren Zeile! Fr "x" muss eine eindeutige Zahl festgelegt werden!!
	"Posts heute"		=>		"./new_threads.$suffix?from=\$tstamp_today",
	"Posts die Woche"	=>		"./new_threads.$suffix?from=\$tstamp_start_of_week",
	"Memberliste"		=>		"./memberlist.$suffix",
	"User online"		=>		"./online.$suffix",
	"2-"				=>		"2-",
	"VOR"				=>		"javascript:history.forward()",
	"ZURUECK"			=>		"javascript:history.back()"	// hinter dem letzten Eintrag KEIN Komma!!!

);


########################################################################################
#
#	bei Problemen der Art "Too many connections" od. &auml;hnlichen MySQL-Fehlermeldungen:
#	$donot_pconnect auf 1 setzen!
#
$donot_pconnect = 1;


#########################################################################################
#
#	Datei zur Sprach-Zuordnung
#
$langfile = "./language.txt";


#########################################################################################
#
#	Sprache (Feldname in der Tabelle "apbxxx_language"!)
#	"deutsch" / "english"
#
$language = "deutsch";


#########################################################################################
#
#	Link, welcher auf das Titel-Bild des APBoardes gesetzt werden soll
#	"http://www.deinedomain.de/apboard/main.$suffix"
#
$boardgfxlink = "http://cvs.app.megaspace.de/apboard/main.$suffix";


#########################################################################################
#
#	Target der Links im Slide-Men
#	"_top", "_blank", etc...
#
$slidemenu_target = "_self";

$registered_types = array(
	"gz"		=>							"application/x-gzip-compressed",
	"tgz"		=>							"application/x-gzip-compressed",
	"zip"		=>							"application/x-zip-compressed",
	"tar"		=>							"application/x-tar",
	"html"		=>							"text/plain",
	"htm"		=>							"text/plain",
	"php"		=>							"text/plain",
	"php3"		=>							"text/plain",
	"phtm"		=>							"text/plain",
	"phtml"		=>							"text/plain",
	"template"	=>							"text/plain",
	"temp"		=>							"text/plain",
	"tpl"		=>							"text/plain",
	"txt"		=>							"text/plain",
	"inc"		=>							"text/plain",
	"bmp"		=>							"image/bmp",
	"gif"		=>							"image/gif",
	"jpg"		=>							"image/jpeg",
	"jpeg"		=>							"image/jpeg",
	"png"		=>							"image/png",
	"swf"		=>							"application/x-shockwave-flash",
	"doc"		=>							"application/msword",
	"rtf"		=>							"application/msword",
	"xls"		=>							"application/vnd.ms-excel",
	"pdf"		=>							"application/pdf",
	"exe"		=>							"application/octet-stream"
);

#########################################################################################
#
#	maximale Userpic-Hhe und ~-Breite:
#	
$userpicwidth		=   "100";
$userpicheight		=   "100";
$userprof_picwidth	=	"400";
$userprof_picheight	=	"400";
$userprof_picsize	=	"30";    // Kilobytes

$userpic_allowed_types = "gif jpeg jpg png"; //erlaubte Dateiendungen durch Leerzeichen getrennt!

$userpic_path = "userpics/";
$profpic_path = "userpics/";

$postupload_maxsize = "1024";   // Kilobytes
$postupload_filetypes = "gif jpeg jpg zip png doc tgz rar txt pdf";
$upload_path = "uploads/";
$peruser_maxupload = "2048";  // Kilobytes
$peruser_maxfiles = "10";

$dateiicon_array = array (
	"ace" => "themes/dateiicons/ace.gif",
	"exe" => "themes/dateiicons/exe.gif",
	"gif" => "themes/dateiicons/gif.gif",
	"htm" => "themes/dateiicons/htm.gif",
	"html" => "themes/dateiicons/html.gif",
	"jpg" => "themes/dateiicons/jpg.gif",
	"jpeg" => "themes/dateiicons/jpg.gif",
	"php" => "themes/dateiicons/php.gif",
	"rar" => "themes/dateiicons/rar.gif",
	"tgz" => "themes/dateiicons/tgz.gif",
	"txt" => "themes/dateiicons/txt.gif",
	"zip" => "themes/dateiicons/zip.gif",
	"default" => "themes/dateiicons/unknown.gif"
);


#########################################################################################
#
#	User-Verzeichnis fr Bild-Upload
#	Darin wird das Verzeichnis des Users mit der ID als Verzeichnisnamen gespeichert
#	ACHTUNG:  Verzeichnis MIT letztem Slash angeben!	
#
$user_directory		=	"./files/";

#########################################################################################
#
#	maximale Anzahl an Grafiken in der Sig
#	
$max_grafics_in_sig = 1;


#########################################################################################
#
#	Zeitlicher Mindestabstand zwischen 2 Posts
#	Achtung: Bei Serverzeitumstellung beide auf "0" setzen!!
#
$min_post_inverval = 30;		// Userposts
$mod_min_post_inverval = 5;		// Moderatorposts


#########################################################################################
#
#	Lokale Serverzeit falsch? Hier einstellen:
#	
$server_zeit_unterschied = 0;	// in +/- Stunden


#########################################################################################
#  
#  Cookie-Einstellungen
#  
#	wielange sollen die Board-Passwrter in Cookies gespeichert sein
#	Angabe in Sekunden
#	z.B. 1 Jahr   =    60*60*24*365
#
$time_BoardPW_store_cookie = 60 * 60;  // 60 Minuten werden Board-PWs in Cookies gespeichert

$cookie_path = "/";   // Pfad zu den Cookies
                      // Bei mehreren Boards innerhalb einer Domain sollte genauer Pfad angegeben werden

$cookie_domain = "";  // Domain fr Cookies (optional)
                      // Wenn das Cookie fr alle Bereiche einer Website gltig sein soll, dann folgende Form:
                      // "deinedomain.de" - fr nur z.b. den Bereich "forums": "forums.deinedomain.de"

#########################################################################################
#
#	wichtig bei Boards, bei denen ein Forum als News-Forum im Backend-System benutzt wird:
#	wenn als News-Forum genutzt wird, auf 1 stellen
#	ACHTUNG: wenn auf 1 steht, ist es (mit Aufwand) m&ouml;glich, die Threads in 
#	einem passwortgeschtzen Board zu lesen
#
$show_pw_boards_global = 1;


#########################################################################################
#
#	Fehler-Behandlung:
#  ACHTUNG: Funktioniert nur unter PHP4
#  Bei PHP3 mu $use_error_handler auf 0 stehen !!!
#
$use_error_handler  = 0;   // Den Error-Handler des Apboards benutzen
$mail_site_errors	  = 1;   // Bei Fehlern dem Admin eine Mail schicken
$db_site_errors     = 1;   // Fehler in die Datenbank eintragen
$echo_errors        = 1;   // Fehler im Board ausgeben
$halton_errors      = 0;   // Bei Fehlern die Verarbeitung des Scripts anhalten


#########################################################################################
#
#	EMail-Einstellungen
#
$use_mail_system             = 1;   // Sollen im Board Mails verwendet werden (knnen)?
$allow_form_mailer           = 0;   // Mail-Formular aktivieren?
$mail_subscribed_threads     = 1;   // Soll das "Subscribe"-Feature fr Threads zur Verfgung stehen?


#########################################################################################
#
#	URLs zu den Bildern fr "neuer Beitrag" bzw. "kein neuer Beitrag"
#	ACHTUNG: wenn URL zu Bildern absolut angegeben ist, dann MUSS es mit 'http[s]://' beginnen!!!
#
$url_bulb_on = "themes/icons/forum_ungelesen.gif";
$url_bulb_off = "themes/icons/forum_gelesen.gif";
$url_gelesen_markieren = "themes/agm.gif";

# Alte Dateien - auskommentieren, wenn man bei den alten Icons bleiben will
#$url_bulb_on = "themes/icons/bulb2_on.gif";
#$url_bulb_off = "themes/icons/bulb2_off.gif";
#$url_gelesen_markieren = "themes/button1_tg.gif";


#########################################################################################
#
#	Array fr die Topic-Icons
#	durch Komma trennen
#	ACHTUNG: wenn absolut angegeben, dann M&Uuml;SSEN sie mit 'http[s]' beginnen!!!
#
$topicicon_array = array(
	"0" => "themes/icons/ausrufezeichen.gif",
	"1" => "themes/icons/frage.gif",
	"2" => "themes/icons/smilie.gif",
	"3" => "themes/icons/boese.gif",
	"4" => "themes/icons/text.gif",
	"5" => "themes/icons/flenn.gif",
	"6" => "themes/icons/thumb_up.gif",
	"7" => "themes/icons/thumb_down.gif",
	"8" => "themes/icons/laugh.gif",
	"9" => "themes/icons/biggrin.gif"
);


#########################################################################################
#
#	Default Topic-Icon (zu Anfang ausgewhlt)
#	(Zahl zum Eintragen, siehe "Array fr Topic-Icons")
#
$default_topic_icon = 4;


#########################################################################################
#
#	Zeilenumbruch in topic.php[3] nach wieviel Topic-Icons?
#
$newline_after_x_smilies = 5;


#########################################################################################
#
#	Hintergrundbild fr die Kategorie-Zeilen in main.php
#
$category_bgpicture = "";


#########################################################################################
#
#	Wieviele Beitrge eines Threads sollen pro Seite angezeigt werden?
#
$posts_per_page = 20;


#########################################################################################
#
#	Wieviele Threads pro Seite in der Threadbersicht eines Boards?
#
$threads_per_page = 20;


#########################################################################################
#
#	Wieviele Treffer einer Suche sollen pro Seite angezeigt werden?
#
$search_hits_per_page = 30;


#########################################################################################
#
#	ntige Post-Anzahl fr Top-Threads (angezeigt durch "brennende" Ordner)
#
$top_threads_min_posts = 20;


#########################################################################################
#
#	Passwort berprfen beim Registrieren?
#	(neuen Mitglied wird das Passwort an die angegebene Mail-Adresse geschickt)
#
$verify_email_at_register = 1;


#########################################################################################
#
#	Email-Adresse checken beim Registrieren?
#	Es wird berprft ob ein gltiger MX-Eintrag fr die angegebene Domain vorhanden ist
#
$verify_email_mx = 1;


#########################################################################################
#
#	doppelte Email-Adressen erlaubt?
#	wenn $no_double_email_at_register = 1 -> keine Email-Adresse beim Registrieren 
#	erlaubt, die schon jemand im Forum benutzt
#
$no_double_email_at_register = 1;


#########################################################################################
#
#	"Standart-Geschlecht", wenn vom User kein Geschlecht im Profil ausgewhlt wurde
#	1 - mnnlich
#	2 - weiblich
#
$gender_default = 1;


#########################################################################################
#
#	maximale Lnge in Buchstaben der Titel des letzten Beitrags auf der Hauptseite:
#
$textlastreply_length = 30;


#########################################################################################
#
#	Mindestlnge eines Beitrags-Textes in Buchstaben:
#
$post_message_min_length = 3;


#########################################################################################
#
#	Maximallnge eines Beitrags-Textes in Buchstaben:
#  Auf -1 setzen um zu deaktivieren!
#
$post_message_max_length = 10000;


#########################################################################################
#
#	Maximale Anzahl an Grafiken in einem Beitrag:
#	Auf -1 setzen um zu deaktivieren!
#
$post_max_images = 15;


#########################################################################################
#
#	Maximale Anzahl an Grafiken in einem Beitrag:
#	Auf -1 setzen um zu deaktivieren!
#
$post_max_smilies = 15;


#########################################################################################
#
#	Mindestlnge des Topic-Textes in Buchstaben:
#
$post_topic_min_length = 3;


#########################################################################################
#
#	noch keine Verwendung!!!
#	(Deshalb auch nicht ndern!)
#
$cache_maxage = 240;
$cache_smaxage = 120;


#########################################################################################
#
#	auf 0 stehen lassen!!
#
$use_nocache = "0";


#########################################################################################
#
#	man darf nur einmal eine Bewertung abgeben:
#
$vote_only_once = 1;


#########################################################################################
#
#	wenn Bewertung (s.o.) nur einmal, darf vorher abgegebene Bewertung gendert werden?
#
$can_change_vote = 1;


#########################################################################################
#
#	ab wieviel Stimmen soll eine Bewertung angezeigt werden?
#	z.b.: 5, damit eine Bewertung fr einen Thread erst angezeigt wird, wenn sie 
#	"reprsentativ" ist
#
$min_votes_for_show_rate = 2;


#########################################################################################
#
#	Hiweistext "Dieser Beitrag wurde am xx.xx.xx editiert" hinzufgen oder entfernen?
#	"1" -> anzeigen |  "0" -> nicht anzeigen 
#
$add_edited_text_to_post = "0";


#########################################################################################
#
#	User-Online
#
$useronline_timeout = "10"; // Zeit in Minuten, fr die Mitglieder als "Online im Board" gelten sollen
$thread_string_online = "themes/icons/useronline.gif";
$thread_string_offline = "themes/icons/useroffline.gif";


#########################################################################################
#
#	Thread-Bewertungen:
#
$possible_thread_votes = array(
	0 => "0  -  Sehr schlecht!",
	1 => "1",
	2 => "2",
	3 => "3",
	4 => "4",
	5 => "5  -  Sehr gut!"
);
$thread_vote_pics = array(
	0 => "themes/icons/vote0.gif",
	1 => "themes/icons/vote1.gif",
	2 => "themes/icons/vote2.gif",
	3 => "themes/icons/vote3.gif",
	4 => "themes/icons/vote4.gif",
	5 => "themes/icons/vote5.gif"
);


#########################################################################################
#
#	Banned-Meldung:
#	erscheint bei demjenigen im Browser, der gesperrt wurde
#
$banned_message = "Sorry, dein Account wurde gesperrt! Dafr wird es mit Sicherheit Grnde geben.<BR>Wenn Du weitere Fragen hast, dann wende dich bitte an einen Moderator oder <A HREF=\"mailto:$adminemail?subject=Account gesperrt\">Admin</A> des Forums.";// APboard


#########################################################################################
#
#	Target der Linkleiste
#
$linkleiste_target = "_blank";

#########################################################################################
#
#	Spamprotection aktivieren: 1 = an ; 0 = aus
#
$spam_protect = 1;



###########################################################################################################################
//												END OF CONFIGURATION!
###########################################################################################################################
$userprof_picsize_bytes = $userprof_picsize * 1024;
$postupload_maxsize_bytes = $postupload_maxsize * 1024;
$peruser_maxupload_bytes = $peruser_maxupload * 1024;

set_magic_quotes_runtime(0);

// User-IP und Host
// Danke an Stiwi!
$user_ip = $HTTP_SERVER_VARS["REMOTE_ADDR"];
if ($user_ip == "" || $user_ip == "127.0.0.1") {
	$user_ip = $HTTP_SERVER_VARS["HTTP_X_FORWARDED_FOR"];
}
$user_host = @gethostbyaddr($user_ip);


if ( ($phpversion_nr >= 3.07) )
{
	if ( !function_exists("getmxrr") || !function_exists("checkdnsrr") )
	{
		$verify_email_mx = 0;
	}
}

// apb_useronline_string lschen (Hackversuche!)
$apb_useronline_string = "";

$now = time();
init_functions();

// #######################  MySQL-Connect / Functions  #############################
include "db_apboard.$suffix";

$db = new DB_APB;

$db->Host      = $mysqlhost;
$db->Database  = $mysqldb;
$db->User      = $mysqluser;
$db->Password  = $mysqlpassword;

$db->connect();



// ############################  Get User-Array #############################################

$ustring = CookieAuth($UserInformation);
if (isset($UserInformation[uid]))
	{
	$apb_user = GetAPBUser($UserInformation);
	
	if ($apb_user[userid] != "")
		{
		// Last-Visit setzen
		$db->query ("UPDATE apb".$n."_user_table SET last_board_visit = '" . time() . "' WHERE userid = '$apb_user[userid]'");
		}
	
	}
else
	{
	$apb_user = array();
	}



// Folgende Variablen sind ab hier global verfgbar:
// $apb_user[userid]
// $apb_user[username]
// $apb_user[publicname]
// $apb_user[userpassword]
// $apb_user[useremail]
// $apb_user[userposts]
// $apb_user[status]
// $apb_user[statusextra]
// $apb_user[regdate]
// $apb_user[signatur]
// $apb_user[infotext]
// $apb_user[usericq]
// $apb_user[userhp]
// $apb_user[userage]
// $apb_user[userpic]
// $apb_user[profpic]
// $apb_user[interests]
// $apb_user[show_email_global]
// $apb_user[users_may_email]
// $apb_user[mods_may_email]
// $apb_user[gender]
// $apb_user[userignorelist]



// ############################  Get Style-configs #############################################
$result = $db->query("SELECT * FROM apb".$n."_config");

while($thisline = $db->next_record($result))
{
	$confid = $thisline[confid];
	$php_path = $thisline[php_path];
	$master_board_name = $thisline[master_board_name];
	$icq_thread = $thisline[icq_thread];
	$pic_thread = $thisline[pic_thread];
	$linkleiste = $thisline[linkleiste];
	$link1 = $thisline[link1];
	$link11 = $thisline[link11];
	$link2 = $thisline[link2];
	$link22 = $thisline[link22];
	$link3 = $thisline[link3];
	$link33 = $thisline[link33];
	$link4 = $thisline[link4];
	$link44 = $thisline[link44];
	$link5 = $thisline[link5];
	$link55 = $thisline[link55];
	$link6 = $thisline[link6];
	$link66 = $thisline[link66];
	$link7 = $thisline[link7];
	$link77 = $thisline[link77];
	$link8 = $thisline[link8];
	$link88 = $thisline[link88];
	$link9 = $thisline[link9];
	$link99 = $thisline[link99];
	$chatact = $thisline[chat];
	$adminmail = $thisline[adminmail];
	$installdate = $thisline[installdate];
	$showstars = $thisline[showstars];
	$defaultstyle = $thisline[defaultstyle];
}

$result = $db->query("SELECT * FROM apb".$n."_styles WHERE styleid = '$defaultstyle'");

while($thisline = $db->next_record($result))
{// APboard
	$boardgfx = $thisline[image1];
	$font_array = unserialize(stripslashes($thisline[fontarray]));
	$fontcolorarray = unserialize(stripslashes($thisline[fontcolorarray]));
	$tablecolorarray = unserialize(stripslashes($thisline[tablecolorarray]));
	
	$font = $font_array[0];
	$fontcolor = $fontcolorarray[first];
	$fontcolorsec = $fontcolorarray[second];
	$bgcol = $thisline[bgcolor];
	$tablebg = $thisline[tablebgcolor];
	$tableA = $tablecolorarray[a];
	$tableB = $tablecolorarray[b];
	$tableC = $tablecolorarray[c];
	$imageurl = $thisline[image1];
	$links = $thisline[linkcolor];
	$visited = $thisline[visited];
	$active = $thisline[active];
	$hover = $thisline[hover];
	$hgpicture = $thisline[bgpicture];
	$bgfixed = $thisline[bgfixed];
	$css = $thisline[css];
	eval ("\$cfg[css] = \"$css\";");
}


#########################################################################################
#
#	Bannerrotation!
#	Der Inhalt der Variable $bannerrotation wird ber dem Forum angezeigt
#
// Hier knnen eventuelle includes() hin, wie sie z.B. fr phpAdsNew bentigt werden!
$tablezusatz1 = "<TR><TD vAlign=left BGCOLOR=\"".$tableA."\" colspan=\"2\"><div align=\"center\">";
$tablezusatz2 = "</div></TD></TR>";
// $tablezusatz1 und -2 sollten unverndert bleiben, damit der Banner in einer eigenen Tabellenzeile erscheint!
// in $bannerrotation knnen Sie dann den Link, mit dem Bild einbauen.
// Bitte entkommentieren Sie die nchste Zeile!!!
# $bannerrotation = $tablezusatz1."<a href='http://www.php-zentrale.de/phpAdsNew/adclick.php' target='_blank'><img src='http://www.php-zentrale.de/phpAdsNew/adview.php' border='0'></a>".$tablezusatz2;
#
##########################################################################################


SessionVisit();

// ###############################  Board closed  ####################################################

if ($board_closed == "1") 
	{
	$site_title = $master_board_name." -- $board_closed_title";
	$temp_ustring = CookieAuth($UserInformation);
	 // APboard
	$board_closed_text1 = RemoveCrap($board_closed_text1, 0);
	$board_closed_text2 = RemoveCrap($board_closed_text2, 0);
	if (!$logged) 
		{
		$hstring = "<B><A HREF=\"$php_path/main.$suffix\">$master_board_name</A></B><BR>&nbsp;&nbsp;$welcome";
		include "_header.inc";
		question_box("<FONT FACE=\"$font\" SIZE=\"6\" COLOR=\"$fontcolorsec\"><B>$board_closed_text1</B></FONT><BR><BR><FONT FACE=\"$font\" SIZE=\"+1\" COLOR=\"$fontcolor\">$board_closed_text2</FONT>", "&nbsp;");
		include "_footer.inc";
		exit;
		}
	
	$temp_auth = UserAuth($UserInformation[uid],$UserInformation[upass]);
	if (!in_array ($temp_auth, $board_closed_user_entry_level)) 
		{
		$hstring = "<B><A HREF=\"$php_path/main.$suffix\">$master_board_name</A></B><BR>&nbsp;&nbsp;$welcome";
		include "_header.inc";
		question_box("<FONT FACE=\"$font\" SIZE=\"6\" COLOR=\"$fontcolorsec\"><B>$board_closed_text1</B></FONT><BR><BR><FONT FACE=\"$font\" SIZE=\"+1\" COLOR=\"$fontcolor\">$board_closed_text2</FONT>", "&nbsp;");
		include "_footer.inc";
		exit;
		}
	}



$akt_date = HackDate2(time());
$akt_date = explode(".", $akt_date);
$tstamp_today = mktime(0,0,0,$akt_date[1],$akt_date[0],$akt_date[2]);
$tstamp_start_of_week = apb_getstamp_firstdayofweek();

$eval_string = "
\$slide_links_array[\"Posts heute\"] = \"" . $slide_links_array["Posts heute"] . "\";
\$slide_links_array[\"Posts die Woche\"] = \"" . $slide_links_array["Posts die Woche"] . "\";
";
eval ($eval_string);

?>
