<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */


include "_language.inc";
include "__config.inc";

SessionVisit();

$colwidths = array( "50", "*", "70", "50", "50", "50", "80", "135");

$sort_orders = array ("threadname", "author", "replies", "timelastreply", "views", "voteaverage");
$orders_desc = array ("threadname" => "ASC", "author" => "ASC", "replies" => "DESC", "timelastreply" => "DESC", "views" => "DESC", "voteaverage" => "DESC");

$ustring = CookieAuth($UserInformation);


// Seiten-String fr Thread-bersicht
$thisboard = $db->query_first("SELECT COUNT(*) FROM apb".$n."_threads WHERE boardparentid = '$id' AND flags != 2");
$thisboard = $thisboard[0];
if ($thisboard == "0") {
	$thisboard = 1;
}


$board_info = GetBoardInfo($id);
$board_info = $db->next_record($board_info);
if (!$board_info) {
	apb_error($board_existiert_nicht,FALSE);
}

$threadsort = $board_info[threadorder];

if ($sort)
{
	
	if ( in_array($sort, $sort_orders) )
	{
		$threadsort = $sort;
		if ($rev != 1)
		{
			$desc = " $orders_desc[$sort]";
		} else {
			$desc = " " . ($orders_desc[$sort] == "DESC" ? "ASC" : "DESC");
		}
	}
	else
	{
		$sort = "";
	}
	
}

$pagebit_link = "<A HREF=\"$php_path/board.$suffix?id=$id&start={page_link_nr}" . (($sort != "") ? "&sort=$threadsort" : "") . (($rev == 1) ? "&rev=1" : "") . "$sess_link1\">{page_nr}</A> ";
$pagebit_nolink = "<B>{page_nr}</B> ";
$thread_pages_string = generatePageLinkString($thisboard, $threads_per_page, $start, $pagebit_link, $pagebit_nolink, $seiten . " ");
	
$threads = GetThreads($id,$start,"",$threadsort.$desc);

$board_style = GetStyle($id);
while($boardstyle = $db->next_record($board_style))
{
	$boardgfx = $boardstyle[image1];
	$font_array = unserialize(stripslashes($boardstyle[fontarray]));
	$fontcolorarray = unserialize(stripslashes($boardstyle[fontcolorarray]));
	$tablecolorarray = unserialize(stripslashes($boardstyle[tablecolorarray]));
	
	$font = $font_array[0];
	$fontcolor = $fontcolorarray[first];
	$fontcolorsec = $fontcolorarray[second];
	$bgcol = $boardstyle[bgcolor];
	$tablebg = $boardstyle[tablebgcolor];
	$tableA = $tablecolorarray[a];
	$tableB = $tablecolorarray[b];
	$tableC = $tablecolorarray[c];
	$links = $boardstyle[linkcolor];
	$visited = $boardstyle[visited];
	$active = $boardstyle[active];
	$hover = $boardstyle[hover];
	$hgpicture = $boardstyle[bgpicture];
	$bgfixed = $boardstyle[bgfixed];
	$css = $boardstyle[css];
	eval ("\$cfg[css] = \"$css\";");
}


// Kategorie-Passwort?
if ( ($board_info[boardpassword] == "") && ($board_info[catpassword] != "") )
{
	$board_info[boardpassword] = $board_info[catpassword];
}

if (isset($Cookie_Board_PW[$id]) && !$passwort) {
	if ($Cookie_Board_PW[$id] != $board_info[boardpassword]) apb_setcookie("Cookie_Board_PW[$id]", "", time() - 31536000);
}

if ($passwort && ($board_pw == $board_info[boardpassword])) {
	apb_setcookie("Cookie_Board_PW[$id]", $board_pw, time() + $time_BoardPW_store_cookie);
}

$last_board_visit = GetLastBoardVisit($id);
SetLastBoardVisit($id, time(), time() + (60*60*24*365));

$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;<A HREF=\"$php_path/main.$suffix?cat=$board_info[catid]$sess_link1\">";
$hstring.= "$board_info[catname]</A><BR>&nbsp;&nbsp;&nbsp;&nbsp;$board_info[boardname]";

$search_prefix = "boardprefix=$id";
$site_title = htmlspecialchars($board_info[boardname]) . " -- " . $master_board_name;
$apb_useronline_string = "\$lang_useronline[uo_board]: <A HREF=\"board.$suffix?id=$board_info[boardid]\$sess_link1\">".htmlspecialchars($board_info[boardname])."</A>";
include "_header.inc";

if (!$passwort && !$Cookie_Board_PW[$id]) {
	if (!$board_info[boardpassword])
	{
		
		if ($board_info[infotext] != "") {
			$infotext = str_replace("\r\n", "\n", $board_info[infotext]);
			$infotext = str_replace("\n", "<br>\n", $infotext);
			echo "<DIV ALIGN=\"CENTER\">\n";
			echo "		<FONT SIZE=2 FACE=\"$font\">\n";
			echo $infotext . "\n";
			echo "		</FONT>\n";
			echo "</DIV>\n<br>\n";
		}
		
		echo "<TABLE BGCOLOR=\"$tablebg\" WIDTH=\"95%\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\" ALIGN=\"CENTER\">";
		echo "  <TR BGCOLOR=\"$tableC\">";
		echo "    <TD COLSPAN=\"8\"><FONT SIZE=2 FACE=\"$font\">";
		echo "      <B>&nbsp;$board_info[boardname]</B><BR>";
		echo "         <FONT SIZE=1>&nbsp;&nbsp;$board_info[descriptiontext]</FONT><BR>";
		echo "          <TABLE WIDTH=\"100%\"><TR BGCOLOR=\"$tableC\">";
		echo "             <TD WIDTH=\"50%\"><FONT SIZE=2 FACE=\"$font\">$thread_pages_string</FONT></TD>";
		echo "             <TD WIDTH=\"50%\" ALIGN=\"RIGHT\"><FONT SIZE=2 FACE=\"$font\"><b>[ - <A HREF=\"$php_path/topic.$suffix?insertinto=$id$sess_link1\">".$neues_thema."</A> - ]</b></FONT></TD>";
		echo "          </TR></TABLE>";
		echo "         </font>";
		echo "    </TD>";
		echo "  </TR>";
?>
	<TR BGCOLOR="<? echo $tableA; ?>">
		<TD WIDTH="<? echo $colwidths[0]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $status_ueberschrift; ?></FONT></TD>
		<TD WIDTH="<? echo $colwidths[1]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo "<a href=\"board.$suffix?id=$id&sort=threadname$sess_link1" . ($sort == "threadname" && $rev != 1 ? "&rev=1" : "") . "\">"; ?><? echo $topic_ueberschrift; ?></a></FONT></TD>
		<TD WIDTH="<? echo $colwidths[2]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo "<a href=\"board.$suffix?id=$id&sort=author$sess_link1" . ($sort == "author" && $rev != 1 ? "&rev=1" : "") . "\">"; ?><? echo $author_ueberschrift; ?></a></FONT></TD>
		<TD WIDTH="<? echo $colwidths[3]; ?>"><CENTER><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo "<a href=\"board.$suffix?id=$id&sort=replies$sess_link1" . ($sort == "replies" && $rev != 1 ? "&rev=1" : "") . "\">"; ?><? echo $antworten_ueberschrift; ?></a></FONT></CENTER></TD>
		<TD WIDTH="<? echo $colwidths[4]; ?>"><CENTER><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo "<a href=\"board.$suffix?id=$id&sort=views$sess_link1" . ($sort == "views" && $rev != 1 ? "&rev=1" : "") . "\">"; ?><? echo $views_ueberschrift; ?></a></FONT></CENTER></TD>
		<TD WIDTH="<? echo $colwidths[5]; ?>"><CENTER><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo "<a href=\"board.$suffix?id=$id&sort=voteaverage$sess_link1" . ($sort == "voteaverage" && $rev != 1 ? "&rev=1" : "") . "\">"; ?>Bewertung</a></FONT></CENTER></TD>
		<TD WIDTH="<? echo $colwidths[6]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $letzter_poster; ?></FONT></TD>
		<TD WIDTH="<? echo $colwidths[7]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo "<a href=\"board.$suffix?id=$id&sort=timelastreply$sess_link1" . ($sort == "timelastreply" && $rev != 1 ? "&rev=1" : "") . "\">"; ?><? echo $letzter_beitrag; ?></a></FONT></TD>
	</TR>
<?

	while ($thisthread = $db->next_record($threads))
	{
		if ($thisthread[flags]!="2") {
		
			$pages = ceil(($thisthread[replies]+1) / $posts_per_page);
			if ($pages > 1) {
				/*
				$pages_string = "<BR><FONT SIZE=\"1\" face=\"$font\">".$seiten." ";
				for ($l=1 ; $l <= $pages; $l++) {
					$pages_string .= "<A HREF=\"$php_path/thread.$suffix?id=$thisthread[threadid]&start=";
					$pages_string .= ($l - 1) * $posts_per_page + 1;
					$pages_string .= "$sess_link1\">$l</A>$ostr";
				}
				$pages_string .= "</FONT>";
				*/
				
				$pagebit_link = "<A HREF=\"$php_path/thread.$suffix?id=$thisthread[threadid]&start={page_link_nr}$sess_link1\">{page_nr}</A> ";
				$pages_string = generatePageLinkString($thisthread[replies]+1, $posts_per_page, 0, $pagebit_link, "", "<BR><FONT SIZE=\"1\" face=\"$font\">".$seiten." ", "</FONT>");
				
				$last_post_link = "$php_path/thread.$suffix?id=$thisthread[threadid]&start=".(($l - 2) * $posts_per_page + 1)."#".$thisthread[replies];
				
			} else {
				$pages_string = "";
				
				$last_post_link = "$php_path/thread.$suffix?id=$thisthread[threadid]$sess_link1#".$thisthread[replies];
				
			}
      	
			$topic = RemoveCrop($thisthread[threadname]);
			if (!$thisthread[topicicon]) {
				$topicicon = "$php_path/themes/icons/text.gif";
			} else {
				$topicicon = $thisthread[topicicon];
			}
			
			if ($thisthread[replies] >= $top_threads_min_posts) {
				if ($last_board_visit < $thisthread[timelastreply]) {
					$topicfolder = "$php_path/themes/icons/brennenrot.gif";
				} else {
					$topicfolder = "$php_path/themes/icons/brennen.gif";
				}
			} else {
				if ($last_board_visit < $thisthread[timelastreply]) {
					$topicfolder = "$php_path/themes/icons/roterordner.gif";
				} else {
					$topicfolder = "$php_path/themes/icons/ordner.gif";
				}
			}
			
			if ($thisthread[votecount] >= $min_votes_for_show_rate) {
				$vote_grafic_id = (int) round($thisthread[voteaverage]);
				$vote_grafic = ($thread_vote_pics[$vote_grafic_id] != "" ? "<IMG SRC=\"$thread_vote_pics[$vote_grafic_id]\">" : "nbsp;");
			} else {
				$vote_grafic = "&nbsp;";
			}
			
			$views = ($thisthread[views] != 0 ? "<CENTER><font size=1 face=\"$font\">$thisthread[views]</font></CENTER>" : "&nbsp;");
			
			echo "<TR BGCOLOR=\"$tableB\">";
			if ($thisthread[flags]=="1") {
				echo "<TD><CENTER><img src=\"$topicfolder\"> <img src=\"$php_path/themes/closed.gif\"></CENTER></TD>";
			} else {
				echo "<TD><CENTER><img src=\"$topicfolder\"> <img src=\"$topicicon\"></CENTER></TD>";
			}
			
			/* veraltet:
			$result = $db->query("SELECT posts.*, users.publicname FROM apb".$n."_posts as posts, apb".$n."_user_table as users WHERE posts.threadparentid='$thisthread[threadid]' AND posts.authorid = users.userid ORDER BY posts.posttime DESC");
			$result = $db->next_record($result);
			$reply_von = $result[publicname];
			*/
			$reply_von = ($thisthread[lastposter] != "" ? $thisthread[lastposter] : $thisthread[lastreply_authorname]);
			
			$starter = ($thisthread[starter] != "" ? $thisthread[starter] : $thisthread[author]);
			echo "<TD><A HREF=\"$php_path/thread.$suffix?id=$thisthread[threadid]$sess_link1\"><font size=2 face=\"$font\">$topic</font></A>&nbsp;&nbsp;&nbsp;$pages_string</TD>";
			echo "<TD><A HREF=\"$php_path/user.$suffix?id=$thisthread[authorid]$sess_link1\"><font size=1 face=\"$font\">$starter</font></a></TD>";
			echo "<TD><CENTER><font size=1 face=\"$font\">$thisthread[replies]</font></CENTER></TD>";
			if ($thisthread[replies]=="" || $thisthread[replies]==" " || $thisthread[replies]=="0") {
				$reply_von = "&nbsp;";
			} else {
				$reply_von = "<A HREF=\"$last_post_link\"><font size=1 face=\"$font\">".$reply_von."</font></a>";
			}
			echo "<TD>$views</TD>\n";
			echo "<TD><CENTER>$vote_grafic</CENTER></TD>\n";
			echo "<TD>$reply_von</TD>\n";
			echo "<TD><font size=1 face=\"$font\">". HackDate($thisthread[timelastreply]) ."</font></TD></TR>\n";

		}
	}

	
?>
	<TR BGCOLOR="<? echo $tableB; ?>">
		<TD COLSPAN="8">
			<FONT SIZE=2 FACE=\"$font\"><? echo $thread_pages_string; ?></FONT>
		</TD>
	</TR>
	<TR BGCOLOR="<? echo $tableC; ?>">
		<TD COLSPAN="8" HEIGHT="20">
			<CENTER><FONT SIZE=2 FACE="<? echo $font; ?>">
				<b>[ - <A HREF="<? echo "$php_path/topic.$suffix?insertinto=$id$sess_link1"; ?>"><? echo $neues_thema; ?></A> - ]</b>
			</FONT></CENTER>
		</TD>
	</TR>
</TABLE>
<?
} else {
	echo "<TABLE BGCOLOR=\"$tablebg\" ALIGN=\"CENTER\" WIDTH=\"95%\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\">
	<FORM ACTION=\"$php_path/board.$suffix\" method=post>
	<TR BGCOLOR=\"$tableC\">
		<TD COLSPAN=\"2\"><FONT FACE=\"$font\" SIZE=5><B>$board_passw</B></FONT><BR>
			<FONT FACE=\"$font\" SIZE=2>$board_needs_pw</FONT>
		</TD>
	</TR>
	<TR BGCOLOR=\"$tableA\">
		<TD WIDTH=\"50%\"><FONT FACE=\"$font\" SIZE=2><B>$board_passw</B></FONT><BR>
			<FONT FACE=\"$font\" SIZE=1>$type_pw</FONT>
		</TD>
		<TD WIDTH=\"50%\">
			<INPUT CLASS=\"button\" TYPE=\"password\" NAME=\"board_pw\" MAXLENGTH=\"30\" SIZE=\"25\">
		</TD>
	</TR>
	<TR BGCOLOR=\"$tableB\">
		<TD COLSPAN=\"2\">
			<INPUT TYPE=\"hidden\" NAME=\"passwort\" VALUE=\"1\">
			<INPUT TYPE=\"hidden\" NAME=\"id\" VALUE=\"$id\">";			
	if ($start > 1) {
		echo "			<INPUT TYPE=\"hidden\" NAME=\"start\" VALUE=\"$start\">";
	}
	echo "			<CENTER><INPUT CLASS=\"button\" TYPE=\"submit\" NAME=\"Submit\" VALUE=\"Login\"></CENTER>
		</TD>
	</TR>
	</FORM>
</TABLE>";
}

//Passwort-Block
} else {
	if ($board_pw==$board_info[boardpassword] || $Cookie_Board_PW[$id]==$board_info[boardpassword]) {
		if (!isset($board_pw)) {
			$board_pw = $Cookie_Board_PW[$id];
		}
		
		if ($board_info[infotext] != "") {
			$infotext = str_replace("\r\n", "\n", $board_info[infotext]);
			$infotext = str_replace("\n", "<br>\n", $infotext);
			echo "<DIV ALIGN=\"CENTER\">\n";
			echo "<TABLE WIDTH=\"85%\" BORDER=\"0\">\n";
			echo "	<TR><TD>\n";
			echo "		<FONT SIZE=2 FACE=\"$font\">\n";
			echo $infotext . "\n";
			echo "		</FONT>\n";
			echo "	</TD></TR>\n";
			echo "</TABLE>";
			echo "</DIV>\n<br>\n";
		}
		
		echo "<TABLE BGCOLOR=\"$tablebg\" WIDTH=\"95%\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\" ALIGN=\"CENTER\">";
		echo "  <TR BGCOLOR=\"$tableC\">";
		echo "    <TD COLSPAN=\"8\"><FONT SIZE=2 FACE=\"$font\">";
		echo "      <DIV ALIGN=\"LEFT\"><B>&nbsp;$board_info[boardname]</B><BR>";
		echo "         <FONT SIZE=1>&nbsp;&nbsp;$board_info[descriptiontext]</FONT><BR><BR>";
		echo "       </DIV>";
		echo "          <TABLE WIDTH=\"100%\"><TR>";
		echo "             <TD WIDTH=\"50%\"><FONT SIZE=2 FACE=\"$font\">$thread_pages_string</FONT></TD>";
		echo "             <TD WIDTH=\"50%\" ALIGN=\"RIGHT\"><FONT SIZE=2 FACE=\"$font\"><b>[ - <A HREF=\"$php_path/topic.$suffix?insertinto=$id$sess_link1\">".$neues_thema."</A> - ]</b></FONT></TD>";
		echo "          </TR></TABLE>";
		echo "         </font>";
		echo "    </TD>";
		echo "  </TR>";

?>
	<TR BGCOLOR="<? echo $tableA; ?>">
		<TD WIDTH="<? echo $colwidths[0]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $status_ueberschrift; ?></FONT></TD>
		<TD WIDTH="<? echo $colwidths[1]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $topic_ueberschrift; ?></FONT></TD>
		<TD WIDTH="<? echo $colwidths[2]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $author_ueberschrift; ?></FONT></TD>
		<TD WIDTH="<? echo $colwidths[3]; ?>"><CENTER><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $antworten_ueberschrift; ?></FONT></CENTER></TD>
		<TD WIDTH="<? echo $colwidths[4]; ?>"><CENTER><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $views_ueberschrift; ?></FONT></CENTER></TD>
		<TD WIDTH="<? echo $colwidths[5]; ?>"><CENTER><FONT FACE="<? echo $font; ?>" SIZE="1">Bewertung</FONT></CENTER></TD>
		<TD WIDTH="<? echo $colwidths[6]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $letzter_poster; ?></FONT></TD>
		<TD WIDTH="<? echo $colwidths[7]; ?>"><FONT FACE="<? echo $font; ?>" SIZE="1"><? echo $letzter_beitrag; ?></FONT></TD>
	</TR>
<?

	while($thisthread = $db->next_record($threads))
	{
		
		if ($thisthread[flags]!="2") {
		
			$pages = ceil(($thisthread[replies]+1) / $posts_per_page);
			if ($pages > 1) {
				$pages_string = "<BR><FONT SIZE=\"1\" face=\"$font\">".$seiten." ";
				for ($l=1 ; $l <= $pages; $l++) {
					$pages_string .= "<A HREF=\"$php_path/thread.$suffix?id=$thisthread[threadid]&start=";
					$pages_string .= ($l - 1) * $posts_per_page + 1;
					$pages_string .= "$sess_link1\">$l</A>$ostr";
				}
				$pages_string .= "</FONT>";
				
				$last_post_link = "$php_path/thread.$suffix?id=$thisthread[threadid]&passwort=1&board_pw=$board_pw&start=".(($l - 2) * $posts_per_page + 1)."#".$thisthread[replies];
				
			} else {
				$pages_string = "";
				
				$last_post_link = "$php_path/thread.$suffix?id=$thisthread[threadid]&passwort=1&board_pw=$board_pw$sess_link1#".$thisthread[replies];
				
			}
      	
			$topic = RemoveCrop($thisthread[threadname]);
			if (!$thisthread[topicicon]) {
				$topicicon = "$php_path/themes/icons/text.gif";
			} else {
				$topicicon = $thisthread[topicicon];
			}
			
			if ($thisthread[replies] >= $top_threads_min_posts) {
				if ($last_board_visit < $thisthread[timelastreply]) {
					$topicfolder = "$php_path/themes/icons/brennenrot.gif";
				} else {
					$topicfolder = "$php_path/themes/icons/brennen.gif";
				}
			} else {
				if ($last_board_visit < $thisthread[timelastreply]) {
					$topicfolder = "$php_path/themes/icons/roterordner.gif";
				} else {
					$topicfolder = "$php_path/themes/icons/ordner.gif";
				}
			}
			
			if ($thisthread[votecount] >= $min_votes_for_show_rate) {
				$vote_grafic_id = (int) round($thisthread[voteaverage]);
				$vote_grafic = ($thread_vote_pics[$vote_grafic_id] != "" ? "<IMG SRC=\"$thread_vote_pics[$vote_grafic_id]\">" : "nbsp;");
			} else {
				$vote_grafic = "&nbsp;";
			}
			
			$views = ($thisthread[views] != 0 ? "<CENTER><font size=1 face=\"$font\">$thisthread[views]</font></CENTER>" : "&nbsp;");
			
			echo "<TR BGCOLOR=\"$tableB\">";
			if ($thisthread[flags]=="1") {
				echo "<TD><CENTER><img src=\"$topicfolder\"> <img src=\"$php_path/themes/closed.gif\"></CENTER></TD>";
			} else {
				echo "<TD><CENTER><img src=\"$topicfolder\"> <img src=\"$topicicon\"></CENTER></TD>";
			}
			$result = $db->query("SELECT * FROM apb".$n."_posts WHERE threadparentid='$thisthread[threadid]' ORDER BY posttime DESC;");
			$result = $db->next_record($result);
			$reply_von = $result[authorname];
			echo "<TD><A HREF=\"$php_path/thread.$suffix?id=$thisthread[threadid]&passwort=1&board_pw=$board_pw$sess_link1\"><font size=2 face=\"$font\">$topic</font></A>&nbsp;&nbsp;&nbsp;$pages_string</TD>";
			echo "<TD><A HREF=\"$php_path/user.$suffix?username=no&id=$thisthread[authorid]$sess_link1\"><font size=1 face=\"$font\">$thisthread[author]</font></a></TD>";
			echo "<TD><CENTER><font size=1 face=\"$font\">$thisthread[replies]</font></CENTER></TD>";
			if ($thisthread[replies]=="" || $thisthread[replies]==" " || $thisthread[replies]=="0") {
				$reply_von = "&nbsp;";
			} else {
				$reply_von = "<A HREF=\"$last_post_link\"><font size=1 face=\"$font\">".$reply_von."</font></a>";
			}
			
			echo "<TD>$views</TD>\n";
			echo "<TD><CENTER>$vote_grafic</CENTER></TD>\n";
			echo "<TD>$reply_von</TD>\n";
			echo "<TD><font size=1 face=\"$font\">". HackDate($thisthread[timelastreply]) ."</font></TD></TR>\n";
		}
	}

	
?>
	<TR BGCOLOR="<? echo $tableB; ?>">
		<TD COLSPAN="8">
			<FONT SIZE=2 FACE=\"$font\"><? echo $thread_pages_string; ?></FONT>
		</TD>
	</TR>
	<TR BGCOLOR="<? echo $tableC; ?>">
		<TD COLSPAN="8" HEIGHT="40">
			<CENTER><FONT SIZE=2 FACE="<? echo $font; ?>">
				<b>[ - <A HREF="<? echo "$php_path/topic.$suffix?insertinto=$id$sess_link1"; ?>"><? echo $neues_thema; ?></A> - ]</b>
			</FONT></CENTER>
		</TD>
	</TR>
</TABLE>
<?

	} else {
		apb_error ($pw_not_correct, $font, 1);
	}
}

echo "<BR><DIV ALIGN=\"CENTER\"><TABLE BORDER=0 WIDTH=\"95%\"><TR><TD ALIGN=\"RIGHT\">\n";
include "_forumjumpcode.inc";
echo "</TD></TR></TABLE>\n</DIV>\n";

include "statistik.$suffix";
insert_into_stats($PHP_SELF);
include "userreg.$suffix";
include "_footer.inc";

?>
