<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */


include "db_mysql.$suffix";

class DB_APB extends DB_Sql {
	var $classname = "DB_APB";
	
	var $Halt_On_Error = "report";
	
	function haltmsg($msg) {
		$message = "<FONT SIZE=\"4\" COLOR=\"RED\"><B>ACHTUNG</B></FONT><BR><BR><FONT SIZE=\"4\">Es ist ein Fehler in der Datenbank aufgetreten:<BR><BR></FONT>";
		$message .= "<FONT SIZE=\"3\">$msg</FONT><BR><BR>\n<B>MySQL-Error:</B>" . $this->Error . " (" . $this->Errno . ")<BR><BR>\n";
		message_box($message, "Fehler in der Datenbank");
	}
	
	
	function backuptable ($tablename, $newtablename)
	{
		
		$metadata = $this->query("SHOW FIELDS FROM $tablename");
		
		$create_string = "CREATE TABLE $newtablename (\n";
		
		while ($akt_feld = $this->next_record($metadata))
		{
			$create_string .= "\t$akt_feld[Field] $akt_feld[Type]";
			
			if ($akt_feld[Null] != "YES")
			{
				$create_string .= " NOT NULL";
			}
			if (!eregi("auto_increment", $akt_feld[Extra]) && $akt_feld[Type] != "text")
			{
				$create_string .= " DEFAULT '$akt_feld[Default]'";
			}
			if ($akt_feld[Extra] != "")
			{
				$create_string .= " $akt_feld[Extra]";
			}
			$create_string .= ",\n";
		}
		
		$indizes = $this->query("SHOW INDEX FROM $tablename");
		
		while ($akt_index = $this->next_record($indizes))
		{
			if ($akt_index[Key_name] == "PRIMARY")
			{
				$create_string .= "\tPRIMARY KEY ($akt_index[Column_name]),\n";
			}
			else
			{
				// noch deaktiviert, wir wollen nur den PRIMARY Key sehen!
				//$create_string .= "\tKEY $akt_index[Key_name] ($akt_index[Column_name]),\n";
			}
		}
		
		$create_string = substr($create_string, 0, -2);
		
		$create_string .= "\n)\n";
		
		$this->query($create_string);
		
		$this->query ("INSERT INTO $newtablename SELECT * FROM $tablename");
		
		return $create_string;
		
	}
	
		
}

?>
