<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */


include "_language.inc";
include "__config.inc";
$ustring = CookieAuth($UserInformation);
$board_style = GetStyle($BoardID);
while($boardstyle = $db->next_record($board_style)) {
	$boardgfx = $boardstyle[image1];
	$font_array = unserialize(stripslashes($boardstyle[fontarray]));
	$fontcolorarray = unserialize(stripslashes($boardstyle[fontcolorarray]));
	$tablecolorarray = unserialize(stripslashes($boardstyle[tablecolorarray]));
	
	$font = $font_array[0];
	$fontcolor = $fontcolorarray[first];
	$fontcolorsec = $fontcolorarray[second];
	$bgcol = $boardstyle[bgcolor];
	$tablebg = $boardstyle[tablebgcolor];
	$tableA = $tablecolorarray[a];
	$tableB = $tablecolorarray[b];
	$tableC = $tablecolorarray[c];
	$links = $boardstyle[linkcolor];
	$visited = $boardstyle[visited];
	$active = $boardstyle[active];
	$hover = $boardstyle[hover];
	$hgpicture = $boardstyle[bgpicture];
	$bgfixed = $boardstyle[bgfixed];
	$css = $boardstyle[css];
	eval ("\$cfg[css] = \"$css\";");
}
$apb_useronline_string = "\$lang_useronline[uo_profile]";
$hstring ="<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;$dein_profil";
include "getimagesize.$suffix";

if (!$logged) {
	include "_header.inc";
	login_box("$php_path/profile.$suffix");
	include "_footer.inc";
	exit;
}

if ($update) {
	if (!$password || !$password2 || !$email) {
		include "_header.inc";
		apb_error($pflichtfeld,FALSE);
	}
	if (strcmp($password,$password2)) {
		include "_header.inc";
		apb_error($passwort_unterschiedlich,FALSE);
	}
	if (!CheckChars($password)) {
		include "_header.inc";
		echo $password;
		apb_error($pw_unzulaessige_zeichen,FALSE);
	}
	if (strlen($password)<5) {
		include "_header.inc";
		apb_error($mind_5_zeichen,FALSE);
	}
	if (strlen($password)>25) {
		include "_header.inc";
		apb_error($max_25_zeichen,FALSE);
	}
	if (strlen($email)>70) {
		include "_header.inc";
		apb_error($email_zu_lang,FALSE);
	}
	if (strlen($signatur)>250) {
		include "_header.inc";
		apb_error($sig_zu_lang,FALSE);
	}
	if ($max_grafics_in_sig > (-1) && substr_count(strtolower($signatur),"[img]") > $max_grafics_in_sig) {
		include "_header.inc";
		apb_error($zuviele_bilder_in_sig.$max_grafics_in_sig,FALSE);
	}
	
	
	
	
	if (trim($userpic_name) != "")
		{
		$endung = strrpos($userpic_name, ".");
		$endung = substr($userpic_name, $endung + 1);
		$allowed_types = explode(" ", $userpic_allowed_types);
		if (!in_array(strtolower($endung), $allowed_types)) 
			{
			include "_header.inc";
			while (list($name, $type) = each($allowed_types))
				{
				$type_string .= "*.$type ($registered_types[$type])<br>\n";
				}
			apb_error("Es sind hier leider nur Bilder folgenden Typs erlaubt: <br><br>$type_string", FALSE);
			}
		if ($userpic_size > $userprof_picsize_bytes)
			{
			include "_header.inc";
			apb_error("Das angegebene User-Bild (Avatar) ist grsser als $userprof_picsize KB!", FALSE);
			}
		$image = GetImageSize($userpic);
		if (!$image[0])
			{
			include "_header.inc";
			apb_error("Das angegebene User-Bild (Avatar) wurde nicht gefunden, oder es hat ein nicht bekanntes Format!", FALSE);
			}
		elseif ($image[0] >= ($userpicwidth + 1) || $image[1] >= ($userpicheight + 1)) 
			{
			include "_header.inc";
			apb_error("Das angegebene User-Bild (Avatar) ist zu gro!", FALSE);
			}
		else 
			{
			$old_userpic = $db->query_first ("SELECT userid, userpic FROM apb".$n."_user_table WHERE userid = '$UserInformation[uid]'");
			$old_endung = strrpos($old_userpic[userpic], ".");
			$old_endung = substr($old_userpic[userpic], $old_endung + 1);
			$old_userpic_name = $userpic_path . "up_" . sprintf("%010d",  $old_userpic[userid]) . "." . $old_endung;
			if (file_exists($old_userpic_name))
				{
				unlink ($old_userpic_name);
				}
			$new_userpic_name = $userpic_path . "up_" . sprintf("%010d",  $old_userpic[userid]) . "." . $endung;
			if (!copy ($userpic, $new_userpic_name))
				{
				apb_error("Das angegebene User-Bild (Avatar) konnte nicht kopiert werden. Bitte wenden Sie sich an den Administrator.", FALSE);
				} 
			else 
				{
				$new_userpic = $php_path . "/" . $new_userpic_name;
				}
			}
		}
	else
		{
		$old_userpic = $db->query_first ("SELECT userid, userpic FROM apb".$n."_user_table WHERE userid = '$UserInformation[uid]'");
		if (trim($old_userpic[userpic]) != "")
			{
			$old_endung = strrpos($old_userpic[userpic], ".");
			$old_endung = substr($old_userpic[userpic], $old_endung + 1);
			$old_userpic_name = $userpic_path . "up_" . sprintf("%010d",  $old_userpic[userid]) . "." . $old_endung;
			$new_userpic = $php_path . "/" . $old_userpic_name;
			}
		}
	
	
	if (trim($profpic_name) != "")
		{
		$endung = strrpos($profpic_name, ".");
		$endung = substr($profpic_name, $endung + 1);
		$userpic_allowed_types = explode(" ", $userpic_allowed_types);
		if (!in_array(strtolower($endung), $userpic_allowed_types)) 
			{
			include "_header.inc";
			while (list($name, $type) = each($userpic_allowed_types))
				{
				$type_string .= "*.$type ($registered_types[$type])<br>\n";
				}
			apb_error("Es sind hier leider nur Bilder folgenden Typs erlaubt: <br><br>$type_string", FALSE);
			}
		if ($profpic_size > $userprof_picsize_bytes) 
			{
			include "_header.inc";
			apb_error("Das angegebene User-Bild (Avatar) ist grsser als $userprof_picsize KB!", FALSE);
			}
		$image = GetImageSize($profpic);
		if (!$image[0]) 
			{
			include "_header.inc";
			apb_error("Das angegebene User-Bild (Foto) wurde nicht gefunden, oder es hat ein nicht bekanntes Format!", FALSE);
			}
		elseif ($image[0] >= ($userprof_picwidth + 1) || $image[1] > ($userprof_picheight + 1)) 
			{
			include "_header.inc";
			apb_error("Das angegebene User-Bild (Foto) ist zu gro!", FALSE);
			}
		else 
			{
			$old_profpic = $db->query_first ("SELECT userid, profpic FROM apb".$n."_user_table WHERE userid = '$UserInformation[uid]'");
			$old_endung = strrpos($old_profpic[profpic], ".");
			$old_endung = substr($old_profpic[profpic], $old_endung + 1);
			$old_profpic_name = $profpic_path . "pp_" . sprintf("%010d",  $old_profpic[userid]) . "." . $old_endung;
			if (file_exists($old_profpic_name))
				{
				unlink ($old_profpic_name);
				}
			$new_profpic_name = $profpic_path . "pp_" . sprintf("%010d",  $old_profpic[userid]) . "." . $endung;
			if (!copy ($profpic, $new_profpic_name)) 
				{
				apb_error("Das angegebene User-Bild (Foto) konnte nicht kopiert werden. Bitte wenden Sie sich an den Administrator.", FALSE);
				} 
			else 
				{
				$new_profpic = $php_path ."/". $new_profpic_name;
				}
			}
		}
	else
		{
		$old_profpic = $db->query_first ("SELECT userid, profpic FROM apb".$n."_user_table WHERE userid = '$UserInformation[uid]'");
		if (trim($old_profpic[profpic]) != "")
			{
			$old_endung = strrpos($old_profpic[profpic], ".");
			$old_endung = substr($old_profpic[profpic], $old_endung + 1);
			$old_profpic_name = $profpic_path . "pp_" . sprintf("%010d",  $old_profpic[userid]) . "." . $old_endung;
			$new_profpic = $php_path . "/" . $old_profpic_name;
			}
		}
	

	
	if (strlen($userhp) != 0) {
		if (!(eregi("^(http|https|ftp):\/\/", $userhp))) {
			$userhp = "http://".$userhp;
		}
	}
	if (  !eregi("^(http|https|ftp):\/\/(www\.)?[A-Za-z0-9_-]{2,}\.[A-Za-z0-9_-]{2,}[^ \r\n\"\'<>]*$", $userhp)  ) {
		$userhp = "";
	}
	
	$tmp_array = array(
		"userage" => $userage,
		"usericq" => $usericq
	);
	$tmp_array = validate_numeric_input ($tmp_array, 1, "", "", 0);
	while (list($key, $val) = each ($tmp_array)) {
		$$key = $val;
	}
	
	$new_password_set = 0;
	
	if ($verify_email_at_register == 1) {
		$old_email = $db->query_first("SELECT useremail, username FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]';");
		$username = $old_email[username];
		$old_email = $old_email[useremail];

		if ($old_email != $email) {
			apb_setcookie ("UserInformation[uid]", "", time() - 31536000);
			apb_setcookie ("UserInformation[upass]", "", time() - 31536000);
			$password = generate_pw(8);
			$new_password_set = 1;
			
			eval ("\$email_changed_mail_profil2 = \"$email_changed_mail_profil2\";");
			
			$mail_body = $email_changed_mail_profil2.$reg_massage2.$username."\n".$reg_message3.$password."\n\n\n";
			mail($email, $email_changed_mail_profil1.$master_board_name, $mail_body, "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
		}
	}
	
	if ($new_password_set != 1) {
		$old_password = $db->query_first("SELECT userpassword FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]';");
		$old_password = $old_password[userpassword];
		if ($password != $old_password) {
			if ($sess_id == "")
			{
				apb_setcookie ("UserInformation[uid]", $UserInformation[uid], time() + 31536000);
				apb_setcookie ("UserInformation[upass]", $password, time() + 31536000);
			}
		}
	}
	
	if ( strlen(str_replace(" ", "", $publicname)) < 1 )
	{
		$username = $db->query_first("SELECT username FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]';");
		$publicname = $username[username];
	}
	
	$username = $db->query("SELECT username FROM apb".$n."_user_table WHERE (username='$publicname' OR publicname = '$publicname') AND userid != '$UserInformation[uid]';");
	if ($username = $db->next_record($username))
	{
		include "_header.inc";
		apb_error("Der gewnschte ffentliche Name ist bereits vergeben! Bitte whle einen anderen Namen.", FALSE);
	}
	
	$old_publicname = $db->query_first("SELECT publicname FROM apb".$n."_user_table WHERE userid = '$UserInformation[uid]'");
	if ($publicname != $old_publicname[publicname])
	{
		$db->query ("DELETE FROM apb".$n."_useronline WHERE nickname = '$old_publicname[publicname]'");
	}
	
	$publicname = RemovePostCrap(htmlspecialchars($publicname));
	
	$signatur=RemovePostCrap($signatur);
	$infotext=RemovePostCrap($infotext);
	$interests=RemovePostCrap($interests);
	
	$choose_gender += 0;
	
	$update_query = $db->query ( "UPDATE apb".$n."_user_table SET publicname='$publicname', useremail='$email',userpassword='$password',signatur='$signatur',infotext='$infotext',usericq='$usericq',userhp='$userhp',userage='$userage',userpic='$new_userpic',profpic='$new_profpic',interests='$interests',show_email_global='$show_email',users_may_email='$users_may_email',mods_may_email='$mods_may_email', gender='$choose_gender', cookie_passwd='$cookie_passwd' WHERE userid='$UserInformation[uid]';");
	
	include "_header.inc";
	
	$aenderungs_message = $aenderung_uebernommen;
	
	if ($new_password_set == 1) {
		$aenderungs_message .= $aenderung_uebernommen2;
	}
	
	message_box($aenderungs_message);
	include "_footer.inc";
	exit;

}

include "_header.inc";

$user_profile = $db->query_first("SELECT * FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]';");

?>
<TABLE BGCOLOR="<? echo $tablebg; ?>" WIDTH="95%" BORDER="0" CELLSPACING="1" CELLPADDING="2" ALIGN="CENTER">
	<FORM ACTION="<? echo "$php_path/profile.$suffix"; ?>" METHOD="POST" ENCTYPE="multipart/form-data">
		<TR BGCOLOR="<? echo $tableC; ?>">
			<TD COLSPAN="2">
<?
				print_mb ($profil_bearbeiten,$font,"6");
				print_mb ($profil_bearbeiten_info,$font,"2");
?>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<? print_mb ($benutzername_profil, $font, "2");
					print_mb ($benutzername_profil_info, $font, "1"); ?>
			</TD>
			<TD>
				<? print_mb ("$user_profile[username]" , $font , "2" ); ?>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<? print_mb ($publicname_profil, $font, "2");
					print_mb ($publicname_profil_info, $font, "1"); ?>
			</TD>
			<TD>
				<INPUT CLASS="button" TYPE="text" NAME="publicname" VALUE="<? echo $user_profile[publicname]; ?>" MAXLENGTH="50" size="20">
			</TD>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%" VALIGN="TOP">
<?
			print_mb ($passwort_profil, $font, "2");
			print_mb ($passwort_profil_info, $font, "1");
?>
			</TD>
			<TD>
				<INPUT CLASS="button" TYPE="PASSWORD" NAME="password" VALUE="<? echo $user_profile[userpassword]; ?>" MAXLENGTH="26">
				<BR>
				<INPUT CLASS="button" TYPE="PASSWORD" NAME="password2" VALUE="<? echo $user_profile[userpassword]; ?>" MAXLENGTH="26">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%"><? print_mb($alter_profil,$font,"2"); ?></TD>
			<TD>
				<INPUT CLASS="button" TYPE="text" NAME="userage" VALUE="<? echo $user_profile[userage]; ?>" MAXLENGTH="2" size="3">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%"><? print_mb($icq_profil,$font,"2"); ?></TD>
			<TD>
				<INPUT CLASS="button" TYPE="text" NAME="usericq" VALUE="<? echo $user_profile[usericq]; ?>" MAXLENGTH="10" size="10">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
			<?
				print_mb($email_profil,$font,"2");
				if ($verify_email_at_register == 1) {
					print_mb($email_profil_mail_info,$font,"1");
				}
			?>
			</TD>
			<TD>
				<INPUT CLASS="button" TYPE="text" NAME="email" VALUE="<? echo $user_profile[useremail]; ?>" MAXLENGTH="70" size="50">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%"><? print_mb($homepage_profil,$font,"2"); ?></TD>
			<TD>
				<INPUT CLASS="button" TYPE="text" NAME="userhp" VALUE="<? echo $user_profile[userhp]; ?>" MAXLENGTH="100" size="50">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%"><? print_mb($userpicture_profil,$font,"2" ) ; ?><BR>
				<? print_mb("<b>Wird in jedem Post angezeigt!</b><BR>",$font,"1" ) ; ?>
				<? print_mb("max. Bildbreite: $userpicwidth<BR>",$font,"1" ) ; ?>
				<? print_mb("max. Bildh&ouml;he: $userpicheight",$font,"1" ) ; ?>
			</TD>
			<TD>
				<!-- <INPUT type="hidden" name="MAX_FILE_SIZE" value="<? echo $userprof_picsize_bytes; ?>"> -->
				<INPUT CLASS="button" TYPE="file" NAME="userpic">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%"><? print_mb($picture_profil,$font,"2" ) ; ?><BR>
				<? print_mb("<b>Wird in Deinem Profil angezeigt!</b><BR>",$font,"1" ) ; ?>
				<? print_mb("max. Bildbreite: $userprof_picwidth<BR>",$font,"1" ) ; ?>
				<? print_mb("max. Bildh&ouml;he: $userprof_picheight<BR>",$font,"1" ) ; ?>
				<? print_mb("max. Dateigrsse: $userprof_picsize KB",$font,"1" ) ; ?>
			</TD>
			<TD>
				<INPUT CLASS="button" TYPE="file" NAME="profpic">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%"><? print_mb($interessen_profil,$font,"2"); ?></TD>
			<TD>
				<INPUT CLASS="button" TYPE="text" NAME="interests" VALUE="<? echo htmlspecialchars($user_profile[interests]); ?>" MAXLENGTH="100" size="50">
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ($infotext_profil, $font, "2");
					print_mb ($infotext_profil_info, $font, "1"); ?>
			</TD>
			<TD>
				<TEXTAREA NAME="infotext" cols="35" rows="8"><? echo htmlspecialchars($user_profile[infotext]); ?></TEXTAREA>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ( $signatur_profil, $font, "2");
					print_mb ( $signatur_profil_info,$font, "1"); ?>
			</TD>
			<TD>
				<TEXTAREA NAME="signatur" cols="35" rows="8"><? echo htmlspecialchars($user_profile[signatur]); ?></TEXTAREA>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ( $gender_profil, $font, "2");
					print_mb ( $gender_profil_info,$font, "1"); ?>
			</TD>
			<TD>
				<INPUT NAME="choose_gender" TYPE=RADIO VALUE="0"<?
					echo (($user_profile[gender] == 0) ? " checked>" : ">");
					print_mb ( " ".$gender_profil2, $font, "2");
				?><BR>
				<INPUT NAME="choose_gender" TYPE=RADIO VALUE="1"<?
					echo (($user_profile[gender] == 1) ? " checked>" : ">");
					print_mb ( " ".$gender_profil3, $font, "2");
				?> 
				<INPUT NAME="choose_gender" TYPE=RADIO VALUE="2"<?
					echo (($user_profile[gender] == 2) ? " checked>" : ">");
					print_mb ( " ".$gender_profil4, $font, "2");
				?><BR>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ( $show_email_profil, $font, "2");
					print_mb ( $show_email_profil_info,$font, "1"); ?>
			</TD>
			<TD>
				<INPUT NAME="show_email" TYPE=CHECKBOX VALUE="1"<?
					echo (($user_profile[show_email_global]) ? " checked>" : ">");
					print_mb ( " ".$show_email_profil2, $font, "2");
				?> 
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ( $users_may_email_profil, $font, "2");
					print_mb ( $users_may_email_profil_info,$font, "1"); ?>
			</TD>
			<TD>
				<INPUT NAME="users_may_email" TYPE=CHECKBOX VALUE="1"<?
					echo (($user_profile[users_may_email]) ? " checked>" : ">");
					print_mb ( " ".$users_may_email_profil2, $font, "2");
				?> 
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ( $mods_may_email_profil, $font, "2");
					print_mb ( $mods_may_email_profil_info,$font, "1"); ?>
			</TD>
			<TD>
				<INPUT NAME="mods_may_email" TYPE=CHECKBOX VALUE="1"<?
					echo (($user_profile[mods_may_email]) ? " checked>" : ">");
					print_mb ( " ".$mods_may_email_profil2, $font, "2");
				?> 
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD WIDTH="50%">
				<?	print_mb ( $store_passwd_cookie, $font, "2");
					print_mb ( $store_passwd_cookie_info,$font, "1"); ?>
			</TD>
			<TD>
				<INPUT NAME="cookie_passwd" TYPE=CHECKBOX VALUE="1"<?
					echo (($user_profile[cookie_passwd] == 1) ? " checked>" : ">");
					print_mb ( " ". $store_passwd_cookie_info2, $font, "2");
				?> 
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD COLSPAN="2">&nbsp;</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableB; ?>">
			<TD COLSPAN="2">
				<CENTER>
					<INPUT TYPE="hidden" NAME="update" VALUE="TRUE">
					<INPUT TYPE="hidden" NAME="sess_id" VALUE="<? echo $sess_id; ?>">
					<INPUT TYPE="hidden" NAME="BoardID" VALUE="<? echo $BoardID; ?>">
					<INPUT CLASS="button" TYPE="reset" NAME="reset" VALUE="<? echo $felder_loeschen; ?>">
					<INPUT CLASS="button" TYPE="submit" NAME="Submit" VALUE="<? echo $profil_updaten; ?>">
				</CENTER>
			</TD>
		</TR>
	</FORM>
</TABLE>
<?
include "statistik.$suffix";
insert_into_stats($PHP_SELF);
include "userreg.$suffix";
include "_footer.inc";

?>
