<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */


include "_language.inc";
include "__config.inc";
include "_iconmap.inc";
include "_ubbcodescript.inc";

$ustring = CookieAuth($UserInformation);

$thread_info = GetThreadInfo($replyto);
$thread_info = $db->next_record($thread_info);
$board_info = GetBoardInfo($thread_info[boardparentid]);
$board_info = $db->next_record($board_info);

$board_style = GetStyle($board_info[boardid]);
while($boardstyle = $db->next_record($board_style)) {
	$boardgfx = $boardstyle[image1];
	$font_array = unserialize(stripslashes($boardstyle[fontarray]));
	$fontcolorarray = unserialize(stripslashes($boardstyle[fontcolorarray]));
	$tablecolorarray = unserialize(stripslashes($boardstyle[tablecolorarray]));
	
	$font = $font_array[0];
	$fontcolor = $fontcolorarray[first];
	$fontcolorsec = $fontcolorarray[second];
	$bgcol = $boardstyle[bgcolor];
	$tablebg = $boardstyle[tablebgcolor];
	$tableA = $tablecolorarray[a];
	$tableB = $tablecolorarray[b];
	$tableC = $tablecolorarray[c];
	$imageurl = $boardstyle[imageurl];
	$links = $boardstyle[linkcolor];
	$visited = $boardstyle[visited];
	$active = $boardstyle[active];
	$hover = $boardstyle[hover];
	$hgpicture = $boardstyle[bgpicture];
	$bgfixed = $boardstyle[bgfixed];
	$css = $boardstyle[css];
	eval ("\$cfg[css] = \"$css\";");
}

$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;<A HREF=\"$php_path/main.$suffix?cat=$board_info[catid]$sess_link1\">$board_info[catname]</A><BR>";
$hstring .= "&nbsp;&nbsp;&nbsp;&nbsp;<A HREF=\"$php_path/board.$suffix?id=$board_info[boardid]$sess_link1\">$board_info[boardname]</A><BR>";
$hstring .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF=\"$php_path/thread.$suffix?id=$thread_info[threadid]$sess_link1\">" . htmlspecialchars($thread_info[threadname]) . "</A><BR>";
$hstring .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$antwort_erstellen";

if (!$board_info) {
	include "_header.inc";
	apb_error($board_existiert_nicht,FALSE);
}

if ($board_info[invisible] == "1") {
	include "_header.inc";
	apb_error("Dieses Board ist unsichtbar. Das bedeutet, es knnen keine neuen Beitrge oder Themen erstellt werden, <br> und vorhandene Themen und Beitrge sind nicht sichtbar.",FALSE);
}

if ($board_info[deactivated] == "1") {
	include "_header.inc";
	apb_error("Dieses Board ist deaktiviert. Das bedeutet, es knnen keine neuen Beitrge oder Themen erstellt werden.",FALSE);
}

if ($thread_info[flags]=="1") {
	include "_header.inc";
	apb_error($error_thread_closed,FALSE);
}

// Kategorie-Passwort?
if ( ($board_info[boardpassword] == "") && ($board_info[catpassword] != "") )
{
	$board_info[boardpassword] = $board_info[catpassword];
}

if (!$logged) {
	include "_header.inc";
	login_box("$php_path/reply.$suffix?replyto=$replyto");
	include "_footer.inc";
	exit;
}

if ($board_info[password] != "")
{
	$apb_useronline_threadname = "\$lang_useronline[uo_private]";
}
else
{
	$apb_useronline_threadname = htmlspecialchars($thread_info[threadname]);
}

if ($postit && $preview_reply == "") {
	if (!$replyto) {
		include "_header.inc";
		apb_error($kein_thema_angegeben,FALSE);
	}
	
	$apb_useronline_string = "\$lang_useronline[uo_reply_past]: <A HREF=\"thread.$suffix?id=$replyto\$sess_link1\">$apb_useronline_threadname</A>";
	
	UserAuth($UID,$UPASS,TRUE);
	$last_reply = time();
	$username = $db->query_first("SELECT userid,username,statusextra,userposts,signatur,useremail,gender FROM apb".$n."_user_table WHERE userid='$UID';");
	$author = $username[username];
	$authorid = $username[userid];
	$extra = $username[statusextra];
	$rank = GetRank($username[userposts], $username[status], $username[gender]);
	$signatur = $username[signatur];
	$useremail= $username[useremail];
	
	$lastuserpost = $db->query_first("SELECT * FROM apb".$n."_posts WHERE authorname = '$author' ORDER BY posttime DESC LIMIT 0,1");
	$lastuserpost = $lastuserpost["posttime"];
	
	if ($modlog || $adminlog) {
		$min_post_inverval = $mod_min_post_inverval;
	}
	
	if ($min_post_inverval > 0 && ($lastuserpost > (time() - $min_post_inverval))) {
		include "_header.inc";
		apb_error($post_intervall_zu_klein, FALSE);
	}
	
	$pages = ceil(($thread_info[replies]+2) / $posts_per_page);
	$start_string = ( $pages > 1) ? "&start=".((($pages - 1) * $posts_per_page) + 1) : "";
	
	if ($signature=="1" && strlen($signatur) > 2) {
		$reply_message = $reply_message.$signatur_trennstrich.$signatur;
	}
	
	if ($do_disable_smilies != "1") {
		$do_disable_smilies = "0";
	}

	// ----------------Spamprotection---------------------------------
	if ($action!="editpost" && $spam_protect == 1)
		{
		$erg = $db->query("select authorname from apb".$n."_posts where threadparentid='$replyto' ORDER by posttime DESC LIMIT 0,4");
		$xyz = 0;
		while ($thiserg = $db->next_record ( $erg )) 
			{
			$postauthor[$xyz]=$thiserg[authorname];
			$xyz++;
			}
		$ergeb = $db->query("select username from apb".$n."_user_table where userid=$UserInformation[uid]");
		$erg = $db->next_record($ergeb);
		if (($postauthor[0]==$postauthor[1]) && ($postauthor[1]==$postauthor[2]) && ($postauthor[2]==$postauthor[3]) && ($postauthor[0]==$erg[username]))
			{
			include "_header.inc";
			apb_error("Man darf maximal vier Posts hintereinander schreiben. Dies ist ein Spamschutz. Bitte editieren Sie statt dessen Ihren letzten Post.",FALSE);
			}
		}
	// ----------------------------------------------------------------
	
	
	/*
	 * File-Upload ?
	 */
	
	if ( (trim($post_file) != "none") && (trim($post_file) != "") )
	{
		
		$user_uploads = $db->query_first("SELECT COUNT(*) as upload_count, SUM(filesize) as uploaded_bytes FROM apb".$n."_uploads WHERE userid = '$username[userid]'");
		
		if ($user_uploads[upload_count] > $peruser_maxfiles)
		{
			include "_header.inc";
			apb_error("Du hast dein Limit an maximalen Uploads berschritten. Du darfst insgesamt nur <b>$peruser_maxfiles</b> Dateien hochladen.<br><br> Lsche nicht bentigte Dateien in deinem Profil. Danke", FALSE);
		}
		
		if ($user_uploads[uploaded_bytes] > $peruser_maxupload_bytes)
		{
			include "_header.inc";
			apb_error("Du hast dein Limit an hochzuladenden Daten berschritten. Du darfst insgesamt nur <b>$peruser_maxupload KBs</b> an Dateien hochladen.<br><br> Lsche nicht bentigte Dateien in deinem Profil. Danke", FALSE);
		}
		
		$endung = strrpos($post_file_name, ".");
		$endung = substr($post_file_name, $endung + 1);
		
		$postupload_filetypes = explode(" ", $postupload_filetypes);
		if (! in_array(strtolower($endung), $postupload_filetypes)) {
			include "_header.inc";
			while (list($name, $type) = each($postupload_filetypes))
			{
				$type_string .= "*.$type ($registered_types[$type])<br>\n";
			}
			apb_error("Es sind hier leider nur Dateien folgenden Typs erlaubt: <br><br>$type_string", FALSE);
		}
		
		if ($post_file_size > $postupload_maxsize_bytes) {
			include "_header.inc";
			apb_error("Die hochgeladene Datei ist grsser als $postupload_maxsize KB!", FALSE);
		}
		
		do
		{
			$zufallsstring = generate_pw(10);
			$upload_file_name = sprintf("%010d",  $username[userid]) . "_" . $zufallsstring;
			$upload_compl_file = $upload_path . $upload_file_name;
		} while (file_exists($upload_compl_file));
		
		if (!copy ($post_file, $upload_compl_file)) {
			apb_error("Die hochgeladene Datei konnte nicht kopiert werden. Bitte wenden Sie sich an den Administrator.", FALSE);
		} else {
			
			$db->query ("INSERT INTO apb".$n."_uploads VALUES ('', '$username[userid]', '$post_file_name', '$upload_file_name', '$post_file_size', '0', '". time() . "', '0')");
			$upload_id = "," . $db->insert_id() . ",";
		}
	}
	else
	{
		$upload_id = "";
	}
	
	$CheckMessageError = "";
	$message1 = CheckMessageText($reply_message);
	if ($CheckMessageError != "")
	{
		include "_header.inc";
		apb_error($CheckMessageError, FALSE);
	}
	
	// Keine Fehler => Ausgabe der Erfolgsmeldung mit Weiterleitung:
	$referer = "$php_path/thread.$suffix?id=$replyto$sess_link1$start_string";
	$refer_time = 3;
	include "_header.inc";
	
	
	/*
	 * Updates an der Datenbank
	 */
	
	$post_update = "INSERT INTO apb".$n."_posts VALUES( '$replyto', '', '$author', '$authorid', '$rank', '$last_reply', '$message1', '', '$do_disable_smilies', '$user_ip', '', '', '', '$upload_id', '');";
	
	$thread_update = "UPDATE apb".$n."_threads SET replies=replies+1, timelastreply='$last_reply', lastreply_authorid = '$authorid', lastreply_authorname = '$author'";
	if ($email == "1" && $useremail != "")
	{
		if (!$thread_info[email])
		{
			$thread_info[email] = $useremail;
		}
		else
		{
			if (!is_int(strpos($thread_info[email], $useremail)))
			{
				$thread_info[email] .= ",$useremail";
			}
		}
		$thread_update .= ", email='$thread_info[email]'";
	}
	$thread_update .= " WHERE threadid='$replyto'";
	
	$board_upate = "UPDATE apb".$n."_boards SET totalposts=totalposts+1,lastmodified='$last_reply' WHERE boardid='$board_info[boardid]'";
	$user_update = "UPDATE apb".$n."_user_table SET userposts=userposts+1 WHERE userid='$UID'";
	
	$db->query($post_update);
	$db->query($thread_update);
	$db->query($board_upate);
	$db->query($user_update);
	
	// LastProperties neu setzen
	SetThreadLastProperties($replyto);
	SetBoardLastProperties($board_info[boardid]);
	
	// Mails an User verschicken
	if ( ($mail_subscribed_threads == 1) && $thread_info[email])
	{
		$boardmails = APBGetLanguage("boardmails");
		$newreply_threadtitle = $thread_info[threadname];
		$newreply_boardname = $board_info[boardname];
		$newreply_link = $php_path . "/thread.$suffix?id=" . $replyto;
		$newreply_text = RemoveMailCrap(stripslashes($message1));
		
		eval ("\$mail_subject = \"" . str_replace("\"", "\\\"", $boardmails[newreply_mail_subject]) . "\";
		\$mail_body = \"" . str_replace("\"", "\\\"", $boardmails[newreply_mail_body]) . "\";");
		
		mail($thread_info[email], $mail_subject, $mail_body, "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
	}
	
	// Mails an Admin & Mods
	if ($adminmail == "1" && $use_mail_system == "1")
	{
		mail($adminemail, $betreff_email, $message_email1.$master_board_name.$message_email3.$author.$message_email4.$php_path."/thread.$suffix?id=".$replyto."\n", "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
	}
	
	
	/*
	 * Ausgabe im Browser
	 */
	echo "<TABLE BGCOLOR=\"$tablebg\" WIDTH=\"95%\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"6\" ALIGN=\"CENTER\">";
	
	// Email hinzugefgt?
	if ($email == "1")
	{
		echo "<TR BGCOLOR=\"$tableA\"><TD>";
		
		if ($useremail != "")
			print_mb ( $email_hinzugefuegt, $font, "2" );
		else
			print_mb ( $keine_email_in_profil, $font, "2" );
		
		echo "</TD></TR>";
	}
	
	// Meldung "Antwort eingefgt"
	echo "<TR BGCOLOR=\"$tableC\"><TD>";
	print_mb ( $antwort_eingefuegt, $font, "2" );
	echo "</TD></TR><TR BGCOLOR=\"$tableA\"><TD><BR>";
	
	// hinzugefgte Antwort
	print_mb ( RemoveCrap(stripslashes($message1), $do_disable_smilies), $font, "2" );
	
	echo "<BR><BR></TD></TR>";
	echo "<TR BGCOLOR=\"$tableB\"><TD><CENTER>";
	print_mb ( "Du wirst nun weitergeleitet zu: <A HREF=\"$php_path/thread.$suffix?id=$replyto$sess_link1$start_string\">".htmlspecialchars($thread_info[threadname])."</A>", $font, "2" );
	echo "</CENTER></TD></TR></TABLE>";
	
	
	include "_footer.inc";
	exit;
	
}

$apb_useronline_string = "\$lang_useronline[uo_reply]: <A HREF=\"thread.$suffix?id=$replyto\$sess_link1\">$apb_useronline_threadname</A>";
include "_header.inc";

if (!$t)
{
	include "template.inc";
	$t = new Template("./templates/default/", "keep");
}

$t->set_file (
array (
	"reply" => "reply.tpl",
	"ubbscriptcode" => "ubbcodescript.tpl",
	"iconmap" => "iconmap.tpl",
	"ubbcode" => "ubbcode.tpl"
)
);

$template_array = array (
	"reply_tablebg" => $tablebg,
	"reply_tableA" => $tableA,
	"reply_tableB" => $tableB,
	"reply_tableC" => $tableC,
	"reply_font" => $font,
	"reply_fontcolorsec" => $fontcolorsec,
	
	"lang_antwort_erstellen" => $antwort_erstellen,
	"lang_im_forum" => $im_forum,
	"lang_aktuelles_thema" => $aktuelles_thema,		
	
	"suffix" => $suffix,
	
	"reply_boardid" => $board_info[boardid],
	"reply_boardname" => htmlspecialchars($board_info[boardname]),
	"reply_topicicon" => $thread_info[topicicon],
	"reply_threadid" => $thread_info[threadid],
	"reply_threadname" => htmlspecialchars($thread_info[threadname]),
	"reply_replyto" => $replyto
);


if ($preview_reply != "")
{
	$t->set_var ("preview_reply", "1");
	
	if (get_magic_quotes_gpc() == 1)
			$reply_message = stripslashes($reply_message);
	
	$username = $db->query_first("SELECT username,statusextra,userposts,signatur,useremail,gender,publicname FROM apb".$n."_user_table WHERE userid='$UID';");
	$user_info = GetUserInfo($username[username]);
	$user_info = $db->next_record($user_info);
}

if ($quote)
{
	$quotemessage = $db->query_first("SELECT posts.message, posts.authorname, posts.authorid, user.publicname FROM apb".$n."_posts as posts, apb".$n."_user_table as user WHERE postid='$quote' AND posts.authorid = user.userid");
	$thismessage = $db->query_first("SELECT posts.postid,posts.authorname,posts.authorid,posts.authorrank,posts.posttime,posts.message,posts.disable_smilies,user.publicname FROM apb".$n."_posts as posts, apb".$n."_user_table as user WHERE postid='$quote' AND posts.authorid = user.userid");
} elseif ($preview_reply != "") {
	$thismessage[authorname] = $user_info[authorname];
	$thismessage[publicname] = $user_info[publicname];
	$thismessage[authorid] = $user_info[userid];
	$thismessage[posttime] = time();
	$thismessage[message] = $reply_message;
	if ($signature == "1" && strlen($user_info[signatur]) > 2)
	{
		$thismessage[message] .= $signatur_trennstrich.$user_info[signatur];
	}
	$thismessage[disable_smilies] = ($do_disable_smilies == "1" ? 1 : 0);
} else {
	$thismessage = GetPosts($thread_info[threadid], "");
	$thismessage = $db->next_record($thismessage);
	$thisauthor = $db->query_first ("SELECT publicname FROM apb".$n."_user_table WHERE userid = '$thismessage[authorid]'");
	$thismessage[publicname] = $thisauthor[publicname];
	
}

if ($preview_reply == "")
{
	$user_info = GetUserInfo($thismessage[authorname]);
	$user_info = $db->next_record($user_info);
}


if ($thiscolor == $tableA) {
	$thiscolor = $tableB;
} else {
	$thiscolor = $tableA;
}

$template_array["reply_thiscolor"] = $thiscolor;
$template_array["reply_posttime"] = HackDate($thismessage[posttime]);

if ($icq_thread=="1") {
	if ($user_info[usericq]=="" || $user_info[usericq]==" " || $user_info[usericq]=="[N/A]") {
		//
	} else {
		$template_array["reply_usericq"] = $user_info[usericq];
		$template_array["lang_contact_hinzufuegen"] = $contact_hinzufuegen;
	}
}

$template_array["reply_authorid"] = $thismessage[authorid];
$template_array["reply_publicname"] = $thismessage[publicname];
$template_array["reply_username"] = $thismessage[username];
$template_array["reply_userposts"] = $user_info[userposts];


if ($user_info[status] == "NORMAL") {

	$status = GetRank($user_info[userposts], $user_info[status], $user_info[gender]);

} else {

	if ($user_info[status] == "ADMIN") {
		if ($showstars == 1) {
			$status = GetRank($user_info[userposts], $user_info[status], $user_info[gender])."<br>";
   	}
   	$status = $status."[Administrator]";
	} elseif ($user_info[status] == "MOD") {
		if ($showstars == 1) {
			$status = GetRank($user_info[userposts], $user_info[status], $user_info[gender])."<br>";
   	}
   	$status = $status."[Moderator]";
	} elseif ($user_info[status] == "BANNED") {
		$status = $status_banned;
	}

}

$template_array["reply_userstatus_string"] = $status;

if ($user_info[statusextra])
{
	$template_array["reply_userstatusextra"] = $user_info[statusextra];
	$template_array["lang_statusextra"] = $extra;
}

if ($user_info[userhp] == "" || $user_info[userhp] == " " || $user_info[userhp] == "[N/A]")
{
	$template_array["reply_userhp"] = $user_info[userhp];
}
else
{
	$template_array["reply_userhp"] = "";
}

if ( ($pic_thread=="1") && ($user_info[userpic] != "") )
{
	$template_array["reply_userpic"] = $user_info[userpic];
}
	
$template_array["reply_message"] = RemoveCrap($thismessage[message], $thismessage[disable_smilies]);
$template_array["vars_sess_id"] = $sess_id;

$template_array["lang_formatierung_hinweis"] = $formatierung_hinweis;
$template_array["lang_iconauswahl"] = $iconauswahl;

if ($quotemessage)
{
	$template_array["reply_quotemessage"] = "1";
	$template_array["reply_qm_publicname"] = htmlspecialchars($quotemessage[publicname]);
	$template_array["reply_qm_message"] = htmlspecialchars($quotemessage[message]);
}
elseif ($reply_message != "")
{
	$template_array["reply_replymessage"] = htmlspecialchars($reply_message);
}


$lang_ubbcode = APBGetLanguage("ubbcode");
$template_array["ubb_code_font"] = $font;
$template_array["lang_automaticcode"] = $lang_ubbcode[automaticcode];
$template_array["lang_ubb_code_url"] = $lang_ubbcode[ubb_code_url];
$template_array["lang_ubb_code_email"] = $lang_ubbcode[ubb_code_email];
$template_array["lang_ubb_code_kursiv"] = $lang_ubbcode[ubb_code_kursiv];
$template_array["lang_ubb_code_fett"] = $lang_ubbcode[ubb_code_fett];
$template_array["lang_ubb_code_pic"] = $lang_ubbcode[ubb_code_pic];
$template_array["lang_ubb_code_list1"] = $lang_ubbcode[ubb_code_list1];
$template_array["lang_ubb_code_list2"] = $lang_ubbcode[ubb_code_list2];
$template_array["lang_ubb_code_list3"] = $lang_ubbcode[ubb_code_list3];
$template_array["lang_ubb_code_markred"] = $lang_ubbcode[ubb_code_markred];
$template_array["lang_ubb_code_markgelb"] = $lang_ubbcode[ubb_code_markgelb];

$javavoid = "href=\"javascript: nix()\"";
if (is_int(strpos($HTTP_USER_AGENT, "MSIE "))) {
	$javavoid = "href=\"#textfeld\"";
}
$template_array["ubb_code_javavoid"] = $javavoid;

$t->parse ("tpl_ubbcode", "ubbcode");


if ($preview_reply != "") {
	$template_array["reply_signature_check"] = ($signature == "1" ? "checked" : "");
} else {
	$template_array["reply_signature_check"] = "checked";
}
$template_array["lang_sig_anhaengen"] = $sig_anhaengen;

$template_array["reply_disable_smilies_check"] = ($do_disable_smilies == "1" ? "checked" : "");
$template_array["lang_post_disable_smilies"] = $post_disable_smilies;

$template_array["reply_email_check"] = ($email == "1" ? "checked" : "");
$template_array["lang_email_not"] = $email_not;

$template_array["reply_postupload_maxsize"] = $postupload_maxsize;
$template_array["reply_hide_code"] = $hide_code;

$template_array["lang_antwort_posten"] = $antwort_posten;

$t->set_var ($template_array);

$t = doUbbCode ($t, "reply_message");

$t = doIconMap ($t, "reply_message");

$t->parse ("tpl_iconmap", "iconmap");
$t->parse ("tpl_ubbscriptcode", "ubbscriptcode");

$t->parse ("tpl_ubbcode", "ubbcode");
$t->parse ("replygesamt", "reply");

$t->p ("replygesamt");



include "statistik.$suffix";
insert_into_stats($PHP_SELF);
include "userreg.$suffix";
include "_footer.inc"; 
?>