<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */


include "_language.inc";
include "__config.inc";
include "_iconmap.inc";
include "_ubbcodescript.inc";

$ustring = CookieAuth($UserInformation);

$BoardID = $insertinto;

$board_info = GetBoardInfo($insertinto);
$board_info = $db->next_record($board_info);

$board_style = GetStyle($BoardID);
while($boardstyle = $db->next_record($board_style)) {
	$boardgfx = $boardstyle[image1];
	$font_array = unserialize(stripslashes($boardstyle[fontarray]));
	$fontcolorarray = unserialize(stripslashes($boardstyle[fontcolorarray]));
	$tablecolorarray = unserialize(stripslashes($boardstyle[tablecolorarray]));
	
	$font = $font_array[0];
	$fontcolor = $fontcolorarray[first];
	$fontcolorsec = $fontcolorarray[second];
	$bgcol = $boardstyle[bgcolor];
	$tablebg = $boardstyle[tablebgcolor];
	$tableA = $tablecolorarray[a];
	$tableB = $tablecolorarray[b];
	$tableC = $tablecolorarray[c];
	$links = $boardstyle[linkcolor];
	$visited = $boardstyle[visited];
	$active = $boardstyle[active];
	$hover = $boardstyle[hover];
	$hgpicture = $boardstyle[bgpicture];
	$bgfixed = $boardstyle[bgfixed];
	$css = $boardstyle[css];
	eval ("\$cfg[css] = \"$css\";");
}

$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;<A HREF=\"$php_path/main.$suffix?cat=$board_info[catid]$sess_link1\">$board_info[catname]</A><BR>";
$hstring .= "&nbsp;&nbsp;&nbsp;&nbsp;<A HREF=\"$php_path/board.$suffix?id=$board_info[boardid]$sess_link1\">$board_info[boardname]</A><BR>";
$hstring .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$neues_thema<BR>";

if (!$board_info) {
	include "_header.inc";
	apb_error($board_existiert_nicht,FALSE);
}

if ($board_info[invisible] == "1") {
	include "_header.inc";
	apb_error("Dieses Board ist unsichtbar. Das bedeutet, es knnen keine neuen Beitrge oder Themen erstellt werden, <br> und vorhandene Themen und Beitrge sind nicht sichtbar.",FALSE);
}

if ($board_info[deactivated] == "1") {
	include "_header.inc";
	apb_error("Dieses Board ist deaktiviert. Das bedeutet, es knnen keine neuen Beitrge oder Themen erstellt werden.",FALSE);
}

if (!$logged) {
	include "_header.inc";
	apb_error($nur_reg_benutzer1."<A HREF=\"$php_path/register.$suffix\">".$nur_reg_benutzer2."</A>".$nur_reg_benutzer3."<A HREF=\"$php_path/login.$suffix\">".$nur_reg_benutzer2."</A>".$nur_reg_benutzer4,FALSE);
}
if ($postit && $preview_topic == "") {
	if (!$insertinto) {
		include "_header.inc";
		apb_error($kein_board_angegeben,FALSE);
	}
	
	$apb_useronline_string = "\$lang_useronline[uo_topic_past]: <A HREF=\"board.$suffix?id=$board_info[boardid]\$sess_link1\">".htmlspecialchars($board_info[boardname])."</A>\n";
	
	if ( (strlen(str_replace(" ", "", $message)) < $post_message_min_length )
			|| (strlen(str_replace(" ", "", $topic)) < $post_topic_min_length) ) {
		include "_header.inc";
		apb_error($alle_felder_ausfuellen,FALSE);
	}

	$tid = $db->query_first("SELECT threadid FROM apb".$n."_threads ORDER BY threadid DESC");
	$oldid = $tid["threadid"];

	$newid = $oldid + 1;

	$last_reply = time();
	$username = $db->query_first("SELECT userid,username,statusextra,userposts,signatur,useremail,gender FROM apb".$n."_user_table WHERE userid='$UID';");
	$author = $username[username];
	$authorid = $username[userid];
	$extra = $username[statusextra];
	$rank = GetRank($username[userposts], $username[status], $username[gender]);
	$signatur = $username[signatur];
	$useremail= $username[useremail];
	UserAuth($UID,$UPASS,TRUE);

	$lastuserpost = $db->query_first ("SELECT * FROM apb".$n."_posts WHERE authorname = '$author' ORDER BY posttime DESC LIMIT 0,1");
	$lastuserpost = $lastuserpost["posttime"];
	
	if ($modlog || $adminlog) {
		$min_post_inverval = $mod_min_post_inverval;
	}
	
	if ($min_post_inverval > 0 && ($lastuserpost > (time() - $min_post_inverval))) {
		include "_header.inc";
		apb_error($post_intervall_zu_klein, FALSE);
	}
	
	
	/*
	 * File-Upload ?
	 */
	
	if ( (trim($post_file) != "none") && (trim($post_file) != "") )
	{
		
		$user_uploads = $db->query_first("SELECT COUNT(*) as upload_count, SUM(filesize) as uploaded_bytes FROM apb".$n."_uploads WHERE userid = '$username[userid]'");
		
		if ($user_uploads[upload_count] > $peruser_maxfiles)
		{
			include "_header.inc";
			apb_error("Du hast dein Limit an maximalen Uploads berschritten. Du darfst insgesamt nur <b>$peruser_maxfiles</b> Dateien hochladen.<br><br> Lsche nicht bentigte Dateien in deinem Profil. Danke", FALSE);
		}
		
		if ($user_uploads[uploaded_bytes] > $peruser_maxupload_bytes)
		{
			include "_header.inc";
			apb_error("Du hast dein Limit an hochzuladenden Daten berschritten. Du darfst insgesamt nur <b>$peruser_maxupload KBs</b> an Dateien hochladen.<br><br> Lsche nicht bentigte Dateien in deinem Profil. Danke", FALSE);
		}
		
		$endung = strrpos($post_file_name, ".");
		$endung = substr($post_file_name, $endung + 1);
		
		$postupload_filetypes = explode(" ", $postupload_filetypes);
		if (! in_array(strtolower($endung), $postupload_filetypes)) {
			include "_header.inc";
			while (list($name, $type) = each($postupload_filetypes))
			{
				$type_string .= "*.$type ($registered_types[$type])<br>\n";
			}
			apb_error("Es sind hier leider nur Dateien folgenden Typs erlaubt: <br><br>$type_string", FALSE);
		}
		
		if ($post_file_size > $postupload_maxsize_bytes) {
			include "_header.inc";
			apb_error("Die hochgeladene Datei ist grsser als $postupload_maxsize KB!", FALSE);
		}
		
		do
		{
			$zufallsstring = generate_pw(10);
			$upload_file_name = sprintf("%010d",  $username[userid]) . "_" . $zufallsstring;
			$upload_compl_file = $upload_path . $upload_file_name;
		} while (file_exists($upload_compl_file));
		
		if (!copy ($post_file, $upload_compl_file)) {
			apb_error("Die hochgeladene Datei konnte nicht kopiert werden. Bitte wenden Sie sich an den Administrator.", FALSE);
		} else {
			$db->query ("INSERT INTO apb".$n."_uploads VALUES ('', '$username[userid]', '$post_file_name', '$upload_file_name', '$post_file_size', '0', '". time() . "', '0')");
			$upload_id = "," . $db->insert_id() . ",";
		}
	}
	else
	{
		$upload_id = "";
	}
	
	
	if (!isset($topicicon)) {
		$topicicon = $topicicon_array[$default_topic_icon];
	} else {		
		$topicicon = $topicicon_array[$topicicon];
	}
	
	if ($signature=="1" && strlen($signatur) > 2) {
		$message = $message.$signatur_trennstrich.$signatur;
	}
	
	if ($do_disable_smilies != "1") {
		$do_disable_smilies = "0";
	}
	
	$CheckMessageError = "";
	$message = CheckMessageText($message);
	if ($CheckMessageError != "")
	{
		include "_header.inc";
		apb_error($CheckMessageError, FALSE);
	}
	$message = apb_censor($message);
	$message = apb_wordwrap($message);
	$message = RemovePostCrap($message);
	$topic = RemovePostCrap($topic);
	
	
	// Keine Fehler => Ausgabe der Erfolgsmeldung mit Weiterleitung:
	$referer = "$php_path/thread.$suffix?id=$newid&BoardID=$insertinto";
	$refer_time = 3;
	include "_header.inc";
	
	
	if ($email=="1") {
		if (!$useremail) {
			$db->query("INSERT INTO apb".$n."_threads VALUES( '$insertinto', '$newid', '$topic', '$author', '$authorid', '0', $last_reply, '', '', '', '$topicicon', '', '', '', '', '$author', '$authorid');");
			$db->query("INSERT INTO apb".$n."_posts VALUES( '$newid', '', '$author', '$authorid', '$rank', '$last_reply', '$message', '', '$do_disable_smilies', '$user_ip', '', '', '', '$upload_id', '');");
			$db->query("UPDATE apb".$n."_boards SET totalposts=totalposts+1,totalthreads=totalthreads+1,lastmodified='$last_reply' WHERE boardid='$insertinto'");
			$db->query("UPDATE apb".$n."_user_table SET userposts=userposts+1 WHERE userid='$UID'");
			SetThreadLastProperties($newid);
			SetBoardLastProperties($insertinto);
			
			if (get_magic_quotes_gpc() == 1)
			{
				$message = stripslashes($message);
				$topic = stripslashes($topic);
			}
				
			echo "<TABLE WIDTH=\"95%\" BGCOLOR=\"$tablebg\" BORDER=0 CELLSPACING=1 CELLPADDING=6 ALIGN=CENTER>";
			echo "<TR BGCOLOR=\"$tableA\"><TD>";
			print_mb ( $keine_email_in_profil, $font, "2" );
			echo "</TD></TR>";
			echo "<TR BGCOLOR=\"$tableC\"><TD>";
			print_mb ($thema_eingefuegt, $font, "2" );
			echo "</TD></TR><TR BGCOLOR=\"$tableA\"><TD><BR>";
			print_mb ( RemoveCrap($message, $do_disable_smilies), $font, "2" );
			echo "<BR><BR></TD></TR>";
			echo "<TR BGCOLOR=\"$tableB\"><TD><CENTER>";
			print_mb ( "Du wirst nun weitergeleitet zu: <A HREF=\"$php_path/thread.$suffix?id=$newid$sess_link1\">".htmlspecialchars($topic)."</A>", $font, "2" );
			echo "</CENTER></TD></TR></TABLE>";
			if ($adminmail == "1" && $use_mail_system == "1" && !$adminlog) {
				mail($adminemail, $betreff_email, $message_email1.$master_board_name.$message_email2.$php_path."/thread.$suffix?id=".$newid."&BoardID=".$BoardID."\n", "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
			}
			include "_footer.inc";
			exit;
		} else {
			$db->query("INSERT INTO apb".$n."_threads VALUES( '$insertinto', '$newid', '$topic', '$author', '$authorid', '0', $last_reply, '', '', '$useremail', '$topicicon', '', '', '', '', '$author', '$authorid');");
			$db->query("INSERT INTO apb".$n."_posts VALUES( '$newid', '', '$author', '$authorid', '$rank', '$last_reply', '$message', '', '$do_disable_smilies', '$user_ip', '', '', '', '$upload_id', '');");
			$db->query("UPDATE apb".$n."_boards SET totalposts=totalposts+1,totalthreads=totalthreads+1,lastmodified='$last_reply' WHERE boardid='$insertinto'");
			$db->query("UPDATE apb".$n."_user_table SET userposts=userposts+1 WHERE userid='$UID'");
			SetThreadLastProperties($newid);
			SetBoardLastProperties($insertinto);
			
			if (get_magic_quotes_gpc() == 1)
			{
				$message = stripslashes($message);
				$topic = stripslashes($topic);
			}
			
			if ($use_mail_system == "1" && $mail_subscribed_threads == "1")
			{
				mail($useremail, $topic_betreff_email, $topic_message_email1.$master_board_name.$topic_message_email2.$php_path."/thread.$suffix?id=".$newid."&BoardID=".$BoardID."\n".$topic_message_email3, "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
			}
			echo "<TABLE WIDTH=\"95%\" BGCOLOR=\"$tablebg\" BORDER=0 CELLSPACING=1 CELLPADDING=6 ALIGN=CENTER>";
			echo "<TR BGCOLOR=\"$tableA\"><TD>";
			print_mb ( $email_hinzugefuegt, $font, "2" );
			echo "</TD></TR>";
			echo "<TR BGCOLOR=\"$tableC\"><TD>";
			print_mb ($thema_eingefuegt, $font, "2" );
			echo "</TD></TR><TR BGCOLOR=\"$tableA\"><TD><BR>";
			print_mb ( RemoveCrap($message, $do_disable_smilies), $font, "2" );
			echo "<BR><BR></TD></TR>";
			echo "<TR BGCOLOR=\"$tableB\"><TD><CENTER>";
			print_mb ( "Du wirst nun weitergeleitet zu: <A HREF=\"$php_path/thread.$suffix?id=$newid$sess_link1\">".htmlspecialchars($topic)."</A>", $font, "2" );
			echo "</CENTER></TD></TR></TABLE>";
			if ($adminmail == "1" && $use_mail_system == "1" && !$adminlog) {
				mail($adminemail, $betreff_email, $message_email1.$master_board_name.$message_email2.$php_path."/thread.$suffix?id=".$newid."&BoardID=".$BoardID."\n", "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
			}
			include "_footer.inc";
			exit;
		}
	} else {
		$db->query("INSERT INTO apb".$n."_threads VALUES( '$insertinto', '$newid', '$topic', '$author', '$authorid', '0', $last_reply, '', '', '', '$topicicon', '', '', '', '', '$author', '$authorid');");
		$db->query("INSERT INTO apb".$n."_posts VALUES( '$newid', '', '$author', '$authorid', '$rank', '$last_reply', '$message', '', '$do_disable_smilies', '$user_ip', '', '', '', '$upload_id', '');");
		$db->query("UPDATE apb".$n."_boards SET totalposts=totalposts+1,totalthreads=totalthreads+1,lastmodified='$last_reply' WHERE boardid='$insertinto'");
		$db->query("UPDATE apb".$n."_user_table SET userposts=userposts+1 WHERE userid='$UID'");
		SetThreadLastProperties($newid);
		SetBoardLastProperties($insertinto);
		
		if (get_magic_quotes_gpc() == 1)
		{
			$message = stripslashes($message);
			$topic = stripslashes($topic);
		}
		
		echo "<TABLE WIDTH=\"95%\" BGCOLOR=\"$tablebg\" BORDER=0 CELLSPACING=1 CELLPADDING=6 ALIGN=CENTER>";
		echo "<TR BGCOLOR=\"$tableC\"><TD>";
		print_mb ($thema_eingefuegt, $font, "2" );
		echo "</TD></TR><TR BGCOLOR=\"$tableA\"><TD><BR>";
		print_mb ( RemoveCrap($message, $do_disable_smilies), $font, "2" );
		echo "<BR><BR></TD></TR>";
		echo "<TR BGCOLOR=\"$tableB\"><TD><CENTER>";
		print_mb ( "Du wirst nun weitergeleitet zu: <A HREF=\"$php_path/thread.$suffix?id=$newid$sess_link1\">".htmlspecialchars($topic)."</A>", $font, "2" );
		echo "</CENTER></TD></TR></TABLE>";
		if ($adminmail == "1" && !$adminlog) {
			mail($adminemail, $betreff_email, $message_email1.$master_board_name.$message_email2.$php_path."/thread.$suffix?id=".$newid."&BoardID=".$BoardID."\n", "From: ".$adminemail."\nReply-To: ".$adminemail."\nX-Mailer: PHP/" . phpversion());
		}
		include "_footer.inc";
		exit;
	}
}

$apb_useronline_string = "\$lang_useronline[uo_topic]: <A HREF=\"board.$suffix?id=$board_info[boardid]\$sess_link1\">".htmlspecialchars($board_info[boardname])."</A>\n";
include "_header.inc";
add_ubbcodescript("message");

if ($preview_topic != "")
{
	if (get_magic_quotes_gpc() == 1)
	{
		$message = stripslashes($message);
		$topic = stripslashes($topic);
	}
	echo "
<TABLE WIDTH=\"95%\" BGCOLOR=\"$tablebg\" BORDER=0 CELLSPACING=1 CELLPADDING=6 ALIGN=CENTER>
	<TR BGCOLOR=\"$tableC\">
		<TD>";
	echo print_mb ("Vorschau: <BR>",$font,"4");
	echo "
		</TD>
	</TR>
	<TR BGCOLOR=\"$tableB\">
		<TD>
		<BR>";
	echo print_mb ( RemoveCrap($message, $do_disable_smilies), $font, "2" );
	echo "
		<BR><BR>
		</TD>
	</TR>
</TABLE>";

}

?>

<FORM NAME="MESSAGEFORM" ACTION="<? echo "$php_path/topic.$suffix"; ?>" METHOD="POST" ENCTYPE="multipart/form-data">
	<TABLE WIDTH="95%" BGCOLOR="<? echo $tablebg; ?>" BORDER="0" CELLSPACING="1" CELLPADDING="2" ALIGN="CENTER">
		<TR>
			<TD BGCOLOR="<? echo $tableC; ?>" COLSPAN="2">
				<CENTER>
<?
				print_mb ($neues_thema."<BR>",$font,"4");
				print_mb ("$im_forum_topic <A HREF=\"$php_path/board.$suffix?id=$board_info[boardid]$sess_link1\">$board_info[boardname]</A>",$font,"2");
?>
				</CENTER>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableA; ?>">
				<? print_mb ( $thema_topic,$font,"2"); ?>
			</TD>
			<TD BGCOLOR="<? echo $tableA; ?>">
				<CENTER>
					<INPUT TYPE="text" CLASS="button" NAME="topic" MAXLENGTH="70" SIZE="30" VALUE="<? echo htmlspecialchars($topic); ?>">
				</CENTER>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableB; ?>">
				<? print_mb ( $topic_icon_desc,$font,"2"); ?>
			</TD>
			<TD BGCOLOR="<? echo $tableB; ?>">
				<div align="center">
<?
					if ($preview_topic != "")
					{
						$default_topic_icon = $topicicon;
					}
					
					while (list($key, $val) = each($topicicon_array)) {
						echo "<input type=\"radio\" name=\"topicicon\" class=\"styleB\" value=\"$key\"";
						if ($default_topic_icon == $key) echo " checked";
						echo ">&nbsp;<IMG SRC=\"$php_path/$val\">&nbsp;&nbsp;\n";
						if ((($key + 1) % $newline_after_x_smilies) == 0 ) echo "<BR>\n";
					}
?>
				</div>
			</TD>
		</TR>
		<TR BGCOLOR="<? echo $tableA; ?>">
			<TD COLSPAN="2">
				<TABLE align="center" BGCOLOR="<? echo $tablebg; ?>" BORDER="0" CELLSPACING="0" CELLPADDING="2">
					<TR BGCOLOR="<? echo $tableA; ?>" align=\"center\">
						<TD align="center" NOWRAP>
							<? print_mb ($formatierung_hinweis, $font, "1"); ?><BR><BR><BR>
							<? print_mb ("<b>Klick'n'paste</b>", $font, "1"); ?><BR>
							<? print_mb ($iconauswahl, $font, "1"); ?><BR>
							<? add_iconmap("message"); ?>
						</TD>
						<TD align="center">
							<a name="textfeld">
							<TEXTAREA NAME="message" WRAP="VIRTUAL" COLS="70" ROWS="20"><? echo htmlspecialchars($message); ?></TEXTAREA>
							</a>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableB; ?>" COLSPAN="2">
				<div align="center">
					<? include "_ubbcode.inc"; ?>
				</div>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableA; ?>" COLSPAN="2">
				<div align="center">
					<? if ($preview_topic != "") {
							$signature_check = ($signature == "1" ? "checked" : "");
						} else {
							$signature_check = "checked";
						}
					?>
					<input type="checkbox" name="signature" value="1" <? echo $signature_check; ?>>&nbsp;&nbsp;<? print_mb ($sig_anhaengen, $font, "2"); ?>
				</div>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableB; ?>" COLSPAN="2">
				<div align="center">
					<input type="checkbox" name="do_disable_smilies" value="1" <? echo ($do_disable_smilies == "1" ? "checked" : ""); ?>>&nbsp;&nbsp;<? print_mb ($post_disable_smilies, $font, "2"); ?>
				</div>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableA; ?>" COLSPAN="2">
				<div align="center"><input type="checkbox" name="email" value="1" <? echo ($email == "1" ? "checked" : ""); ?>>&nbsp;&nbsp;<? print_mb ($email_not, $font, "2"); ?></div>
			</TD>
		</TR>
		<TR>
			<TD BGCOLOR="<? echo $tableB; ?>" COLSPAN="2">
				<div align="center">
					<? print_mb ("<b>Datei an Beitrag anhngen?</b>", $font, "2"); ?>
					<input type="file" name="post_file">
					<? print_mb ("(max. $postupload_maxsize KBs)", $font, "1"); ?>
				</div>
			</TD>
		</TR>
		<TR ALIGN="CENTER">
			<TD BGCOLOR="<? echo $tableC; ?>" COLSPAN="2">
				<INPUT TYPE="hidden" NAME="sess_id" VALUE="<? echo $sess_id; ?>">
				<INPUT TYPE="hidden" NAME="postit" VALUE="TRUE">
				<INPUT TYPE="hidden" NAME="insertinto" VALUE="<? echo $insertinto; ?>">
				<INPUT TYPE="hidden" NAME="BoardID" VALUE="<? echo $BoardID; ?>">
				<INPUT CLASS="button" TYPE="submit" NAME="new_topic" VALUE="<? echo $thread_posten; ?>">
				<INPUT CLASS="button" TYPE="submit" NAME="preview_topic" VALUE="Vorschau">
			</TD>
		</TR>
	</TABLE>
</FORM>
<?

include "statistik.$suffix";
insert_into_stats($PHP_SELF);
include "userreg.$suffix";
include "_footer.inc";

?>
