<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */

$disable_functions_inc	=	"1";
include ("./_functions.inc");
$textlastreply_length = 30;

include "db_apboard.$suffix";

$db = new DB_APB;

$db->Host      = $mysqlhost;
$db->Database  = $mysqldb;
$db->User      = $mysqluser;
$db->Password  = $mysqlpassword;

$db->connect();


function update_styles_cats_199_200 () {
	
	global $n, $db;
	
	$db->query ("DELETE FROM apb".$n."_categories");
	$db->query ("DELETE FROM apb".$n."_styles");
	
	$old_board_styles = $db->query ("SELECT * FROM apb".$n."_boards ORDER BY category,boardname");
	
	$old_default_style = $db->query_first("SELECT * FROM apb".$n."_config LIMIT 0,1");
	
	$insert_prefix = "INSERT INTO apb".$n."_styles (styleid, stylename, description, image1, image2, image3, css, fontarray, fontsizearray";
	$insert_prefix .= ", fontcolorarray, linkcolor, visited, active, hover, bgcolor, tablebgcolor, tablecolorarray, bgpicture, bgfixed) ";
	
	$font_array = array (
		"0" => $old_default_style[font]
	);
	
	$fontsize_array = array(
		"small" => "1",
		"middle" => "2",
		"large" => "3"
	);
	
	$fontcolor_array = array(
		"first" => $old_default_style[fontcolor],
		"second" => $old_default_style[fontcolorsec]
	);
	
	$tablecolor_array = array(
		"a" => $old_default_style[tablea],
		"b" => $old_default_style[tableb],
		"c" => $old_default_style[tablec]
	);
	
	$font_array = addslashes ( serialize ($font_array) );
	$fontsize_array = addslashes ( serialize ($fontsize_array) );
	$fontcolor_array = addslashes ( serialize ($fontcolor_array) );
	$tablecolor_array = addslashes ( serialize ($tablecolor_array) );
	
	$default_insert = $insert_prefix . "VALUES ('', 'Standart-Style', 'Gilt fr alle Bereiche, in denen nicht extra ein Style gesetzt wurde.', '$old_default_style[imageurl]', '', '', 'a:link { \r\n	color: \$links;\r\n	text-decoration: none;\r\n	}\r\na:visited {\r\n	color: \$visited;\r\n	text-decoration: none;\r\n	}\r\na:active{\r\n	color: \$active;\r\n	text-decoration: none;\r\n	}\r\na:hover{\r\n	color: \$hover;\r\n	text-decoration: underline;\r\n	}\r\n	\r\nBODY {\r\n	font-family:Verdana, Arial, Helvetica, sans-serif;\r\n	font-size:10pt;\r\n	color: \$font;\r\n	}\r\n.button {\r\n	font-family: Verdana, Arial, Helvetica, sans-serif;\r\n	font-size: 10pt;\r\n	}\r\n\r\n.styleB {\r\n	BACKGROUND-COLOR: \$tableB;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\n.styleC {\r\n	BACKGROUND-COLOR: \$tableC;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\nSELECT {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f;\r\n	FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 10px;\r\n	}\r\n\r\nOPTION {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 10px;\r\n	}\r\n\r\nINPUT {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\nINPUT.RADIO {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\nTEXTAREA {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\n.helptext {\r\n	font-family:Verdana, Arial, Helvetica, sans-serif;\r\n	font-size:10pt;\r\n	color: \$tableA;\r\n	}\r\n', '$font_array'";
	$default_insert .= ", '$fontsize_array', '$fontcolor_array', '$old_default_style[linkcolor]', '$old_default_style[visited]', '$old_default_style[active]', '$old_default_style[hover]', '$old_default_style[bgcolor]'";
	$default_insert .= ", '$old_default_style[tablebg]', '$tablecolor_array', '$old_default_style[hgpicture]', '$old_default_style[bgfixed]')";
	
	$db->query ($default_insert);
	
	$category_count = 1;
	$board_count = 1;
	$style_count = 2;
	$last_category = "";
	
	while ($akt_style = $db->next_record($old_board_styles)) {
		
		$font_array = array (
			"0" => $akt_style[font]
		);
		
		$fontcolor_array = array(
			"first" => $akt_style[fontcolor],
			"second" => $akt_style[fontcolorsec]
		);
		
		$tablecolor_array = array(
			"a" => $akt_style[tablea],
			"b" => $akt_style[tableb],
			"c" => $akt_style[tablec]
		);
		
		$font_array = addslashes ( serialize ($font_array) );
		$fontcolor_array = addslashes ( serialize ($fontcolor_array) );
		$tablecolor_array = addslashes ( serialize ($tablecolor_array) );
		
		$query = "SELECT * FROM apb".$n."_styles WHERE (image1 = '$akt_style[boardgfx]' AND fontarray = '$font_array' AND fontcolorarray = '$fontcolor_array'";
		$query .= " AND linkcolor = '$akt_style[linkcolor]' AND visited = '$akt_style[visited]' AND active = '$akt_style[active]' AND hover = '$akt_style[active]'";
		$query .= " AND bgcolor = '$akt_style[bgcolor]' AND tablebgcolor = '$akt_style[tablebg]' AND tablecolorarray = '$tablecolor_array'";
		$query .= " AND bgpicture = '$akt_style[hgpicture]' AND bgfixed = '$akt_style[bgfixed]')";
		
		$style_vorhanden = $db->query($query);
		
		if (($style_vorhanden = $db->next_record($style_vorhanden))) {
			
			$db->query ("UPDATE apb".$n."_boards SET styleid = '$style_vorhanden[styleid]' WHERE boardid = '$akt_style[boardid]'");
			
		} else {
			
			$insert = $insert_prefix . "VALUES ('', 'Style #$style_count', '', '$akt_style[boardgfx]', '', '', 'a:link { \r\n	color: \$links;\r\n	text-decoration: none;\r\n	}\r\na:visited {\r\n	color: \$visited;\r\n	text-decoration: none;\r\n	}\r\na:active{\r\n	color: \$active;\r\n	text-decoration: none;\r\n	}\r\na:hover{\r\n	color: \$hover;\r\n	text-decoration: underline;\r\n	}\r\n	\r\nBODY {\r\n	font-family:Verdana, Arial, Helvetica, sans-serif;\r\n	font-size:10pt;\r\n	color: \$font;\r\n	}\r\n.button {\r\n	font-family: Verdana, Arial, Helvetica, sans-serif;\r\n	font-size: 10pt;\r\n	}\r\n\r\n.styleB {\r\n	BACKGROUND-COLOR: \$tableB;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\n.styleC {\r\n	BACKGROUND-COLOR: \$tableC;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\nSELECT {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f;\r\n	FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 10px;\r\n	}\r\n\r\nOPTION {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 10px;\r\n	}\r\n\r\nINPUT {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\nINPUT.RADIO {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\nTEXTAREA {\r\n	BACKGROUND-COLOR: \$tableA;\r\n	COLOR: #51485f; \r\n   FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif;\r\n	FONT-SIZE: 12px;\r\n	}\r\n\r\n.helptext {\r\n	font-family:Verdana, Arial, Helvetica, sans-serif;\r\n	font-size:10pt;\r\n	color: \$tableA;\r\n	}\r\n', '$font_array'";
			$insert .= ", '$fontsize_array', '$fontcolor_array', '$akt_style[linkcolor]', '$akt_style[visited]', '$akt_style[active]', '$akt_style[hover]', '$akt_style[bgcolor]'";
			$insert .= ", '$akt_style[tablebg]', '$tablecolor_array', '$akt_style[hgpicture]', '$akt_style[bgfixed]')";
			
			$style_count++;
			
			$db->query ($insert);
			$styleid = $db->insert_id();
			
			$db->query ("UPDATE apb".$n."_boards SET styleid = '$styleid' WHERE boardid = '$akt_style[boardid]'");
			
		}
		
		if ($last_category == $akt_style[category]) {
			$board_count++;
		} else {
			$board_count = 1;	
			$db->query ("INSERT INTO apb".$n."_categories VALUES ('', '$akt_style[category]', '$category_count', '', '', '', '-1', '', '-1', '-1', '1', '1', '', '', '', '', '', '-1', '-1', '0')");
			$last_cat_id = $db->insert_id();
			$category_count++;
		}
		
		$db->query ("UPDATE apb".$n."_boards SET categoryparentid = '$last_cat_id', sortit = '$board_count' WHERE boardid = '$akt_style[boardid]'");
		
		$last_category = $akt_style[category];
		
	}
	
}

function update_lastproperties() {
	
	global $n, $db, $textlastreply_length;

	$boards = $db->query ("SELECT * FROM apb".$n."_boards");
	
	while ($akt_board = $db->next_record($boards)) {
		
		$last_thread = GetLatestThread($akt_board[boardid]);
		$last_thread = $db->next_record($last_thread);
		SetThreadLastProperties($last_thread[threadid]);
		SetBoardLastProperties($akt_board[boardid]);
		
	}	
}



?>
