<?

// ####################################  User identifier   #########################################
function UserAuth ($UID,$UPASS)
{ // APBoard
	global $n, $benutzername_existiert_nicht, $pw_im_cookie_falsch, $pw_falsch, $gesperrt_geloescht, $db;
	if (!$UID) {
		apb_error($benutzername_existiert_nicht,FALSE);
		include "_footer.inc";
		exit;
	}
	$userdata = $db->query("SELECT username,userpassword,status FROM apb".$n."_user_table WHERE userid='$UID';");
	if (!$userdata) {
		apb_error($benutzername_existiert_nicht,FALSE);
		include "_footer.inc";
		exit;
	} // APBoard
	$thisuser = $db->next_record($userdata);
	if ($thisuser[userpassword] != $UPASS) {
		apb_error($pw_im_cookie_falsch,FALSE);
		include "_footer.inc";
		exit;
	}
	if ($thisuser[status] == "BANNED" || $thisuser[status] == "DELETED") {
		apb_error($gesperrt_geloescht,FALSE);
		include "_footer.inc";
		exit;
	}
	if ($thisuser[status] == "ADMIN") { return 3; }
	if ($thisuser[status] == "MOD") { return 4; }
	return 2;
}



// ##################################  Cookie Auth  ###################################################

function CookieAuth($UserInformation_dummy)
{
	global $UserInformation, $n, $UPASS, $UID, $logged, $adminlog, $modlog, $hello, $php_path, $pw_im_cookie_falsch, $moderator_rechte, $noch_nicht_registriert, $db, $sess_id, $user_ip, $sess_link1, $sess_link2, $banned_message, $cookie_path, $cookie_domain, $suffix;
	$adminlog = FALSE;
	$modlog = FALSE;
	$logged = FALSE;
	
	$time_threshold = time() - 600;
	$db->query ("DELETE FROM apb".$n."_sessions WHERE zeit < '$time_threshold'");
	if ($sess_id != "")
	{
		$user_sess = $db->query_first ("SELECT session.id, session.user_id, user.username, user.userpassword FROM apb".$n."_sessions as session, apb".$n."_user_table as user WHERE hash = '$sess_id' AND ip = '$user_ip' AND user.userid = session.user_id");
		if ($user_sess)
		{
			$UserInformation[uid] = $user_sess[user_id];
			$UserInformation[upass] = $user_sess[userpassword];
			$db->query("UPDATE apb".$n."_sessions SET zeit = '".time()."' WHERE id = '$user_sess[id]'");
			$sess_link1 = "&sess_id=$sess_id";
			$sess_link2 = "?sess_id=$sess_id";
		}
		else
		{
			$sess_id = "";
			$sess_link1 = "";
			$sess_link2 = "";
		}
	}
	
	if (isset ($UserInformation[uid])) 
		{
		$result1 = $db->query("SELECT userid,username,userpassword,status,publicname FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]';");
		if (!$result1) 
			{
			apb_error($noch_nicht_registriert,TRUE);
			} 
		else 
			{
			$userdat = $db->next_record($result1);
			}
		$UID = $UserInformation[uid];
		$UPASS = $UserInformation[upass];
		if ($userdat[userpassword] != $UPASS) 
			{
			$UserInformation = array();
			apb_setcookie ("UserInformation[uid]", "", time() - (60 * 60 * 24 * 365));
			apb_setcookie ("UserInformation[upass]", "", time() - (60 * 60 * 24 * 365)); 
			$logged = FALSE;
			apb_error($pw_im_cookie_falsch,FALSE);
			}
		else 
			{
			if ($userdat[status] == "BANNED") 
				{
				apb_error($banned_message,FALSE);
				}
			if ($userdat[status] == "ADMIN") 
				{
				$adminlog = TRUE;
				}
			if ($userdat[status] == "MOD") 
				{
				$modlog = TRUE;
				}
			$logged = TRUE;
			$ustring = $hello." <A HREF=\"$php_path/user.$suffix?id=$userdat[userid]$sess_link1\">$userdat[publicname]</A>";
			if ($adminlog == TRUE) { $ustring .= $admin_rechte; }
			if ($modlog == TRUE) { $ustring .= $moderator_rechte; }
			return $ustring;
			}
		} 
	else 
		{ // APBoard
		$logged = FALSE;
		return $noch_nicht_registriert;
		}
	}


function magic_quote_incoming_data()
{
	
	global $HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_COOKIE_VARS;
	
	if (get_magic_quotes_gpc() == 0) {
		
		for (reset($HTTP_GET_VARS); list($k, $v) = each($HTTP_GET_VARS); ) {
			if (is_array($HTTP_GET_VARS["$k"]))
			{
				for (reset($HTTP_GET_VARS["$k"]); list($k2, $v2) = each($HTTP_GET_VARS["$k"]); ) {
					$HTTP_GET_VARS["$k"]["$k2"] = addslashes($v2);
					$GLOBALS["$k"]["$k2"] = addslashes($v2);
				}
				reset($HTTP_GET_VARS["$k"]);
				reset($GLOBALS["$k"]);
			}
			else
			{
				$HTTP_GET_VARS["$k"] = addslashes($v);
				$GLOBALS["$k"] = addslashes($v);
			}
		}
		for (reset($HTTP_POST_VARS); list($k, $v) = each($HTTP_POST_VARS); ) {
			if (is_array($HTTP_POST_VARS["$k"]))
			{
				for (reset($HTTP_POST_VARS["$k"]); list($k2, $v2) = each($HTTP_POST_VARS["$k"]); ) {
					$HTTP_POST_VARS["$k"]["$k2"] = addslashes($v2);
					$GLOBALS["$k"]["$k2"] = addslashes($v2);
				}
				reset($HTTP_POST_VARS["$k"]);
				reset($GLOBALS["$k"]);
			}
			else
			{
				$HTTP_POST_VARS["$k"] = addslashes($v);
				$GLOBALS["$k"] = addslashes($v);
			}
		}
		for (reset($HTTP_COOKIE_VARS); list($k, $v) = each($HTTP_COOKIE_VARS); ) {
			if (is_array($HTTP_COOKIE_VARS["$k"]))
			{
				for (reset($HTTP_COOKIE_VARS["$k"]); list($k2, $v2) = each($HTTP_COOKIE_VARS["$k"]); ) {
					$HTTP_COOKIE_VARS["$k"]["$k2"] = addslashes($v2);
					$GLOBALS["$k"]["$k2"] = addslashes($v2);
				}
				reset($HTTP_COOKIE_VARS["$k"]);
				reset($GLOBALS["$k"]);
			}
			else
			{
				$HTTP_COOKIE_VARS["$k"] = addslashes($v);
				$GLOBALS["$k"] = addslashes($v);
			}
		}
		
		reset($HTTP_GET_VARS);
		reset($HTTP_POST_VARS);
		reset($HTTP_COOKIE_VARS);
	}
	
}



// ##########################  Time-function  ########################################################
function GetUnixTime($day, $month, $year, $hour, $min)
{
	global $server_zeit_unterschied;
	$unix_timestamp = mktime($hour, $min, 0, $month, $day, $year);
	$unix_timestamp += ($server_zeit_unterschied * 3600);
	return "$unix_timestamp";
}




// ##########################  Time-function  ########################################################
function HackDate($unix_timestamp)
{
	global $server_zeit_unterschied;
	$unix_timestamp += ($server_zeit_unterschied * 3600);
	global $heute, $uhr;
	if (date("d.m.Y") == date("d.m.Y", $unix_timestamp)) {
		$pre = date("H:i", $unix_timestamp);
		return "<font size=1><b>$heute</b>, $pre $uhr</font>";
	} else {
		$pre = date("d.m.Y, H:i",$unix_timestamp);
		return "<font size=1>$pre $uhr</font>";
	}
}


// ##########################  Time-function 2 ########################################################
function HackTime($unix_timestamp)
{
	global $server_zeit_unterschied;
	$unix_timestamp += ($server_zeit_unterschied * 3600);
	$pre = date("H:i", $unix_timestamp);
	return $pre;
}


// ##########################  Time-function 3 ########################################################
function HackDate2($unix_timestamp, $date_format = "d.m.Y")
{
	global $server_zeit_unterschied;
	$unix_timestamp += ($server_zeit_unterschied * 3600);
	$pre = date($date_format,$unix_timestamp);
	return "$pre";
}


// ##########################  random passwort-generator ########################################################

function generate_pw($length = 8) {
	
	$digit = array(
		"A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "1", "2", "3", "4", "5", "6", "7", "8", "9"
	);
	
	
	if (!$GLOBALS["IHaveCalledMT_SrandBefore"]++) {
		mt_srand((double)microtime()*1000000);
	}
	
	$i = 0;
	while ($i < $length) {
		$code_dig[] = $digit[mt_rand(0, 59)];
		$i++; // APBoard
	}
	
	$new_pw = implode ("", $code_dig);
	return $new_pw;
	
}


function validate_email_mx ($email) {
	if (eregi("^[0-9a-z_]([-_.]?[0-9a-z])*@[0-9a-z]([-.]?[0-9a-z])*\\.[a-z]{2,4}$", $email, $check)) {
		if ( getmxrr(substr(strstr($check[0], '@'), 1), $validate_email_temp) ) {
			return TRUE;
		}
		// THIS WILL CATCH DNSs THAT ARE NOT MX.
		if(checkdnsrr(substr(strstr($check[0], '@'), 1),"ANY")){
			return TRUE;
		}
	}
	return FALSE;
}


function validate_numeric_input ($input, $lower_limit, $upper_limit, $default, $only_check) {
	
	$valid_input = 1;
	
	if (is_array($input)) {
		
		reset($input);
		while ( list($key, $val) = each ($input) ) {
			$val += 0;
			$val_is_valid = 1;
			if ( $lower_limit != "") {
				if ($val < $lower_limit) {
					$val_is_valid = 0;
				}
			}
			if ( $upper_limit != "") {
				if ($val > $upper_limit) {
					$val_is_valid = 0;
				}
			}
			if ( ($only_check != "1") && ($val_is_valid != 1) ) {
				$input[$key] = $default;
			} else {
				$input[$key] = $val;
			}
			if ($val_is_valid != 1) {
				$valid_input = 0;
			}
		}
		reset($input);
		
	} else {
		$input += 0;
		if ( $lower_limit != "") {
			if ($input < $lower_limit) {
				$valid_input = 0;
			}
		}
		if ( $upper_limit != "") {
			if ($input > $upper_limit) {
				$valid_input = 0;
			}
		}
		if ( ($only_check != "1") && ($valid_input != 1) ) {
			$input = $default;
		}
		
	}
	
	if ($only_check != "1") {
		return $input;
	} else {
		return $valid_input;
	}
	
}

function GetGesamtPosts()
{
	global $n, $db;
	$result = $db->query("SELECT userposts FROM apb".$n."_user_table");
	return $result;
}


function GetUserTop10()
{
	global $n, $db;
	$result = $db->query("SELECT userid, username, userposts, publicname FROM apb".$n."_user_table ORDER BY userposts DESC LIMIT 0,10");
	return $result;
}


function GetBoardsTop10()
{
	global $n, $db;
	$result = $db->query("SELECT boardid, boardname, totalposts, sortit, totalthreads FROM apb".$n."_boards ORDER BY totalposts DESC LIMIT 0,10");
	return $result;
}


function GetThreadsTop10($anzahl = 10)
{
	global $n, $db;
	$anzahl += 0;
	if ($anzahl < 1) {
		$anzahl = 10;
	}
	$result = $db->query("SELECT threadid, threadname, boardparentid, replies, topicicon, views FROM apb".$n."_threads AS threads, apb".$n."_boards AS boards WHERE threads.boardparentid = boards.boardid AND threads.flags != 2 AND boards.boardpassword = '' ORDER BY replies DESC, threadname LIMIT 0,$anzahl");// APboard
	return $result;
}


function GetNewsThreads($anzahl, $boardid)
{
	global $n, $show_pw_boards_global, $db;
	$anzahl += 0;
	if ($anzahl < 1) {
		$anzahl = 10;
	}
	if ($show_pw_boards_global) {
		$result = $db->query("SELECT DISTINCT threadid, threadname, boardparentid FROM apb".$n."_threads AS threads, apb".$n."_posts AS posts, apb".$n."_boards AS boards WHERE posts.threadparentid = threads.threadid AND threads.boardparentid='$boardid' AND threads.flags != 2 GROUP BY threads.threadid ORDER BY posts.posttime DESC LIMIT 0,$anzahl");// APboard
	} else {
		$result = $db->query("SELECT DISTINCT threadid, threadname, boardparentid FROM apb".$n."_threads AS threads, apb".$n."_posts AS posts, apb".$n."_boards AS boards WHERE posts.threadparentid = threads.threadid AND threads.boardparentid='$boardid' AND threads.flags != 2 AND boards.boardpassword = '' GROUP BY threads.threadid ORDER BY posts.posttime DESC LIMIT 0,$anzahl");// APboard
	}
	
	return $result;
}

function GetLastThreads($anzahl = 10)
{
	global $n, $db;
	$anzahl += 0;
	if ($anzahl < 1) {
		$anzahl = 10;
	}
	$result = $db->query("SELECT threadid, threadname, boardparentid, topicicon, timelastreply, views FROM apb".$n."_threads AS threads, apb".$n."_boards AS boards WHERE threads.boardparentid = boards.boardid AND threads.flags != 2 AND boards.boardpassword = '' ORDER BY timelastreply DESC, threadname LIMIT 0,$anzahl");// APboard
	return $result;
}


function GetStyle($boardid)
{
	global $n, $db, $defaultstyle;
	$board_style = $db->query("SELECT boards.styleid, categories.styleid as catstyleid FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE categories.catid = boards.categoryparentid AND boards.boardid = '$boardid'");
	$board_style = $db->next_record($board_style);
	
	$board_style_id = ($board_style[styleid] != "-1" ? $board_style[styleid] : $board_style[catstyleid]);
	
	if ($board_style_id == "-1")
		$board_style_id = $defaultstyle;
	
	$style_result = $db->query("SELECT * FROM apb".$n."_styles WHERE styleid = '$board_style_id'");
	return $style_result;
}


function GetBoards()
{
	global $n, $db;
	$result = $db->query("SELECT boards.*, categories.catname FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE boards.categoryparentid = categories.catid AND boards.invisible = 0 ORDER BY categories.sortit, boards.sortit, boards.boardname");
	return $result;
}


function GetBoards_cat($user_category_string)
{
	global $n, $db;
	$user_categories = explode("X", $user_category_string);
	while(list($key, $val) = each($user_categories)) {
		$val += 0;
		if ($val > 0) $user_categories2[] = $val;
	}
	if (sizeof($user_categories2) < 1) {
		$result1 = $db->query("SELECT boards.*, categories.catname FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE boards.categoryparentid = categories.catid AND boards.invisible = 0 ORDER BY categories.sortit, boards.sortit, boards.boardname");// APboard
	} else {
		$result1 = $db->query("SELECT boards.*, categories.catname FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE (boards.categoryparentid = categories.catid AND boards.invisible = 0 AND categories.catid IN (" . implode (",", $user_categories2) . ") ) ORDER BY categories.sortit, boards.sortit, boards.boardname");// APboard
	}
	return $result1;
}



function GetBoardInfo($boardid)
{
	global $n, $db;
	$result = $db->query("SELECT boards.*, categories.catname, categories.catid, categories.catpassword FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE boardid='$boardid' AND boards.categoryparentid = categories.catid;");
	return $result;
}


function GetThreads($boardid,$start,$anzahl = "--standart--",$order = "timelastreply DESC")
{
	global $n, $threads_per_page, $db;
	if ($anzahl == "--standart--" || $anzahl == "")
			$anzahl = $threads_per_page;
	if ($order == "") // APboard
			$order = "timelastreply DESC";
	if ($start == "") { $start = 0; } else { $start--; }
	$result = $db->query("SELECT apb".$n."_threads.*, users.publicname as starter, replyer.publicname as lastposter FROM apb".$n."_threads left join apb".$n."_user_table users on apb".$n."_threads.authorid = users.userid left join apb".$n."_user_table replyer on apb".$n."_threads.lastreply_authorid = replyer.userid WHERE apb".$n."_threads.boardparentid='$boardid' ORDER BY $order LIMIT $start,$anzahl");
	return $result;
}


function GetThreadInfo($threadid)
{
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_threads WHERE threadid='$threadid';");
	return $result;
}


function GetPosts($threadid,$start,$time_threshold = 0)
{
	global $n, $posts_per_page, $db;
	if ($start == "") { $start = 0; } else { $start--; }
	$query = "SELECT posts.*, users.*";
	if ($time_threshold > 0)
			$query .= ", (users.last_board_visit > $time_threshold) as userisonline";
	
	$query .= " FROM apb".$n."_posts as posts, apb".$n."_user_table as users WHERE threadparentid='$threadid' AND flags = 0 AND posts.authorid = users.userid ORDER BY posttime ASC LIMIT $start,$posts_per_page";
	
	$result = $db->query($query);
	return $result;
}


function GetPostInfo($postid)
{
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_posts WHERE postid='$postid';");
	return $result;
}


function GetFirstPost($thread_id)
{// APboard
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_posts WHERE threadparentid='$thread_id'");
	return $result;
}


function GetLatestPost($thread_id)
{
	global $n, $db;
	$result = $db->query("SELECT post.*, user.publicname FROM apb".$n."_posts post left join apb".$n."_user_table user on post.authorid = user.userid WHERE post.threadparentid='$thread_id' ORDER BY posttime DESC LIMIT 0,1");
	return $result;
}


function GetLatestThread($board_id)
{
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_threads WHERE (boardparentid='$board_id' AND flags != '2') ORDER BY timelastreply DESC");
	return $result;
}


function GetUserInfo($username)
{
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_user_table WHERE username='$username';");
	return $result;
}

function GetUsereMail($id)
{
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_user_table WHERE userid='$id';");
	return $result;
}

function Name2ID($name)
{// APboard
	global $n, $db;
	$thisuser = $db->query_first("SELECT userid FROM apb".$n."_user_table WHERE username='$name';");
	return $thisuser[0];
}

function GetLastBoardVisit($boardid) {
	global $last_visit, $last_visit_array, $session_last_visit;
	
	if (!isset($last_visit_array))
	{	
		
		if ($session_last_visit != "")
		{
			$last_visit_array1 = explode("||", $session_last_visit);
		} else {
			$last_visit_array1 = explode("||", $last_visit);
		}
		
		while (list(,$val) = each($last_visit_array1) )
		{
			$delim = strpos($val, "--");
			$key = substr($val, 0, $delim);
			$last_visit_array[$key] = substr($val, $delim+2);
		}
	}
	
	$last_visit_array[$boardid] += 0;
	
	return $last_visit_array[$boardid];
}

function SetLastBoardVisit($boardid, $inhalt, $zeit) {
	global $last_visit;
	
	$new_last_visit_array = explode("||", $last_visit);
	while (list(,$val) = each($new_last_visit_array) )
	{
		$delim = strpos($val, "--");
		$key = substr($val, 0, $delim);
		$new_last_visit_array2[$key] = substr($val, $delim+2);
	}

	$new_last_visit_array2[$boardid] = $inhalt;
	reset($new_last_visit_array2);
	
	$last_visit = ""; // APBoard
	while(list($key, $val) = each ($new_last_visit_array2) ) {
		if ($val != "") {
			$last_visit .= "$key--$val||";
		}
	}
	
	apb_setcookie("last_visit", $last_visit, $zeit, 1);
	
}



function SessionVisit() {
	global $last_visit, $session_last_visit;
	
	if ($session_last_visit == "")
	{
		if ($last_visit != "")
		{
			apb_setcookie("session_last_visit", $last_visit, 0);
		} else {
			apb_setcookie("session_last_visit", "--||", 0);
		}
	}
}



function GetUsersOnline () {
	global $n, $db;
	
	$return_array[nicknames] = array();
	// APboard
	$user_nicknames = $db->query("SELECT nickname, userid FROM apb".$n."_useronline WHERE nickname != '' GROUP BY nickname ORDER BY zeit DESC");
	$anzahl_user = $db->num_rows($user_nicknames);
	while ($akt_usernick = $db->next_record($user_nicknames)) {
		$return_array[nicknames][] = $akt_usernick[nickname];
		$return_array[userips][] = $akt_usernick[userid];
	}
	$anzahl_guests = $db->query("SELECT DISTINCT ip FROM apb".$n."_useronline WHERE nickname = ''");
	$anzahl_guests = $db->num_rows($anzahl_guests);
	
	$return_array[anzahl_guests] = $anzahl_guests;
	$return_array[anzahl_user] = $anzahl_user;
	$return_array[anzahl_gesamt] = $anzahl_guests + $anzahl_user;
	
	return $return_array;
	
}


function SetThreadLastProperties ($threadid) {
	global $n, $db, $textlastreply_length;
	
	$post_count = $db->query_first("SELECT COUNT(*) FROM apb".$n."_posts WHERE threadparentid = '$threadid'");
	$post_count = $post_count[0] - 1;
	
	$latest_post = GetLatestPost($threadid);
	if ($latest_post = $db->next_record($latest_post))
	{
		
		$thread_data = $db->query_first ("SELECT threadname, topicicon FROM apb".$n."_threads WHERE threadid = '$threadid'");
		
		$new_timelastreply = $latest_post[posttime];
		
		if ($latest_post[publicname] == "")
		{
			$latest_post[publicname] = $latest_post[authorname];
		}
		
		$lastreplyproperties = array();
		$lastreplyproperties[author] = $latest_post[publicname];
		$lastreplyproperties[authorid] = $latest_post[authorid];
		if (strlen($latest_post[message]) > $textlastreply_length) {
			$lastreplyproperties[text] = substr($latest_post[message], 0, $textlastreply_length) . " ...";
		} else { // APBoard
			$lastreplyproperties[text] = $latest_post[message];
		}
		$lastreplyproperties[threadname] = (strlen($thread_data[threadname]) > $textlastreply_length ? substr($thread_data[threadname], 0, $textlastreply_length) . " ..." : $thread_data[threadname]);
		$lastreplyproperties[topicicon] = $thread_data[topicicon];
		$lastreplyproperties[header] = "";
		$lastreplyproperties[postid] = $latest_post[postid];
		$lastreplyproperties[threadid] = $threadid;
		$lastreplyproperties = addslashes( serialize($lastreplyproperties) );
		
		$db->query("UPDATE apb".$n."_threads SET timelastreply = '$new_timelastreply', lastreplyproperties = '$lastreplyproperties', replies = '$post_count', lastreply_authorid = '$latest_post[authorid]', lastreply_authorname = '$latest_post[publicname]' WHERE threadid = '$threadid'");
		
	}
}

function SetBoardLastProperties ($boardid) {
	global $n, $db;
	
	$post_count = $db->query_first("SELECT COUNT(*) FROM apb".$n."_posts as posts, apb".$n."_threads as threads WHERE posts.threadparentid = threads.threadid AND threads.boardparentid = '$boardid'");
	$post_count = $post_count[0];
	$thread_count = $db->query_first("SELECT COUNT(*) FROM apb".$n."_threads WHERE boardparentid = '$boardid' AND flags <> 2");
	$thread_count = $thread_count[0];
	
	$last_thread = GetLatestThread($boardid);
	if ($last_thread = $db->next_record($last_thread))
	{
		$new_lastmodified = $last_thread[timelastreply];
		$lastreplyproperties = addslashes($last_thread[lastreplyproperties]);
		$db->query("UPDATE apb".$n."_boards SET lastmodified='$new_lastmodified', lastreplyproperties = '$lastreplyproperties', totalposts = '$post_count', totalthreads = '$thread_count' WHERE boardid = '$boardid'");
	}
	else
	{
		$db->query("UPDATE apb".$n."_boards SET lastmodified='0', lastreplyproperties = '', totalposts = '$post_count', totalthreads = '$thread_count' WHERE boardid = '$boardid'");
	}
}



function GetAPBUser($cookieinfo) 
	{
	global $n, $db;
	$result = $db->query("SELECT * FROM apb".$n."_user_table WHERE userid='".$cookieinfo[uid]."'");// APBoard
	$apb_user = mysql_fetch_array($result);
	return $apb_user;
	}// APBoard



// ###############################  Ranking  #########################################################
function GetRank($posts, $status, $gender = 0)
{
//global $r1,$r2,$r3,$r4,$r5,$r6,$r7,$r8,$r9,$r10,$r11,$r12,$r13,$r14,$r15;
global $gender_default, $rang_namen, $rang_posts, $showstars, $rank;
// APboard
    
    if ($gender != 1 && $gender != 2) {
		$gender = $gender_default;
	}
	if ($showstars == 1) {
        $gender = 3;
        $rank = "";
    }
	reset($rang_posts);
	reset($rang_namen);
	
    if ($status == "ADMIN" && $gender == 3) {
        return $rang_namen[$gender]['adm'];
    }
    elseif ($status == "MOD" && $gender == 3) {
        return $rang_namen[$gender]['mod'];
    }
    
	while (list($key, $val) = each($rang_posts)) {
		if ($posts <= $val) {
			return $rank.$rang_namen[$gender][$key];
		}
        $num = $key;
	}
    $num++;
    return $rank.$rang_namen[$gender][$num];
}


function parseSmilies($apboardoutput)
{
	global $php_path;
	
	$apboardoutput=str_replace (":D", "<img src=\"".$php_path."/smilies/biggrin.gif\" alt=\":D\"> ", $apboardoutput);
	$apboardoutput=ereg_replace ("[^a-zA-Z0-9];D", " <img src=".$php_path."/smilies/biglaugh.gif alt=\";D\"> ", $apboardoutput);
	$apboardoutput=str_replace (":O", "<img src=".$php_path."/smilies/bubble.gif alt=\":O\"> ", $apboardoutput);
	$apboardoutput=str_replace ("I)", "<img src=".$php_path."/smilies/censored.gif alt=\"I)\"> ", $apboardoutput);
	$apboardoutput=str_replace ("?(", "<img src=".$php_path."/smilies/confused.gif alt=\"?(\"> ", $apboardoutput);
	$apboardoutput=str_replace ("8)", "<img src=".$php_path."/smilies/cool.gif alt=\"8)\"> ", $apboardoutput);
	$apboardoutput=str_replace (";(", "<img src=".$php_path."/smilies/crying.gif alt=\";(\"> ", $apboardoutput);
	$apboardoutput=str_replace ("8o", "<img src=".$php_path."/smilies/eek.gif alt=\"8o\"> ", $apboardoutput);
	$apboardoutput=str_replace (":(", "<img src=".$php_path."/smilies/frown.gif alt=\":(\"> ", $apboardoutput);
	$apboardoutput=str_replace ("!:)", "<img src=".$php_path."/smilies/glowface.gif alt=\"!&#x003a;&#x0029;\"> ", $apboardoutput);
	$apboardoutput=str_replace (":))", "<img src=".$php_path."/smilies/laugh.gif alt=\"&#x003a;&#x0029;&#x0029;\"> ", $apboardoutput);
	$apboardoutput=str_replace ("X(", "<img src=".$php_path."/smilies/mad.gif alt=\"X(\"> ", $apboardoutput);
	$apboardoutput=str_replace (":)", "<img src=".$php_path."/smilies/smile.gif alt=\":)\"> ", $apboardoutput);
	$apboardoutput=str_replace (":p", "<img src=".$php_path."/smilies/tongue.gif alt=\":p\"> ", $apboardoutput);
	$apboardoutput=ereg_replace ("[^a-zA-Z0-9];\)", " <img src=".$php_path."/smilies/wink.gif alt=\";)\"> ", $apboardoutput);
// ---------------	Extras  ---------------------------------------------------------
	$apboardoutput=str_replace (":shoot1:", "<img src=".$php_path."/smilies/extra/_shoot.gif alt=\":shoot1:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shoot2:", "<img src=".$php_path."/smilies/extra/_shoot1.gif alt=\":shoot2:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shoot3:", "<img src=".$php_path."/smilies/extra/_shoot2.gif alt=\":shoot3:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":sword:", "<img src=".$php_path."/smilies/extra/_sword.gif alt=\":sword:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":angry:", "<img src=".$php_path."/smilies/extra/boese.gif alt=\":angry:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":bounce:", "<img src=".$php_path."/smilies/extra/bounce.gif alt=\":bounce:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":dance1:", "<img src=".$php_path."/smilies/extra/dance.gif alt=\":dance1:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":dance2:", "<img src=".$php_path."/smilies/extra/dance1.gif alt=\":dance2:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":dance3:", "<img src=".$php_path."/smilies/extra/dance2.gif alt=\":dance3:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":smile:", "<img src=".$php_path."/smilies/extra/dma_smile2.gif alt=\":smile:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":drink:", "<img src=".$php_path."/smilies/extra/drink.gif alt=\":drink:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shock1:", "<img src=".$php_path."/smilies/extra/erschreck.gif alt=\":shock1:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":itchy:", "<img src=".$php_path."/smilies/extra/itchy.gif alt=\":itchy:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":lickout:", "<img src=".$php_path."/smilies/extra/lickout.gif alt=\":lickout:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":look:", "<img src=".$php_path."/smilies/extra/lookaround.gif alt=\":look:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":nuke:", "<img src=".$php_path."/smilies/extra/nuke.gif alt=\":nuke:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":roll:", "<img src=".$php_path."/smilies/extra/roll.gif alt=\":roll:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":rolleyes:", "<img src=".$php_path."/smilies/extra/rolleyes.gif alt=\":rolleyes:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":rotate:", "<img src=".$php_path."/smilies/extra/rotate.gif alt=\":rotate:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":sex:", "<img src=".$php_path."/smilies/extra/sex.gif alt=\":sex:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shock2:", "<img src=".$php_path."/smilies/extra/shocked.gif alt=\":shock2:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":smokin:", "<img src=".$php_path."/smilies/extra/smokin.gif alt=\":smokin:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":sleep:", "<img src=".$php_path."/smilies/extra/zzz.gif alt=\":sleep:\"> ", $apboardoutput);
	
	return $apboardoutput;
	
}


// #########################  Text-format-functions  #################################################
function RemoveCrap($apboardoutput, $disable_smilies = 0)
{
	global $php_path;
// ---------------  Schriftformatierungen  ------------------------------------------------
	$apboardoutput=str_replace ("<", "&lt;", $apboardoutput);
	$apboardoutput=str_replace (">", "&gt;", $apboardoutput);
	$apboardoutput=str_replace ("\"", "&quot;", $apboardoutput);
	$apboardoutput=eregi_replace("([ \r\n])http://([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]+)","\\1[url]http://\\2[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("([ \r\n])https://([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]+)","\\1[url]https://\\2[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("([ \r\n])ftp://([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]+)","\\1[url]ftp://\\2[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("([ \r\n])(www\.[a-z0-9_-]+\.[a-z]{2,4}[^ \\\"\r\n]*)","\\1[url]http://\\2[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("^http://([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]*)","[url]http://\\1[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("^https://([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]*)","[url]https://\\1[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("^ftp://([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]*)","[url]ftp://\\1[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("^www\.([a-z0-9\._-]+\.[a-z]{2,4}[^ \r\n]*)","[url]http://www.\\1[/url]",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]www\.([^\\[]*)\\[img\\]www\.([^\\[\\?\\&]*)\\[/img\\]\\[/url\\]","<a href=\"http://www.\\1\" target=_blank><img src=\"http://www.\\2\" border=\"0\"></a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]http://([^\\[]*)\\[img\\]http://([^\\[\\?\\&]*)\\[/img\\]\\[/url\\]","<a href=\"http://\\1\" target=_blank><img src=\"http://\\2\" border=\"0\"></a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]www\.([^\\[]*)\\[/url\\]","<a href=\"http://www.\\1\" target=_blank>\\1</a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=_blank>\\1</a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url=\&quot;","[url=\"",$apboardoutput);
	$apboardoutput=eregi_replace("\\&quot;\\]","\"]",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url=([^\\[]+)\\]([^\\[]+)\\[\\/url\\]","<a href=\"\\1\" target=\"_blank\">\\2</a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[email\\]([^\\[]+)\\[/email\\]","<a href=\"mailto:\\1\">\\1</a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[email=([^\\[]+)\\]([^\\[]+)\\[\\/email\\]","<a href=\"mailto:\\1\">\\2</a>",$apboardoutput);
	$apboardoutput=eregi_replace("\\[list","[list",$apboardoutput);
	$apboardoutput=eregi_replace("\\[/list","[/list",$apboardoutput);
	$apboardoutput=str_replace("[list]","<ul type=square>",$apboardoutput);
	$apboardoutput=str_replace("[/list]","</ul>",$apboardoutput);
	$apboardoutput=str_replace("[list=1]","<ol type=1>",$apboardoutput);
	$apboardoutput=str_replace("[list=a]","<ol type=A>",$apboardoutput);
	$apboardoutput=str_replace("[list=A]","<ol type=A>",$apboardoutput);
	$apboardoutput=str_replace("[/list=1]","</ol>",$apboardoutput);
	$apboardoutput=str_replace("[/list=a]","</ol>",$apboardoutput);
	$apboardoutput=str_replace("[/list=A]","</ol>",$apboardoutput);
	$apboardoutput=str_replace("[*]","<li>",$apboardoutput);
	$apboardoutput=preg_replace("/\\[img\\](http(s?):\\/\\/)?((www.)?[A-Za-z0-9~._\\-\\/]+(\\.gif|\\.jpg|\\.png|\\.bmp))\\[\\/img\\]/i", "<img src=\"http\\2://\\3\" border=\"0\">", $apboardoutput);
	//$apboardoutput=preg_replace("/\\[img\\](https:\\/\\/)?((www.)?[A-Za-z0-9~._\\-\\/]+(\\.gif|\\.jpg|\\.png|\\.bmp))\\[\\/img\\]/i", "<img src=\"https://\\2\" border=\"0\">", $apboardoutput);
	//$apboardoutput=str_replace("[img]","<img src=\"",$apboardoutput);
	//$apboardoutput=str_replace("[IMG]","<img src=\"",$apboardoutput);
	//$apboardoutput=str_replace("[/img]","\" border=0> ",$apboardoutput);
	//$apboardoutput=str_replace("[/IMG]","\" border=0> ",$apboardoutput);
	$apboardoutput=eregi_replace("quote\\]","quote]",$apboardoutput);
	$apboardoutput=str_replace("[quote]\r\n","<blockquote><smallfont>quote:</smallfont><hr>",$apboardoutput);
	$apboardoutput=str_replace("[quote]","<blockquote><smallfont>quote:</smallfont><hr>",$apboardoutput);
	$apboardoutput=str_replace("[/quote]\r\n","<hr></blockquote>",$apboardoutput);
	$apboardoutput=str_replace("[/quote]","<hr></blockquote>",$apboardoutput);
	$apboardoutput=eregi_replace("code\\]","code]",$apboardoutput); // APBoard
	$apboardoutput=str_replace("[code]\r\n","</normalfont><blockquote><pre><smallfont>code:</smallfont><hr>",$apboardoutput);
	$apboardoutput=str_replace("[code]","</normalfont><blockquote><pre><smallfont>code:</smallfont><hr>",$apboardoutput);
	$apboardoutput=str_replace("[/code]\r\n","<hr></pre><normalfont></blockquote>",$apboardoutput);
	$apboardoutput=str_replace("[/code]","<hr></pre><normalfont></blockquote>",$apboardoutput);
	$apboardoutput=preg_replace("/(\[)(mark)(=)([#A-Za-z0-9]+)(])(.*)(\[\/mark\])/siU", "<SPAN STYLE=\"background-color: \\4\">\\6</SPAN>", $apboardoutput);
	$apboardoutput=preg_replace("/(\[)(c)(=)([#A-Za-z0-9]+)(])(.*)(\[\/c\])/siU", "<font color=\"\\4\">\\6</font>", $apboardoutput);
	$apboardoutput=str_replace ("[b]", "<b>", $apboardoutput);
	$apboardoutput=str_replace ("[B]", "<b>", $apboardoutput);
	$apboardoutput=str_replace ("[/b]", "</b>", $apboardoutput);
	$apboardoutput=str_replace ("[/B]", "</b>", $apboardoutput);
	$apboardoutput=str_replace ("[i]", "<i>", $apboardoutput);
	$apboardoutput=str_replace ("[I]", "<i>", $apboardoutput);
	$apboardoutput=str_replace ("[/i]", "</i>", $apboardoutput);
	$apboardoutput=str_replace ("[/I]", "</i>", $apboardoutput);
	$apboardoutput=str_replace ("[f1]", "<font size=1>", $apboardoutput);
	$apboardoutput=str_replace ("[f2]", "<font size=2>", $apboardoutput);
	$apboardoutput=str_replace ("[f3]", "<font size=3>", $apboardoutput);
	$apboardoutput=str_replace ("[f4]", "<font size=4>", $apboardoutput);
	$apboardoutput=str_replace ("[f5]", "<font size=5>", $apboardoutput);
	$apboardoutput=str_replace ("[br]", "<br>", $apboardoutput);
	$apboardoutput=str_replace ("[hr]", "<hr>", $apboardoutput);
    
    while(strstr($apboardoutput, "[revL]")){
    $expression = "!(.*)".quotemeta("[revL]")."(.*?)".quotemeta("[/revL]")."(.*)!is";
        preg_match_all($expression, $apboardoutput, $treffer, PREG_SET_ORDER);
        for ($z = 0; $z < count($treffer); $z++)
        {
        $apboardoutput = $treffer[$z][1].strrev($treffer[$z][2]).$treffer[$z][3];
        }
    }
	unset($treffer);
	unset($z);
    
    while(strstr($apboardoutput, "[revW]")){
	$expression = "!(.*)".quotemeta("[revW]")."(.*?)".quotemeta("[/revW]")."(.*)!is";
	if (preg_match_all($expression, $apboardoutput, $treffer, PREG_SET_ORDER))
		{
		for ($z = 0; $z < count($treffer); $z++)
			{
            $words = implode(" ", (array_reverse(explode(" ", $treffer[$z][2]))));
			$apboardoutput = $treffer[$z][1].$words.$treffer[$z][3];
            }
		}
    }
    unset($treffer);
	unset($z);
	
	$apboardoutput=str_replace ("[verdana]", "<font face=\"Verdana, Arial, Helvetica, sans-serif\">", $apboardoutput);
	$apboardoutput=str_replace ("[arial]", "<font face=\"Arial, Helvetica, sans-serif\">", $apboardoutput);
	$apboardoutput=str_replace ("[courier]", "<font face=\"Courier New, Courier, monospace\">", $apboardoutput);
	$apboardoutput=str_replace ("[comic]", "<font face=\"Comic Sans MS\">", $apboardoutput);
	$apboardoutput=str_replace ("[/f]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/verdana]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/arial]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/courier]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/comic]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/f1]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/f2]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/f3]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/f4]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[/f5]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[blue]", "<font color=\"#0000FF\">", $apboardoutput);
	$apboardoutput=str_replace ("[/blue]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[red]", "<font color=\"#FF0000\">", $apboardoutput);
	$apboardoutput=str_replace ("[/red]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[green]", "<font color=\"#00FF00\">", $apboardoutput);
	$apboardoutput=str_replace ("[/green]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[yellow]", "<font color=\"#ffff00\">", $apboardoutput);
	$apboardoutput=str_replace ("[/yellow]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[white]", "<font color=\"#ffffff\">", $apboardoutput);
	$apboardoutput=str_replace ("[/white]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[black]", "<font color=\"#000000\">", $apboardoutput);
	$apboardoutput=str_replace ("[/black]", "</font>", $apboardoutput);
	$apboardoutput=str_replace ("[center]", "<center>", $apboardoutput);
	$apboardoutput=str_replace ("[/center]", "</center>", $apboardoutput);
// ---------------	Smilies  ---------------------------------------------------------
if (!$disable_smilies) {
	$apboardoutput = parseSmilies($apboardoutput);
}
	$apboardoutput=str_replace ("", "&acute;", $apboardoutput);
	$apboardoutput=str_replace ("\`", "`", $apboardoutput);
	$apboardoutput=nl2br ($apboardoutput);
	$apboardoutput=str_replace ("\n", "", $apboardoutput);
	return $apboardoutput;
}

// #########################  Text-format-functions  #################################################
function TestRemoveCrap($apboardoutput, $disable_smilies = 0)
{
	global $php_path;
// ---------------  Schriftformatierungen  ------------------------------------------------
$search = array (
                    "'<|&#60;'i",
                    "'>|&#62;'i",
                    "'\"|&#34;'i",
                    "'\[list\]'i",
                    "'\[/list\]'i",
                    "'\[list=1\]'i",
                    "'\[list=a\]'",
                    "'\[list=A\]'",
                    "'\[/list=1\]'i",
                    "'\[/list=a\]'i",
                    "'\[\*\]'",
                    "'\[img\]'i",
                    "'\[/img\]'i",
                    "'\[quote\]\r\n'i",
                    "'\[quote\]'i",
                    "'\[/quote\]\r\n'i",
                    "'\[/quote\]'i",
                    "'\[code\]\r\n'i",
                    "'\[code\]' i",
                    "'\[/code\]\r\n'i",
                    "'\[/code\]'i",
                    "'\[b\]'i",
                    "'\[/b\]'i",
                    "'\[i\]'i",
                    "'\[/i\]'i",
                    "'\[f1\]'i",
                    "'\[f2\]'i",
                    "'\[f3\]'i",
                    "'\[f4\]'i",
                    "'\[f5\]'i",
                    "'\[/f\]'i",
                    "'\[/f1\]'i",
                    "'\[/f2\]'i",
                    "'\[/f3\]'i",
                    "'\[/f4\]'i",
                    "'\[/f5\]'i",
                    "'\[br\]'i",
                    "'\[hr\]'i",
                    "'\[verdana\]'i",
                    "'\[arial\]'i",
                    "'\[courier\]'i",
                    "'\[comic\]'i",
                    "'\[/verdana\]'i",
                    "'\[/arial\]'i",
                    "'\[/courier\]'i",
                    "'\[/comic\]'i",
                    "'\[blue\]'i",
                    "'\[red\]'i",
                    "'\[green\]'i",
                    "'\[yellow\]'i",
                    "'\[white\]'i",
                    "'\[black\]'i",
                    "'\[/blue\]'i",
                    "'\[/red\]'i",
                    "'\[/green\]'i",
                    "'\[/yellow\]'i",
                    "'\[/white\]'i",
                    "'\[/black\]'i",
                    "'\[center\]'i",
                    "'\[/center\]'i",
                    "/(\[)(mark)(=)([#A-Za-z0-9]+)(])(.*)(\[\/mark\])/siU",
                    "/(\[)(c)(=)([#A-Za-z0-9]+)(])(.*)(\[\/c\])/siU"
                  );

$replace = array (
                    "&lt;",
                    "&gt;",
                    "&quot;",
                    "<ul type=\"square\">",
                    "</ul>",
                    "<ol type=\"1\">",
                    "<ol type=\"a\">",
                    "<ol type=\"A\">",
                    "</ol>",
                    "</ol>",
                    "<li>",
                    "<img src=\"",
                    "\" border=\"0\">",
                    "<blockquote><smallfont>quote:</smallfont><hr>",
                    "<blockquote><smallfont>quote:</smallfont><hr>",
                    "<hr></blockquote>",
                    "<hr></blockquote>",
                    "</normalfont><blockquote><pre><smallfont>code:</smallfont><hr>",
                    "</normalfont><blockquote><pre><smallfont>code:</smallfont><hr>",
                    "<hr></pre><normalfont></blockquote>",
                    "<hr></pre><normalfont></blockquote>",
                    "<b>",
                    "</b>",
                    "<i>",
                    "</i>",
                    "<font size=\"1\">",
                    "<font size=\"2\">",
                    "<font size=\"3\">",
                    "<font size=\"4\">",
                    "<font size=\"5\">",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "<br>",
                    "<hr>",
                    "<font face=\"Verdana, Arial, Helvetica, sans-serif\">",
                    "<font face=\"Arial, Helvetica, sans-serif\">",
                    "<font face=\"Courier New, Courier, monospace\">",
                    "<font face=\"Comic Sans MS\">",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "<font color=\"#0000FF\">",
                    "<font color=\"#FF0000\">",
                    "<font color=\"#00FF00\">",
                    "<font color=\"#FFFF00\">",
                    "<font color=\"#FFFFFF\">",
                    "<font color=\"#000000\">",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "</font>",
                    "<center>",
                    "</center>",
                    "<SPAN STYLE=\"background-color: \\4\">\\6</SPAN>",
                    "<font color=\"\\4\">\\6</font>"
                  );



	$apboardoutput = eregi_replace("([ \r\n])http://([^ \r\n]*)","\\1[url]http://\\2[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("([ \r\n])https://([^ \r\n]*)","\\1[url]https://\\2[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("([ \r\n])ftp://([^ \r\n]*)","\\1[url]ftp://\\2[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("([ \r\n])(www\.[a-z0-9_-]*\.[a-z0-9_-]*)","\\1[url]http://\\2[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("^http://([^ \r\n]*)","[url]http://\\1[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("^https://([^ \r\n]*)","[url]https://\\1[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("^ftp://([^ \r\n]*)","[url]ftp://\\1[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("^www\.([^ \r\n]*)","[url]http://www.\\1[/url]",$apboardoutput);
	$apboardoutput = eregi_replace("\\[url\\]www\.([^\\[]*)\\[img\\]www\.([^\\[]*)\\[/img\\]\\[/url\\]","<a href=\"http://www.\\1\" target=_blank><img src=\"http://www.\\2\" border=\"0\"></a>",$apboardoutput);
	$apboardoutput = eregi_replace("\\[url\\]http://([^\\[]*)\\[img\\]http://([^\\[]*)\\[/img\\]\\[/url\\]","<a href=\"http://\\1\" target=_blank><img src=\"http://\\2\" border=\"0\"></a>",$apboardoutput);
	$apboardoutput = eregi_replace("\\[url\\]www\.([^\\[]*)\\[/url\\]","<a href=\"http://www.\\1\" target=_blank>\\1</a>",$apboardoutput);
	$apboardoutput = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","<a href=\"\\1\" target=_blank>\\1</a>",$apboardoutput);
	$apboardoutput = eregi_replace("\\[url=\&quot;","[url=\"",$apboardoutput);
	$apboardoutput = eregi_replace("\\&quot;\\]","\"]",$apboardoutput);
	$apboardoutput = eregi_replace("\\[url=([^\\[]*)\\]([^\\[]*)\\[\\/url\\]","<a href=\"\\1\" target=\"_blank\">\\2</a>",$apboardoutput);
	$apboardoutput = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\1</a>",$apboardoutput);
	$apboardoutput = eregi_replace("\\[list","[list",$apboardoutput);
	$apboardoutput = eregi_replace("\\[/list","[/list",$apboardoutput);
	$apboardoutput = eregi_replace("quote\\]","quote]",$apboardoutput);
	$apboardoutput = eregi_replace("code\\]","code]",$apboardoutput); // APBoard

	$expression = "!(.*)".quotemeta("[revL]")."(.*?)".quotemeta("[/revL]")."(.*)!is";
	if (preg_match_all($expression, $apboardoutput, $treffer, PREG_SET_ORDER))
		{
		$count = count($treffer);
		for ($z = 0; $z < $count; $z++)
			{
			$apboardoutput = $treffer[$z][1].strrev($treffer[$z][2]).$treffer[$z][3];
			}
		}
	unset($treffer);
	unset($count);
	unset($z);

	$expression = "!(.*)".quotemeta("[revW]")."(.*?)".quotemeta("[/revW]")."(.*)!is";
	if (preg_match_all($expression, $apboardoutput, $treffer, PREG_SET_ORDER))
		{
		$count = count($treffer);
		for ($z = 0; $z < $count; $z++)
			{
            $words = implode(" ", (array_reverse(explode(" ", $treffer[$z][2]))));
			$apboardoutput = $treffer[$z][1].$words.$treffer[$z][3];
            }
		}
	$apboardoutput = preg_replace ($search, $replace, $apboardoutput);
    
// ---------------	Smilies  ---------------------------------------------------------
if (!$disable_smilies) {
	$apboardoutput=str_replace (":D", "<img src=\"".$php_path."/smilies/biggrin.gif\" alt=\":D\"> ", $apboardoutput);
	$apboardoutput=ereg_replace ("[^a-zA-Z0-9];D", " <img src=".$php_path."/smilies/biglaugh.gif alt=\";D\"> ", $apboardoutput);
	$apboardoutput=str_replace (":O", "<img src=".$php_path."/smilies/bubble.gif alt=\":O\"> ", $apboardoutput);
	$apboardoutput=str_replace ("I)", "<img src=".$php_path."/smilies/censored.gif alt=\"I)\"> ", $apboardoutput);
	$apboardoutput=str_replace ("?(", "<img src=".$php_path."/smilies/confused.gif alt=\"?(\"> ", $apboardoutput);
	$apboardoutput=str_replace ("8)", "<img src=".$php_path."/smilies/cool.gif alt=\"8)\"> ", $apboardoutput);
	$apboardoutput=str_replace (";(", "<img src=".$php_path."/smilies/crying.gif alt=\";(\"> ", $apboardoutput);
	$apboardoutput=str_replace ("8o", "<img src=".$php_path."/smilies/eek.gif alt=\"8o\"> ", $apboardoutput);
	$apboardoutput=str_replace (":(", "<img src=".$php_path."/smilies/frown.gif alt=\":(\"> ", $apboardoutput);
	$apboardoutput=str_replace ("!:)", "<img src=".$php_path."/smilies/glowface.gif alt=\"!:)\"> ", $apboardoutput);
	$apboardoutput=str_replace (":))", "<img src=".$php_path."/smilies/laugh.gif alt=\":))\"> ", $apboardoutput);
	$apboardoutput=str_replace ("X(", "<img src=".$php_path."/smilies/mad.gif alt=\"X(\"> ", $apboardoutput);
	$apboardoutput=str_replace (":)", "<img src=".$php_path."/smilies/smile.gif alt=\":)\"> ", $apboardoutput);
	$apboardoutput=str_replace (":p", "<img src=".$php_path."/smilies/tongue.gif alt=\":p\"> ", $apboardoutput);
	$apboardoutput=ereg_replace ("[^a-zA-Z0-9];\)", " <img src=".$php_path."/smilies/wink.gif alt=\";)\"> ", $apboardoutput);
// ---------------	Extras  ---------------------------------------------------------
	$apboardoutput=str_replace (":shoot1:", "<img src=".$php_path."/smilies/extra/_shoot.gif alt=\":shoot1:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shoot2:", "<img src=".$php_path."/smilies/extra/_shoot1.gif alt=\":shoot2:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shoot3:", "<img src=".$php_path."/smilies/extra/_shoot2.gif alt=\":shoot3:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":sword:", "<img src=".$php_path."/smilies/extra/_sword.gif alt=\":sword:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":angry:", "<img src=".$php_path."/smilies/extra/boese.gif alt=\":angry:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":bounce:", "<img src=".$php_path."/smilies/extra/bounce.gif alt=\":bounce:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":dance1:", "<img src=".$php_path."/smilies/extra/dance.gif alt=\":dance1:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":dance2:", "<img src=".$php_path."/smilies/extra/dance1.gif alt=\":dance2:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":dance3:", "<img src=".$php_path."/smilies/extra/dance2.gif alt=\":dance3:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":smile:", "<img src=".$php_path."/smilies/extra/dma_smile2.gif alt=\":smile:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":drink:", "<img src=".$php_path."/smilies/extra/drink.gif alt=\":drink:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shock1:", "<img src=".$php_path."/smilies/extra/erschreck.gif alt=\":shock1:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":itchy:", "<img src=".$php_path."/smilies/extra/itchy.gif alt=\":itchy:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":lickout:", "<img src=".$php_path."/smilies/extra/lickout.gif alt=\":lickout:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":look:", "<img src=".$php_path."/smilies/extra/lookaround.gif alt=\":look:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":nuke:", "<img src=".$php_path."/smilies/extra/nuke.gif alt=\":nuke:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":roll:", "<img src=".$php_path."/smilies/extra/roll.gif alt=\":roll:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":rolleyes:", "<img src=".$php_path."/smilies/extra/rolleyes.gif alt=\":rolleyes:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":rotate:", "<img src=".$php_path."/smilies/extra/rotate.gif alt=\":rotate:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":sex:", "<img src=".$php_path."/smilies/extra/sex.gif alt=\":sex:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":shock2:", "<img src=".$php_path."/smilies/extra/shocked.gif alt=\":shock2:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":smokin:", "<img src=".$php_path."/smilies/extra/smokin.gif alt=\":smokin:\"> ", $apboardoutput);
	$apboardoutput=str_replace (":sleep:", "<img src=".$php_path."/smilies/extra/zzz.gif alt=\":sleep:\"> ", $apboardoutput);
}
	$apboardoutput=str_replace ("", "&acute;", $apboardoutput);
	$apboardoutput=str_replace ("\`", "`", $apboardoutput);
	$apboardoutput=nl2br ($apboardoutput);
	$apboardoutput=str_replace ("\n", "", $apboardoutput);
	return $apboardoutput;
}


// #########################  Text-format-functions  #################################################
function RemoveCrop($apboardoutput)
{
	// ---------------  Schriftformatierungen  ------------------------------------------------
	$apboardoutput=str_replace ("<", "&lt;", $apboardoutput);
	$apboardoutput=str_replace (">", "&gt;", $apboardoutput);
	$apboardoutput=str_replace ("[i]", "<i>", $apboardoutput);
	$apboardoutput=str_replace ("[/i]", "</i>", $apboardoutput);
	$apboardoutput=str_replace ("\"", "&quot;", $apboardoutput);
	$apboardoutput=str_replace ("", "&acute;", $apboardoutput);
	$apboardoutput=str_replace ("\`", "`", $apboardoutput);
	$apboardoutput=nl2br ($apboardoutput);
	$apboardoutput=str_replace ("\n", "", $apboardoutput);
	return $apboardoutput;
}


// #########################  Text-format-functions  #################################################
function RemovePostCrap($apboardoutput)
{
	// ---------------  Schriftformatierungen  ------------------------------------------------
	if (get_magic_quotes_gpc () == 0) 
	{
		$apboardoutput = addslashes($apboardoutput);
	}	
	
	/*
	 * untere Funktion braucht es nicht mehr, da in RemoveCrap() bereits vorgenommen
	 * $apboardoutput=preg_replace("/\\[img\\](http:\\/\\/)?(..........
	 *
	
	// --------------- Spam und Flood mittels [img] Tag (ab Zeile 1095) -------------------
	// Danke an Testman
	$test=0; 
	$alert=0; 
	$anfang=0; 
	$ende=0; 
	$apboardoutputneu=""; 
	for ( $i=0 ; $i<strlen($apboardoutput) ; $i++ ) 
		{ 
		$this_char = substr($apboardoutput,$i,1); 
		if ($test==0 && $this_char=="[") 
			{ 
			if (substr($apboardoutput,$i,5)=="[img]") 
				{
				$test=1; 
				$anfang=$i; 
				$i=$i+5; 
				} 
			} 
		if ($test==1 && ($this_char=="&" || $this_char=="?") ) 
			{ 
			$alert=1; 
			} 
		if ($test==1 && $this_char=="[") 
			{ 
			if (substr($apboardoutput,$i,6)=="[/img]") 
				{
				$test=0; 
				$i=$i+6; 
				$ende=$i; 
				} 
			} 
		if ($test==0 && $alert==1) 
			{ 
			$alert=0; 
			$apboardoutputneu=substr($apboardoutput,0,$anfang); 
			$apboardoutputneu.=substr($apboardoutput,$ende,strlen($apboardoutput)-1); 
			$apboardoutput=$apboardoutputneu; 
			$i=$anfang; 
			$i++; 
			} 
		}
		// --------------- Spam und Flood mittels [img] Tag ---------------------------
		*/
	return $apboardoutput;
}


// #########################  RemoveMailCrap: Board-Code fr Mails rausfiltern  #################################################
function RemoveMailCrap($apboardoutput)
{
	global $php_path;
// ---------------  Schriftformatierungen  ------------------------------------------------
	$apboardoutput=eregi_replace("\\[url\\]www\.([^\\[]*)\\[img\\]www\.([^\\[\\?\\&]*)\\[/img\\]\\[/url\\]","Bild: http://www.\\2 (http://www.\\1)",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]http://([^\\[]*)\\[img\\]http://([^\\[\\?\\&]*)\\[/img\\]\\[/url\\]","Bild: http://\\2 (http://\\1)",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]www\.([^\\[]*)\\[/url\\]","http://www.\\1",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]","\\1",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url=\&quot;","[url=\"",$apboardoutput);
	$apboardoutput=eregi_replace("\\&quot;\\]","\"]",$apboardoutput);
	$apboardoutput=eregi_replace("\\[url=([^\\[]+)\\]([^\\[]+)\\[\\/url\\]","\\2 (\\1)",$apboardoutput);
	$apboardoutput=eregi_replace("\\[email\\]([^\\[]+)\\[/email\\]","mailto:\\1",$apboardoutput);
	$apboardoutput=eregi_replace("\\[email=([^\\[]+)\\]([^\\[]+)\\[\\/email\\]","\\2 (mailto:\\1)",$apboardoutput);
	$apboardoutput=eregi_replace("\\[list","[list",$apboardoutput);
	$apboardoutput=eregi_replace("\\[/list","[/list",$apboardoutput);
	$apboardoutput=str_replace("[list]","",$apboardoutput);
	$apboardoutput=str_replace("[/list]","",$apboardoutput);
	$apboardoutput=str_replace("[list=1]","",$apboardoutput);
	$apboardoutput=str_replace("[list=a]","",$apboardoutput);
	$apboardoutput=str_replace("[list=A]","",$apboardoutput);
	$apboardoutput=str_replace("[/list=1]","",$apboardoutput);
	$apboardoutput=str_replace("[/list=a]","",$apboardoutput);
	$apboardoutput=str_replace("[/list=A]","",$apboardoutput);
	$apboardoutput=eregi_replace("[^\n\r]\\[\\*\\]","\n\\[\\*\\]",$apboardoutput);
	$apboardoutput=str_replace("[*]"," - ",$apboardoutput);
	$apboardoutput=preg_replace("/\\[img\\](http(s?):\\/\\/)?((www.)?[A-Za-z0-9~._\\-\\/]+(\\.gif|\\.jpg|\\.png|\\.bmp))\\[\\/img\\]/i", "Bild: http\\2://\\3", $apboardoutput);
	//$apboardoutput=preg_replace("/\\[img\\](https:\\/\\/)?((www.)?[A-Za-z0-9~._\\-\\/]+(\\.gif|\\.jpg|\\.png|\\.bmp))\\[\\/img\\]/i", "Bild: https://\\2", $apboardoutput);
	//$apboardoutput=str_replace("[img]","<img src=\"",$apboardoutput);
	//$apboardoutput=str_replace("[IMG]","<img src=\"",$apboardoutput);
	//$apboardoutput=str_replace("[/img]","\" border=0> ",$apboardoutput);
	//$apboardoutput=str_replace("[/IMG]","\" border=0> ",$apboardoutput);
	$apboardoutput=eregi_replace("quote\\]","quote]",$apboardoutput);
	$apboardoutput=str_replace("[quote]","Zitat:\n--------------------------------------------------\n",$apboardoutput);
	$apboardoutput=str_replace("[/quote]","\n--------------------------------------------------\n\n",$apboardoutput);
	$apboardoutput=str_replace("[code]","Code:\n--------------------------------------------------\n",$apboardoutput);
	$apboardoutput=str_replace("[/code]","\n--------------------------------------------------\n\n",$apboardoutput);
	
	$apboardoutput=preg_replace("/(\[)(mark)(=)([#A-Za-z0-9]+)(])(.*)(\[\/mark\])/siU", "\\6", $apboardoutput);
	$apboardoutput=preg_replace("/(\[)(c)(=)([#A-Za-z0-9]+)(])(.*)(\[\/c\])/siU", "\\6", $apboardoutput);
	
	$apboardoutput=str_replace ("[b]", "_", $apboardoutput);
	$apboardoutput=str_replace ("[B]", "_", $apboardoutput);
	$apboardoutput=str_replace ("[/b]", "_", $apboardoutput);
	$apboardoutput=str_replace ("[/B]", "_", $apboardoutput);
	$apboardoutput=str_replace ("[i]", "", $apboardoutput);
	$apboardoutput=str_replace ("[I]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/i]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/I]", "", $apboardoutput);
	$apboardoutput=str_replace ("[f1]", "", $apboardoutput);
	$apboardoutput=str_replace ("[f2]", "", $apboardoutput);
	$apboardoutput=str_replace ("[f3]", "", $apboardoutput);
	$apboardoutput=str_replace ("[f4]", "", $apboardoutput);
	$apboardoutput=str_replace ("[f5]", "", $apboardoutput);
	$apboardoutput=str_replace ("[br]", "\n", $apboardoutput);
	$apboardoutput=str_replace ("[hr]", "\n--------------------------------------------------\n", $apboardoutput);
    
    while(strstr($apboardoutput, "[revL]")){
    $expression = "!(.*)".quotemeta("[revL]")."(.*?)".quotemeta("[/revL]")."(.*)!is";
        preg_match_all($expression, $apboardoutput, $treffer, PREG_SET_ORDER);
        for ($z = 0; $z < count($treffer); $z++)
        {
        $apboardoutput = $treffer[$z][1].strrev($treffer[$z][2]).$treffer[$z][3];
        }
    }
	unset($treffer);
	unset($z);
    
    while(strstr($apboardoutput, "[revW]")){
	$expression = "!(.*)".quotemeta("[revW]")."(.*?)".quotemeta("[/revW]")."(.*)!is";
	if (preg_match_all($expression, $apboardoutput, $treffer, PREG_SET_ORDER))
		{
		for ($z = 0; $z < count($treffer); $z++)
			{
            $words = implode(" ", (array_reverse(explode(" ", $treffer[$z][2]))));
			$apboardoutput = $treffer[$z][1].$words.$treffer[$z][3];
            }
		}
    }
    unset($treffer);
	unset($z);
	
	$apboardoutput=str_replace ("[verdana]", "", $apboardoutput);
	$apboardoutput=str_replace ("[arial]", "", $apboardoutput);
	$apboardoutput=str_replace ("[courier]", "", $apboardoutput);
	$apboardoutput=str_replace ("[comic]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/f]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/verdana]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/arial]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/courier]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/comic]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/f1]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/f2]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/f3]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/f4]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/f5]", "", $apboardoutput);
	$apboardoutput=str_replace ("[blue]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/blue]", "", $apboardoutput);
	$apboardoutput=str_replace ("[red]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/red]", "", $apboardoutput);
	$apboardoutput=str_replace ("[green]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/green]", "", $apboardoutput);
	$apboardoutput=str_replace ("[yellow]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/yellow]", "", $apboardoutput);
	$apboardoutput=str_replace ("[white]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/white]", "", $apboardoutput);
	$apboardoutput=str_replace ("[black]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/black]", "", $apboardoutput);
	$apboardoutput=str_replace ("[center]", "", $apboardoutput);
	$apboardoutput=str_replace ("[/center]", "", $apboardoutput);
	
	return $apboardoutput;
}


function doUbbCode ($templ, $textarea_name)
{
	if (!$templ)
	{
		return 0;
	}
	if (!textarea_name)
	{
		return 0;
	}
	
	$lang_ubbscript = APBGetLanguage("ubbscript");
	
	$templ_array = array (
		
		"urlcode_textareaname" => $textarea_name,
		
		"lang_ubbscript_urleingeben" => $lang_ubbscript[ubbscript_urleingeben],
		"lang_ubbscript_urltitel" => $lang_ubbscript[ubbscript_urltitel],
		"lang_ubbscript_email" => $lang_ubbscript[ubbscript_email],
		"lang_ubbscript_kursiv" => $lang_ubbscript[ubbscript_kursiv],
		"lang_ubbscript_fett" => $lang_ubbscript[ubbscript_fett],
		"lang_ubbscript_image" => $lang_ubbscript[ubbscript_image],
		"lang_ubbscript_gelb" => $lang_ubbscript[ubbscript_gelb],
		"lang_ubbscript_red" => $lang_ubbscript[ubbscript_red]
	);
	
	$templ->set_var ($templ_array);
	
	return $templ;
}


function doIconMap ($templ, $textarea_name)
{
	global $php_path, $font, $HTTP_USER_AGENT, $sess_link1, $sess_link2;
	
	if (!$templ)
	{
		return 0;
	}
	if (!textarea_name)
	{
		return 0;
	}
	
	$lang_iconmap = APBGetLanguage("iconmap");
	
	$javavoid = "href=\"javascript:void(0);\" ";
	
	if (is_int(strpos($HTTP_USER_AGENT, "MSIE "))) {
		$javavoid = "";
	}
	
	$templ_array = array (
		
		"iconmap_textareaname" => $textarea_name,
		"iconmap_javavoid" => $javavoid,
		"iconmap_sesslink1" => $sess_link1,
		"iconmap_sesslink2" => $sess_link2,
		"iconmap_font" => $font,
		"iconmap_php_path" => $php_path,
		
		"lang_allesmilies" => $lang_iconmap[allesmilies]
	);
	
	$templ->set_var ($templ_array);
	
	return $templ;
	
}


function generatePageLinkString($gesamt, $perpage, $akt, $pagebit_link, $pagebit_nolink = "", $precode = "", $postcode = "")
{
	$thread_pages = ceil($gesamt / $perpage);
	
	$thispage = ceil($akt / $perpage);
	if ($thispage == "0")
	{
		$thispage = 1;
	}
	
	$thread_pages_string = $precode;
	
	for ($l = 1; $l <= $thread_pages; $l++)
	{
		
		if ( ($l == $thispage) && ($pagebit_nolink != "") )
		{
			
			$this_pagebit = str_replace ("{page_nr}", $l, $pagebit_nolink);
		}
		else
		{
			$this_pagebit = str_replace ("{page_nr}", $l, $pagebit_link);
			$this_pagebit = str_replace ("{page_link_nr}", ($l - 1) * $perpage + 1, $this_pagebit);	
		}
		
		$thread_pages_string .= $this_pagebit;
		
	}
	
	$thread_pages_string .= $postcode;
	
	return $thread_pages_string;
}



function CheckMessageText ($message_text, $removepostcrap = 1, $apb_censor = 1, $apb_wordwrap = 1)
{
	global $db, $n, $post_message_min_length, $nix_geschrieben, $post_message_max_length, $post_max_images, $post_max_smilies, $zuviele_buchstaben, $zuviele_grafiken, $zuviele_smilies;
	global $CheckMessageError;
	
	if ( strlen(str_replace(" ", "", $message_text)) < $post_message_min_length )
	{
		$CheckMessageError = $nix_geschrieben;
		return 0;
	}
	
	if ( ($post_message_max_length > -1) && (strlen($message_text) > $post_message_max_length) )
	{
		eval ("\$zuviele_buchstaben = \"$zuviele_buchstaben\";");
		$CheckMessageError = $zuviele_buchstaben;
		return 0;
	}
	
	if ($post_max_images > -1)
	{
		if ( substr_count(strtolower($message_text), "[img]") + substr_count(strtolower($message_text), "<img src=") > $post_max_images)
		{
			eval ("\$zuviele_grafiken = \"$zuviele_grafiken\";");
			$CheckMessageError = $zuviele_grafiken;
			return 0;
		}
	}
	
	if ($post_max_smilies > -1)
	{
		if ( substr_count(parseSmilies($message_text), "<img src=") > $post_max_smilies)
		{
			eval ("\$zuviele_smilies = \"$zuviele_smilies\";");
			$CheckMessageError = $zuviele_smilies;
			return 0;
		}
	}
	
	if ($apb_censor == 1)
	{
		$message_text = apb_censor($message_text);
	}
	
	if ($apb_wordwrap == 1)
	{
		$message_text = apb_wordwrap($message_text);
	}
	
	if ($removepostcrap == 1)
	{
		$message_text = RemovePostCrap($message_text);
	}
	
	return $message_text;
	
}


function apb_setcookie ($cookie_name, $cookie_data = "", $time = 0, $store_db = 0)
{
	global $cookie_path, $cookie_domain, $UserInformation, $apb_user, $db_cookie_array, $db, $n;
	
	if ( ($store_db == 1) && ($apb_user[userid] != "") )
	{
		$db_cookie_array["$cookie_name"] = $cookie_data;
		$db_cookie_string = addslashes( serialize( $db_cookie_array ) );
		$db->query ("UPDATE apb".$n."_user_table SET cookie_array = '$db_cookie_string' WHERE userid = '$apb_user[userid]'");
	}
	
	if ($cookie_domain != "")
	{
		setcookie($cookie_name, $cookie_data, $time, $cookie_path, $cookie_domain);
	}
	else
	{
		setcookie($cookie_name, $cookie_data, $time, $cookie_path);
	}
}
	

function apb_getstamp_firstdayofweek() 
	{
	global $server_zeit_unterschied, $first_day_of_the_week;
	$akt_zeit = time() + ($server_zeit_unterschied * 3600);
	$zeit = mktime(0, 0, 0, date("m",$akt_zeit), date("d",$akt_zeit), date("Y",$akt_zeit) );
	$day_of_week = date('w',$zeit);
	while ($day_of_week != "$first_day_of_the_week") 
		{
		$zeit -= 86400;
		$day_of_week = date('w',$zeit);
		}
	return $zeit;
	}


// ####################################  Word-Wrap   #########################################
function apb_wordwrap($text, $width = 70)
{
	$zeilen = explode("\n",$text);
	$j = 0; // APBoard
	while (list(, $zeile) = each($zeilen)) {
		$woerter = explode (" ", $zeile);
		$j++;
		$i = 0;
		while (list(, $wort) = each($woerter)) {
			$i++;
			if ( is_int(strpos($wort, "[img")) || is_int(strpos($wort, "[url")) || is_int(strpos($wort, "[email")) || is_int(strpos($wort, "http://")) || (strpos($wort, "https://")) || (strpos($wort, "ftp://")) ) {
				$neutext .= $wort." ";
				continue;
			}
			while (strlen($wort) > $width) { 
				$neutext .= substr($wort,0,$width)." ";
				$wort = substr($wort,$width); 
			} // APBoard
			$neutext .= $wort;
			if ($i != sizeof($woerter)) {
				$neutext .= " ";
			}
		}
		if ($j != sizeof($zeilen)) {
			$neutext .= "\n";
		}
	}
	return $neutext;	
}




function apb_censor($text) 
	{
	global $n, $php_path, $db;
	$result = $db->query("SELECT oldword, newword FROM apb".$n."_censor");// APboard
	while($thiscensor = $db->next_record($result))
		{
		trim($thiscensor[newword]);
        if ($thiscensor[newword] == "") 
            { 
            $text = eregi_replace($thiscensor[oldword], (substr($thiscensor[oldword], 0, 1).str_repeat("*",(strlen($thiscensor[oldword])-1))), $text); 
            } 
		else 
			{
			$text = eregi_replace($thiscensor[oldword], $thiscensor[newword], $text);
			}
		}
	return $text;
	}

function APBGetLanguage($thissite) 
	{
	global $n, $php_path, $db, $langfile, $language;
	unset($langfile_content);
	unset($line);
	unset($lang_string_begin);
	unset($lang_string);
	unset($lang_array);
	unset($result);
	unset($thisquery);
	unset($this);
	$langfile_content = file($langfile);
	while (list ($line_num, $line) = each ($langfile_content))
		{
		$line = trim($line);
		$this = explode("|", $line);
		if ($this[0] == $thissite) 
			{
			$lang_string_begin = strpos($line, "|");
			$lang_string = substr($line, $lang_string_begin+1);
			$lang_array = explode("|", $lang_string);
			$lang_string = "'".implode("', '", $lang_array)."'";
			$result = $db->query("SELECT bezeichnung, ".$language." FROM apb".$n."_language WHERE bezeichnung IN ($lang_string)");// APboard
			while ($thisquery = $db->next_record($result))
				{
				$lang[$thisquery[bezeichnung]] = $thisquery[$language];
				}
			}
		}
	return $lang;
	}



function getUserPersmissions($userid = "") {
	global $db, $n, $mysqldb;
	
	$db->Database = $mysqldb;
	
	$perm_fields = $db->metadata("apb".$n."_user_groups");
	reset($perm_fields);
	
	while(list(,$akt_perm) = each($perm_fields))
	{
		if (substr($akt_perm["name"], 0, 4) == "can_")
		{
			$perm_names[] = $akt_perm["name"];
		}
	}
	
	if ($userid != "")
	{
		$user = $db->query_first ("SELECT * FROM apb".$n."_user_table WHERE userid = '$userid'");
		if (!$user)
		{
			return 0;
		}
		$usergroups = $user[usergroups];
	}
	if ($usergroups == "")
	{
		$usergroups = ",1,";
	}
	
	$usergroups = $db->query ("SELECT * FROM apb".$n."_user_groups WHERE groupid IN (''".$usergroups."'')");
	$userperms = array();
	
	while ($akt_group = $db->next_record($usergroups))
	{
		reset($perm_names);
		while (list($test,$akt_perm) = each($perm_names))
		{
			$userperms["$akt_perm"] = ($userperms["$akt_perm"] or $akt_group["$akt_perm"]);
		}
	}
	
	reset($userperms);
	return $userperms;
	
}




// ################################  Check Chars  ##################################################
function CheckChars($usr_name)
	{
	for ( $i=0 ; $i<strlen($usr_name) ; $i++ ) 
		{
		$this_char = ord(substr($usr_name,$i,1));
		if ($this_char<45) { return FALSE; }
		 // APBoard
		if ($this_char>45 && $this_char<48) { return FALSE; }
		if ($this_char>57 && $this_char<65) { return FALSE; }
		if ($this_char>90 && $this_char<95 && !$this_char==91 && !$this_char==93) { return FALSE; }
		if ($this_char>95 && $this_char<97) { return FALSE; }
		if ($this_char>122) { return FALSE; }
		}
	return TRUE;
	}


function init_functions()
{
	
	if (!function_exists("str_repeat"))
	{
		function str_repeat ($str, $num=0)
		{
			if ($num < 0)
				return false;
			
			if ($str == "" || $num == 0)
				return "";
			
			while($num > 0)
			{
				$out .= $str;
				$num--;
			}
			
			return $out;
		}
	}
	
	if (!function_exists("in_array"))
	{
		function in_array($needle,$haystack)
		{
			for ($akt_item = 0; $akt_item < count($haystack) && $haystack[$akt_item] != $needle; $akt_item++);
			return ($akt_item != count($haystack));
		}
	}
	
	if (!function_exists("substr_count"))
	{
		function substr_count($string,$search) {
			$temp = str_replace($search,$search."a",$string);
			return strlen($temp)-strlen($string);
		}
	}
	
}	




// ##################################  Output  ####################################################

function print_mb ($text, $font, $size)
	{
	global $cfg;
	if (!$font) $font = $font;
	if (!$size) $size = "2";
	echo "<FONT FACE=\"$font\" SIZE=\"$size\">$text</FONT>";
	}



// ############################  Error-Message  ###########################################
function apb_error($error_msg, $is_critical, $include_header = false)
{
	global $cfg, $bgcol, $fontcolor, $tablebg, $tableA, $tableB, $tableC, $font, $fehler, $server_meldung, $zurueck_klicken, $hier, $webmaster_kontakt;
	//echo "<HTML><BODY BGCOLOR=\"".$bgcol."\" TEXT=\"$fontcolor\">
	echo "
<TABLE BGCOLOR=\"$tablebg\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\" ALIGN=\"CENTER\" WIDTH=\"95%\">
	<TR BGCOLOR=\"$tableC\">
		<TD><B><FONT FACE=\"$font\" SIZE=2>$fehler</B></FONT></TD>
	</TR>
	<TR BGCOLOR=\"$tableA\">
		<TD>
			<FONT FACE=\"$font\" SIZE=2>".$server_meldung."<BR><BR>
			<b><CENTER>$error_msg</CENTER></b><BR>
			<BR>$zurueck_klicken<A HREF=\"javascript:history.back(1)\">".$hier."</A>.";

	if ($is_critical) {
		echo "<BR><CENTER>".$webmaster_kontakt."</CENTER>";
	}
	echo "</FONT>
		</TD>
	</TR>
</TABLE>";

	include "_footer.inc";
	exit;
}




// ###############################  Message-Boxes  ################################################
function message_box ($message, $title = "--standart--")
	{
	global $cfg, $php_path, $bgcol, $fontcolor, $tablebg, $tableC, $font, $tableA, $hinweis, $zurueck, $sess_link2, $suffix;
	if ($title == "--standart--") 
		{
		$title = $hinweis;
		} // APBoard
	echo "<TABLE BGCOLOR=\"$tablebg\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\" ALIGN=\"CENTER\">
	<TR BGCOLOR=\"$tableC\">
		<TD><FONT FACE=\"$font\" SIZE=2><B>$title</B></FONT></TD>
	</TR>
	<TR BGCOLOR=\"$tableA\" ALIGN=\"CENTER\">
		<TD>
			<P>&nbsp;</P>
			<P><FONT FACE=\"$font\" SIZE=2>$message</FONT></P>
			<P>&nbsp;</P>
		</TD>
	</TR>
	<TR BGCOLOR=\"$tableC\" ALIGN=\"CENTER\">
		<TD><FONT FACE=\"$font\" SIZE=2>&nbsp;&nbsp;&nbsp;[ <A HREF=\"Javascript:history.back(1)\">$zurueck</A> | <A HREF=\"$php_path/main.$suffix$sess_link2\">Index</A> ]&nbsp;&nbsp;&nbsp;</TD></FONT>
	</TR>
	</TABLE>";
	}


function question_box ($question, $message, $title = "--standart--")
	{
	global $cfg, $php_path, $bgcol, $fontcolor, $tablebg, $tableC, $font, $tableA, $hinweis;
	if ($title == "--standart--") 
		{
		$title = $hinweis;
		} // APBoard
	echo "<TABLE BGCOLOR=\"$tablebg\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"2\" ALIGN=\"CENTER\">
	<TR BGCOLOR=\"$tableA\">
		<TD><FONT FACE=\"$font\" SIZE=2><B>$title</B></FONT></TD>
	</TR>
	<TR BGCOLOR=\"$tableC\" ALIGN=\"CENTER\">
		<TD>
			<P>&nbsp;</P>
			<P><FONT FACE=\"$font\" SIZE=2>$question</FONT></P>
			<P>&nbsp;</P>
		</TD>
	</TR>
	<TR BGCOLOR=\"$tableA\" ALIGN=\"CENTER\">
		<TD><FONT FACE=\"$font\" SIZE=2>$message</TD></FONT>
	</TR>
	</TABLE>";
	}


function login_box ($refer_to = "", $specific_logintext = "")
{
	global $db, $sess_id, $t, $tablebg, $tableA, $tableB, $tableC, $font;
	
	//Sprachdaten
	global $einloggen, $info_text1, $benutzername_eingabe, $benutzername_info, $passwort_eingabe, $passwort_info;
	
	$lang_login = APBGetLanguage("loginbox");
	
	if ($t->classname != "Template")
	{
		$t = new Template("./templates/default/", "keep");
	}
	
	$t->set_file("loginbox", "login.box.tpl");
	
	if ($refer_to != "")
	{
		$t->set_var("login_refer_to", $refer_to);
	}
	
	$t->set_var("suffix", $suffix);
	
	$t->set_var("login_tablebg", $tablebg);
	$t->set_var("login_tableA", $tableA);
	$t->set_var("login_tableB", $tableB);
	$t->set_var("login_tableC", $tableC);
	$t->set_var("login_font", $font);
	
	$t->set_var("lang_einloggen", $lang_login["login_title"]);
	
	if ($specific_logintext != "")
	{
		$t->set_var("lang_info_text1", $specific_logintext);
		$t->set_var("lang_info_text2", "");
	}
	else
	{
		$t->set_var("lang_info_text1", $lang_login["login_infotext1"]);
		$t->set_var("lang_info_text2", $lang_login["login_infotext2"]);
	}
	
	$t->set_var("lang_benutzername_eingabe", $benutzername_eingabe);
	$t->set_var("lang_benutzername_info", $benutzername_info);
	$t->set_var("lang_passwort_eingabe", $passwort_eingabe);
	$t->set_var("lang_passwort_info", $passwort_info);
	
	
	// Ausgabe der Login-Form
	$t->parse('loginbox_output', 'loginbox');
	$t->p('loginbox_output');
	
}



// ###############################  Table out  ####################################################
function mOpenTable($width)
	{
	global $cfg, $tablebg;
	if ($width == -1) 
		{
		echo "<TABLE WIDTH=\"95%\" BORDER=0 cellspacing=1 cellPadding=6 align=\"center\" bgcolor=\"$tablebg\">";
		} 
	else 
		{
		echo "<table width=\"$width\" border=0 cellspacing=1 cellPadding=6 align=\"center\" bgcolor=\"$tablebg\">";
		}
	}

function mCloseTable()
	{
	echo "</table>\n";
	}

function mOpenRow($bgcolor,$is_top_aligned)
	{
	if ($is_top_aligned) echo "<tr valign=\"top\" bgcolor=\"$bgcolor\">";
	else echo "<tr bgcolor=\"$bgcolor\">";
	}

function mCloseRow()
	{
	echo "</tr>";
	}

function mOpenCol($width)
	{
	if ($width == -1) 
		{
		echo "<td>&nbsp;";
		return;
		} 
	else 
		{ // APBoard
		echo "<td width=\"$width\">&nbsp;";
		}
	}

function mCloseCol()
	{
	echo "</td>";
	}

?>