<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */

include "_language.inc";
include "__config.inc";


$ustring = CookieAuth($UserInformation);


if (!$action)
{
	
	$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;Sidebar hinzuf&uuml;gen";
	include "_header.inc";
	
	if (!$t)
	{
		include "template.inc";
		$t = new Template("./templates/default/", "remove");
	}
	
	$boards = $db->query("SELECT boards.boardid, boards.boardname, categories.catname FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE boards.categoryparentid = categories.catid AND boards.boardpassword = '' ORDER BY categories.sortit, boards.sortit, boards.boardname");
	
	$t->set_file ("sidebar", "sidebar.default.tpl");
	$t->set_block ("sidebar", "sb_boards_block", "sb_block");
		
	while ($thisboard = $db->next_record($boards)) {
		if ($thisboard[catname] != $old_cat) {
			$cat_str = "---- $thisboard[catname] -------------------------------------------------------------";
			$cat_str = substr($cat_str, 0, 55);
			$t->set_var ("sb_boards_cat_name", $cat_str);
		} else {
			$t->set_var ("sb_boards_cat_name", "");
		}
		
		$t->set_var ("sb_board_value", $thisboard[boardid]);
		$t->set_var ("sb_board_desc", $thisboard[boardname]);
		
		$old_cat = $thisboard[catname];
		$t->parse("sb_block", "sb_boards_block", true);
	}
	
	$t->set_var("suffix", $suffix);
	
	$t->set_var("sb_tablebg", $tablebg);
	$t->set_var("sb_tableA", $tableA);
	$t->set_var("sb_tableB", $tableB);
	$t->set_var("sb_tableC", $tableC);
	
	$t->set_var("master_board_name", $master_board_name);
	$t->set_var("php_path", $php_path);
	
	$t->parse("finaloutput", "sidebar");
	$t->p("finaloutput");
	
	include "_footer.inc";
	
}
else if ($action == "getlastthreads")
{
	
	$anzahl += 0;
	if ($anzahl == 0)
	{
		$anzahl = 10;
	}
	
	if (!$t)
	{
		include "template.inc";
		$t = new Template("./templates/default/", "remove");
	}
	
	$t->set_file ("sidebar", "sidebar.lastthreads.tpl");
	$t->read_vars("sidebar");
	
	$timeformat = $t->get_var("timeformat");
	$t->set_var("timeformat", "");
	
	$t->set_block("sidebar", "sidebar_threads", "threads");
	
	$t->set_var("suffix", $suffix);
	
	$t->set_var("header_html_extra", "");
	$t->set_var("header_title", $master_board_name);
	$t->set_var("vars_referer", "$php_path/sidebar.$suffix?action=getlastthreads&anzahl=$anzahl");
	$t->set_var("vars_referer_time", "300");
	$t->set_var("header_style_sheet", $cfg[css]);
	$t->set_var("header_bgimage", ($hgpicture == "" ? "" : "background=\"$hgpicture\"") );
	$t->set_var("header_bgfixed", ($bgfixed == "" || $bgfixed == "0" ? "" : "bgproperties=fixed") );
	
	$t->set_var("header_basefont", $font);
	$t->set_var("header_bgcolor", $bgcol);
	$t->set_var("header_fontcolor", $fontcolor);
	$t->set_var("header_linkcolor", $links);
	$t->set_var("header_activecolor", $active);
	$t->set_var("header_visitedcolor", $visited);
	$t->set_var("header_body_extra", $body_extra);
	$t->set_var("header_header_extra", "");
	
	$t->set_var("master_board_location", "$php_path/main.$suffix");
	$t->set_var("master_board_name", $master_board_name);
	$t->set_var("timeformat2", $timeformat);
	
	if ($boards != "")
	{
		$boards = explode ("X", $boards);
		while (list(,$akt_board) = each ($boards))
		{
			$akt_board += 0;
			if ($akt_board != 0)
			{
				$boards2[] = $akt_board;
			}
		}
		
		$last_threads = $db->query("SELECT threadid, threadname, boardparentid, topicicon, timelastreply, views FROM apb".$n."_threads AS threads, apb".$n."_boards AS boards WHERE boards.boardid IN (" . implode (", ", $boards2) . ") AND threads.boardparentid = boards.boardid AND threads.flags != 2 AND boards.boardpassword = '' ORDER BY timelastreply DESC, threadname LIMIT 0,$anzahl");// APboard
	} else {
		$last_threads = GetLastThreads($anzahl);
	}
	
	
	while ($akt_thread = $db->next_record($last_threads))
	{
		$t->set_var("thread_location", "$php_path/thread.$suffix?id=$akt_thread[threadid]");
		$t->set_var("thread_id", $akt_thread[threadid]);
		$t->set_var("thread_name", $akt_thread[threadname]);
		$t->set_var("thread_topicicon", $akt_thread[topicicon]);
		$t->set_var("thread_timelastreply", strftime ($timeformat, $akt_thread[timelastreply]) );
		$t->set_var("thread_views", $akt_thread[views]);

		$t->parse("threads", "sidebar_threads", true);
	}
	
	$t->parse("finaloutput", "sidebar");
	$t->p("finaloutput");
	
}

?>