<?
/*   ********************************************************************   **
**   Copyright (C) 2000      Alexander Mieland                              **
**   Copyright (C) 2000-     APP - Another PHP Programs                     **
**   http://www.php-zentrale.de/index.php?site=apboard                       **
**   ********************************************************************   */


if ($action == "get_upload") $not_compress = 1;
require "_language.inc";
require "__config.inc";

if ($action == "set_boards_visited") {
	
	$ustring = CookieAuth($UserInformation);
	
	$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;Boards als gelesen markieren";
	
	if ($set_boards == "yes") {
		
		$akt_zeit = time();
		
		if ($all_boards == "yes") {
			
			$boards = $db->query("SELECT boardid FROM apb".$n."_boards");
			while ($thisboard = $db->next_record($boards)) {
				$board_ids[] = $thisboard[0];
			}
			
			while(list($key, $val) = each($board_ids)) {
				$last_visit_array[$val] = $akt_zeit;
			}
			
			$last_visit = "";
			reset($last_visit_array);
			while(list($key, $val) = each ($last_visit_array) ) {
				if ($val != "") {
					$last_visit .= "$key--$val||";
				}
			}
			apb_setcookie("last_visit", $last_visit, time() + (60*60*24*365));
			apb_setcookie("session_last_visit", $last_visit, 0);
			
			include "_header.inc";
			
			$message = "Die ausgew&auml;hlten Boards wurden als gelesen markiert.";
			
			message_box($message);
			include "_footer.inc";
			exit;
			
			
		} else {
			
			if (sizeof($board_ids) == 0) {
				include "_header.inc";
				apb_error("Keine Boards ausgew&auml;hlt", FALSE);
			}
			
			$new_last_visit_array = explode("||", $last_visit);
			while (list(,$val) = each($new_last_visit_array) )
			{
				$delim = strpos($val, "--");
				$key = substr($val, 0, $delim);
				$new_last_visit_array2[$key] = substr($val, $delim+2);
			}
			
			$new_session_visit = explode("||", $session_last_visit);
			while (list(,$val) = each($new_session_visit) )
			{
				$delim = strpos($val, "--");
				$key = substr($val, 0, $delim);
				$new_session_visit2[$key] = substr($val, $delim+2);
			}
			
			while(list($key, $val) = each($board_ids)) {
				if ($val == "") {
					continue;
				}
				$new_last_visit_array2[$val] = $akt_zeit;
				$new_session_visit2[$val] = $akt_zeit;
			}
			reset($new_last_visit_array2);
			reset($new_session_visit2);
			
			$last_visit = "";
			while(list($key, $val) = each ($new_last_visit_array2) ) {
				if ($val != "") {
					$last_visit .= "$key--$val||";
				}
			}
			apb_setcookie("last_visit", $last_visit, time() + (60*60*24*365));
			
			$session_last_visit = "";
			while(list($key, $val) = each ($new_session_visit2) ) {
				if ($val != "") {
					$session_last_visit .= "$key--$val||";
				}
			}
			apb_setcookie("session_last_visit", $session_last_visit, 0);
			
			include "_header.inc";
			
			$message = "Die ausgew&auml;hlten Boards wurden als gelesen markiert.";
			
			message_box($message);
			include "_footer.inc";
			exit;
			
		}
	
	
	} else {
		
		$boards = $db->query("SELECT boards.boardid, boards.boardname, categories.catname FROM apb".$n."_boards as boards, apb".$n."_categories as categories WHERE boards.categoryparentid = categories.catid ORDER BY categories.sortit, boards.sortit, boards.boardname");
		
		include "_header.inc";
		$question = "Welche Boards sollen als gelesen markiert werden?";
		$message = "<TABLE WIDTH=\"95%\" BORDER=0>\n<TR>\n<TD>";
		$message .= "<FONT SIZE=\"2\" FACE=\"$font\">\n";
		$message .= "<FORM ACTION=\"useraction.$suffix\" METHOD=POST>\n";
		$message .= "<INPUT TYPE=HIDDEN NAME=\"action\" VALUE=\"set_boards_visited\">\n";
		$message .= "<INPUT TYPE=HIDDEN NAME=\"sess_id\" VALUE=\"$sess_id\">\n";
		$message .= "<INPUT TYPE=HIDDEN NAME=\"set_boards\" VALUE=\"yes\">\n";
		$message .= "<INPUT TYPE=RADIO NAME=\"all_boards\" VALUE=\"yes\"> Alle Boards<BR><BR>\n";
		$message .= "<INPUT TYPE=RADIO NAME=\"all_boards\" VALUE=\"no\"> einzelne Boards:<BR><BR>\n";
		$message .= "<DIV ALIGN=\"CENTER\">\n";
		$message .= "<SELECT NAME=\"board_ids[]\" size=\"10\" multiple>\n";
		
		while ($thisboard = $db->next_record($boards)) {
			if ($thisboard[catname] != $old_cat) {
				
				$cat_str = "---- $thisboard[catname] -------------------------------------------------------------";
				$cat_str = substr($cat_str, 0, 55);
				$message .= "<option value=\"\"> $cat_str </option>\n";
				
			}
			
			$message .= "<option value=\"$thisboard[boardid]\">".$thisboard[boardname]."</option>\n";
			$old_cat = $thisboard[catname];
		}
		
		$message .= "</SELECT>\n<BR><BR>";
		$message .= "</DIV>\n";
		$message .= "<INPUT TYPE=SUBMIT VALUE=\"gew&auml;hlte Boards als gelesen markieren\">\n";
		$message .= "</FORM>\n";
		$message .= "</FONT>\n";
		$message .= "</TD>\n</TR>\n</TABLE>";
		
		
		
		question_box($question, $message, "Boards ausw&auml;hlen");
		include "_footer.inc";
		exit;
		
	}
	
	
} elseif ($action == "direct_goto_post") {
	
	$ustring = CookieAuth($UserInformation);
	$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;direkter Zugriff auf Beitrag";

	if (isset($postid) && $postid != 0) {
		
		$post = GetPostInfo($postid);
		
		if (!($post = $db->next_record($post)) ) {
			include "_header.inc";
			apb_error("Der angegebene Beitrag existiert nicht!", FALSE);
		}
		
		$threadpid = $post[threadparentid];
		$posttime = $post[posttime];
		
		$thread_info = GetThreadInfo($threadpid);
		$thread_info = $db->next_record($thread_info);
		$boardpid = $thread_info[boardparentid];
		
		
		$post_pos_in_thread = $db->query_first("SELECT COUNT(*) FROM apb".$n."_posts WHERE threadparentid = '$threadpid' AND posttime < '$posttime'");
		$post_pos_in_thread = $post_pos_in_thread[0];
		
		$post_start = (ceil( ($post_pos_in_thread + 1) / $posts_per_page ) - 1) * $posts_per_page + 1;
		$url = "$php_path/thread.$suffix?id=$threadpid&start=$post_start$sess_link1#$post_pos_in_thread";
		
		header('Status: 302 Moved Temporarily');
		header("Location: $url");
		exit;
	
	}


} elseif ($action == "forumjump") {
	
	$ustring = CookieAuth($UserInformation);
	$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;Springen zu Forum";

	if (isset($forumid) && $forumid != "") {
		
		if (substr($forumid, 0, 4) == "kat_")
		{
			$forumid = substr($forumid, 4);
			$forumid = str_replace(" ", "+", $forumid);
			$url = "$php_path/main.$suffix?cat=$forumid$sess_link1";
		}
		elseif (substr($forumid, 0, 6) == "board_")
		{
			$forumid = substr($forumid, 6);
			$forumid += 0;
			$url = "$php_path/board.$suffix?id=$forumid$sess_link1";
		}
		else
		{
			$url = "$php_path/$forumid$sess_link2";
		}
		
		header('Status: 302 Moved Temporarily');
		header("Location: $url");
		exit;
	
	} else {
		
		include "_header.inc";
		apb_error("Kein Ziel angegeben!", FALSE);
		
	}
	
} elseif ($action == "subscribe_thread") {
	
	if ($threadid == "") {
		include "_header.inc";
		apb_error("Kein Thread angegeben!", FALSE);
	}
	
	$threadid += 0;
	
	$ustring = CookieAuth($UserInformation);
	$userdat = $db->query_first("SELECT username, status, useremail FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]'");
	$useremail = $userdat[useremail];
	
	$thread = $db->query_first("SELECT * FROM apb".$n."_threads WHERE threadid = '$threadid'");
	
	$thread_email = $thread[email];
	
	if (!is_int(strpos($thread_email, $useremail))) {
		$new_email = ($thread_email != "" ? "$thread_email,$useremail" : $useremail);
		$db->query("UPDATE apb".$n."_threads SET email = '$new_email' WHERE threadid = '$threadid'");
		
		include "_header.inc";
		$message = "Der Thread wurde abboniert. In Zukunft wirst Du bei neuen Antworten in dem Thread per Mail informiert.<br><br>\n";
		$message .= "Du kannst das jederzeit in Thread-Ansicht dieses Threads wieder rckgngig machen.";
		message_box($message);
		include "_footer.inc";
	} else {
		include "_header.inc";
		$message = "Diesen Thread hattest Du bereits abboniert.";
		message_box($message);
		include "_footer.inc";
	}

} elseif ($action == "unsubscribe_thread") {
	
	if ($threadid == "") {
		include "_header.inc";
		apb_error("Kein Thread angegeben!", FALSE);
	}
	
	$threadid += 0;
	
	$ustring = CookieAuth($UserInformation);
	$userdat = $db->query_first("SELECT username, status, useremail FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]'");
	$useremail = $userdat[useremail];
	
	$thread = $db->query_first("SELECT * FROM apb".$n."_threads WHERE threadid = '$threadid'");
	
	$thread_email = $thread[email];
	
	if (is_int(strpos($thread_email, $useremail))) {
		
		$old_email_array = explode(",", $thread_email);
		while (list($key,$val) = each($old_email_array)) {
			if (($val != $useremail) && ($val != "")) {
				$new_email_array[] = $val;
			}
		}
		
		$new_email = ($new_email != "" ? implode(",", $new_email_array) : "");
		$db->query("UPDATE apb".$n."_threads SET email = '$new_email' WHERE threadid = '$threadid'");
		
		include "_header.inc";
		$message = "Das Abbo dieses Threads wurde abbestellt. In Zukunft wirst Du bei neuen Antworten in dem Thread per Mail <b>nicht mehr</b> informiert.<br><br>\n";
		$message .= "Du kannst das jederzeit in Thread-Ansicht dieses Threads wieder rckgngig machen.";
		message_box($message);
		include "_footer.inc";
	} else {
		include "_header.inc";
		$message = "Diesen Thread hast Du noch nicht abboniert.";
		message_box($message);
		include "_footer.inc";
	}
	
} elseif ($action == "rate") {
	
	$ustring = CookieAuth($UserInformation);
	if (!$logged) {
		include "_header.inc";
		apb_error($nur_reg_benutzer1."<A HREF=\"$php_path/register.$suffix\">".$nur_reg_benutzer2."</A>".$nur_reg_benutzer3."<A HREF=\"$php_path/login.$suffix\">".$nur_reg_benutzer2."</A>".$nur_reg_benutzer4,FALSE);
	}
	
	$userdat = $db->query_first("SELECT userid FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]'");
	
	if ($type == "threadrate") $target_string = "Thread";
	elseif ($type == "userrate") $target_string = "Benutzer";
	
	$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;$target_string bewerten";
	
	if ($type != "threadrate" && $type != "userrate") {
		include "_header.inc";
		apb_error("Keine Art der Bewertung angegeben!", FALSE);
	}
	end($possible_thread_votes);
	$upper_limit = key($possible_thread_votes);
	if (!isset($vote) || $vote < 0 || $vote > $upper_limit) {
		include "_header.inc";
		apb_error("Keine oder ungltige Bewertung angegeben!", FALSE);
	}
	
	$target += 0;
	
	if ($target < 1) {
		include "_header.inc";
		apb_error("Kein Ziel angegeben!", FALSE);
	}
	
	if ($type = "threadrate") {
		$thread = $db->query ("SELECT * FROM apb".$n."_threads WHERE threadid = '$target'");
		if (!$akt_thread = $db->next_record ($thread)) {
			include "_header.inc";
			apb_error("Der angegebene Thread existiert nicht!", FALSE);
		}
	} elseif ($type = "userrate") {
		$user = $db->query ("SELECT * FROM apb".$n."_user WHERE userid = '$target'");
		if (!$akt_user = $db->next_record ($user)) {
			include "_header.inc";
			apb_error("Der angegebene Benutzer existiert nicht!", FALSE);
		}
	}
	
	$vote_first = $db->query ("SELECT * FROM apb".$n."_rate WHERE type = '$type' AND target = '$target' AND userid = '$userdat[userid]'");
	$vote_first = $db->next_record($vote_first);
	
	if ( ($vote_only_once == "1") && ($can_change_vote != "1") && $vote_first ) {
		include "_header.inc";
		apb_error("Fr diesen $target_string hast du schon eine Bewertung abgegeben.<br>Es ist nur mglich, eine Bewertung abzugeben.", FALSE);
	}
	
	$zeit = time();
	
	if ($vote_only_once == "1" && $can_change_vote == "1" && $vote_first) {
		$db->query ("UPDATE apb".$n."_rate SET vote = '$vote', zeit = '$zeit', ip = '$user_ip' WHERE rateid = '$vote_first[rateid]'");
		$vote_changed = 1;
	} else {
		$db->query ("INSERT INTO apb".$n."_rate VALUES ('', '$type', '$target', '$userdat[userid]', '$vote', '$zeit', '$user_ip')");
	}
	
	$target_new_results = $db->query_first ("SELECT COUNT(*) as anzahl, SUM(vote) as summe FROM apb".$n."_rate WHERE type = '$type' AND target = '$target'");
	if ($type = "threadrate") {
		$vote_average = $target_new_results[summe] / $target_new_results[anzahl];
		$db->query ("UPDATE apb".$n."_threads SET votecount = '$target_new_results[anzahl]', votetotal = '$target_new_results[summe]', voteaverage = '$vote_average' WHERE threadid = '$target'");
	}
	
	if ($type = "threadrate") {
		$referer = "$php_path/thread.$suffix?id=$target";
		$message = "Danke f&uuml;r deine Bewertung. Du hast deine Bewertung erfolgreich abgegeben. <br><br>";
		if ($vote_changed == 1) {
			$old_vote = $possible_thread_votes[$vote_first[vote]];
			$message .= "Du hattest vorher schon eine Bewertung fr diesen Thread abgegeben: <b>$old_vote</b> <br> Die alte Bewertung wurde durch deine neue Bewertung ersetzt. <br><br>";
			$refer_time = 10;
		}
		$message .= "Du wirst jetzt zurckgeleitet zu: <A HREF=\"$php_path/thread.$suffix?id=$target$sess_link1\">".RemoveCrap($akt_thread[threadname])."</A>";
	}
		
	include "_header.inc";
	message_box($message, "Bewertung abgegeben");
	include "_footer.inc";
	
} elseif ($action == "getstyle") {
	
	$board_style = GetStyle($BoardID);
	while($boardstyle = $db->next_record($board_style)) {
		$css = $boardstyle[css];
		eval ("\$cfg[css] = \"$css\";");
	}
	
	echo $cfg[css];
	
} elseif ($action == "gethelp") {
	
	$board_style = GetStyle($BoardID);
	while($boardstyle = $db->next_record($board_style)) {
		$bgcol = $boardstyle[bgcolor];
		$css = $boardstyle[css];
		eval ("\$cfg[css] = \"$css\";");
	}

	$helptext = $db->query_first("SELECT * FROM apb".$n."_help WHERE bezeichnung = '$helptext'");
	
	if ($helptext[deutsch] == "")
	{
		$helptext[deutsch] = "Zu diesem Hilfe-Thema ist kein Eintrag vorhanden.";
	}
	
	if ($helptext[width] != 0 && $helptext[heigth] != 0)
	{
		$onload = "onLoad=\"window.resizeTo($helptext[width],$helptext[heigth])\"";
	}
	
	echo "
<html>
<head>
<title>Hilfe</title>
<STYLE TYPE=\"text/css\">
<!--
$cfg[css]
//-->
</STYLE>
</head>

<body bgcolor=\"$bgcol\" $onload>
<br>
<div align=\"center\">

<table border=0 width=95%>
<tr>
	<td width=100% class=\"helptext\">
	$helptext[deutsch]
	</td>
</tr>
</table>

<br><br>

<form name=\"helpform\">
<input type=button value=\"Fenster schlieen\" onClick=\"window.close()\">
</form>

</div>

</body>
</html>";

} elseif ($action == "user_ignore") {
	
	$ustring = CookieAuth($UserInformation);
	$hstring = "<B><A HREF=\"$php_path/main.$suffix$sess_link2\">$master_board_name</A></B><BR>&nbsp;&nbsp;Ignore-Liste";
	if (!$logged) {
		include "_header.inc";
		apb_error($nur_reg_benutzer1."<A HREF=\"$php_path/register.$suffix\">".$nur_reg_benutzer2."</A>".$nur_reg_benutzer3."<A HREF=\"$php_path/login.$suffix\">".$nur_reg_benutzer2."</A>".$nur_reg_benutzer4,FALSE);
	}
	
	$userdat = $db->query_first("SELECT userid, userignorelist FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]'");
	$userignorelist = $userdat[userignorelist];
	
	if ($add != "")
	{
		$add += 0;
		if (is_int(strpos($userignorelist, ",$add,")))
		{
			include "_header.inc";
			apb_error("Dieser User ist bereits auf deiner Ignore-Liste",FALSE);
		}
		
		if ($userdat[userid] == $add)
		{
			include "_header.inc";
			apb_error("Du kannst dich nicht selbst in deine Ignore-Liste aufnehmen.",FALSE);
		}
		
		$ignore_user = $db->query("SELECT userid, publicname FROM apb".$n."_user_table WHERE userid='$add'");
		if (! ($ignore_user = $db->next_record($ignore_user)) )
		{
			include "_header.inc";
			apb_error("Der angegebene User existiert nicht!",FALSE);
		}
		
		if (substr($userignorelist, -1) != ",")
		{
			$new_userignorelist = $userignorelist . ",$add,";
		} else {
			$new_userignorelist = $userignorelist . "$add,";
		}
		
		$db->query("UPDATE apb".$n."_user_table SET userignorelist = '$new_userignorelist' WHERE userid='$userdat[userid]'");
		$message = "Du hast den User <b>$ignore_user[publicname]</b> erfolgreich in deine Ignore-Liste aufgenommen.";
		$msg_title = "User in Ignore-Liste aufgenommen";
		
		if (eregi("user.$suffix|thread.$suffix|board.$suffix", $HTTP_REFERER))
		{
			$referer = $HTTP_REFERER;
		} else {
			$referer = "$php_path/main.$suffix";
		}
		$refer_time = 3;
		
	}
	elseif ($remove != "")
	{
		$remove += 0;
		if (! (is_int(strpos($userignorelist, ",$remove,"))) )
		{
			include "_header.inc";
			apb_error("Dieser User ist nicht auf deiner Ignore-Liste",FALSE);
		}
		
		$ignore_user = $db->query("SELECT userid, publicname FROM apb".$n."_user_table WHERE userid='$remove'");
		if (! ($ignore_user = $db->next_record($ignore_user)) )
		{
			include "_header.inc";
			apb_error("Der angegebene User existiert nicht!",FALSE);
		}
		
		if (substr($userignorelist, -1) == ",")
		{
			$userignorelist = substr($userignorelist, 0, -1);
		}
		if (substr($userignorelist, 0, 1) == ",")
		{
			$userignorelist = substr($userignorelist, 1);
		}
		
		$new_userignorelist = ",";
		$userignorelist = explode(",", $userignorelist);
		while (list (,$akt_userid) = each ($userignorelist))
		{
			$new_userignorelist .= ($akt_userid == $remove ? "" : "$akt_userid,");
		}
		
		$db->query("UPDATE apb".$n."_user_table SET userignorelist = '$new_userignorelist' WHERE userid='$userdat[userid]'");
		$message = "Du hast den User <b>$ignore_user[publicname]</b> erfolgreich aus deiner Ignore-Liste entfernt.";
		$msg_title = "User aus Ignore-Liste entfernt";
		
		if (eregi("user.$suffix|thread.$suffix|board.$suffix", $HTTP_REFERER))
		{
			$referer = $HTTP_REFERER;
		} else {
			$referer = "$php_path/main.$suffix";
		}
		$refer_time = 3;
	}
	
	include "_header.inc";
	message_box($message, $msg_title);
	include "_footer.inc";
	
} elseif ($action == "get_upload") {
	
	$id += 0;
	$upload = $db->query_first ("SELECT * FROM apb".$n."_uploads WHERE id = '$id'");
	if ($id != $upload[id])
	{
		include "_header.inc";
		apb_error("Diese Datei existiert nicht!",FALSE);
	}
	if ($upload[is_hidden] != "0")
	{
		include "_header.inc";
		apb_error("Diese Datei ist nicht sichtbar/freigegeben!",FALSE);
	}
	
	$serverfilename = $upload_path . $upload[serverfilename];
	$endung = substr($upload[filename], strrpos($upload[filename], ".") + 1);
	$content_type = $registered_types["$endung"];
	if ($content_type == "") $content_type = "unknown/unknown";
	
	if (!file_exists($serverfilename))
	{
		include "_header.inc";
		apb_error("Diese Datei ist nicht auf dem Server gespeichert! Bitte wende dich an den Administrator.",FALSE);
	}
	
	$file_size = filesize ($serverfilename);
	
	if (function_exists("getallheaders"))
	{
		$headers = getallheaders();
	}
	
	if (substr($headers["Range"], 0, 6) == "bytes=")
	{
		
		header("HTTP/1.1 206 Partial Content");
		header("Content-Type: $content_type");
		header("Content-Disposition: attachment; filename=$upload[filename]");
		header("Accept-Ranges: bytes");
		header("Connection: close");
		
		$bytes = split("=",$headers["Range"]);
		$bytes = $bytes[1];
		
		if (eregi("^-([0-9]+)", $bytes, $bytes_len))
		{
			$bytes_len = $bytes_len[1];
   		$bytes_start = $file_size - $bytes_len;
   		$bytes_end = $file_size - 1;
   		header("Content-Length: ".$bytes_len);
		}
		elseif (eregi("([0-9]+)-$", $bytes, $bytes_start))
		{
			$bytes_start = $bytes_start[1];
			$bytes_end = $file_size - 1;
   		$bytes_len = $file_size - $bytes_start;
   		header("Content-Length: $bytes_len");
		}
		elseif (eregi("^([0-9]+)-([0-9]+)$", $bytes, $bytes_pos))
		{
			$bytes_start = $bytes_pos[0];
			$bytes_end = $bytes_pos[1];
			if ($bytes_start < 0 || $bytes_start > ($file_size - 1))
			{
				$bytes_start = 0;
			}
			if ($bytes_end < $bytes_start || $bytes_end > ($file_size - 1))
			{
				$bytes_end = $file_size - 1;
			}
			$bytes_len = $bytes_end - $bytes_start + 1;
			header("Content-Length: $bytes_len");
		} else {
			$bytes_start = 0;
			$bytes_end = $file_size - 1;
			$bytes_len = $bytes_end - $bytes_start + 1;
			header("Content-Length: $bytes_len");
		}
		
		if ($bytes_start == 0) $db->query ("UPDATE apb".$n."_uploads SET counter = counter + 1 WHERE id = '$id'");
		
  		header("Content-Range: bytes $bytes_start-$bytes_end/$file_size");
		
		$fp = fopen($serverfilename,"rb");
		fseek($fp, $bytes_start);
		$contents = fread ($fp, $bytes_len );
		fclose($fp);
		
		echo $contents;
		
	}
	else
	{
		
		$fp = fopen($serverfilename,"rb");
		$contents = fread ($fp, $file_size);
		fclose($fp);
		
		header("Content-Type: $content_type");
		header("Content-Disposition: attachment; filename=$upload[filename]");
		header("Accept-Ranges: bytes");
		header("Content-Length: " . strlen($contents));
		header("Connection: close");
		
		$db->query ("UPDATE apb".$n."_uploads SET counter = counter + 1 WHERE id = '$id'");
		
		echo $contents;
	}
	
} elseif ($action == "printthread") {
	
	$ustring = CookieAuth($UserInformation);
	SessionVisit();
	
	include "template.inc";
	
	$thread_info = GetThreadInfo($id);
	$thread_info = $db->next_record($thread_info);
	if (!$thread_info) {
		apb_error($thema_existiert_nicht,FALSE);
	}
	
	$board_info = GetBoardInfo($thread_info[boardparentid]);
	$board_info = $db->next_record($board_info);
	
	$board_style = GetStyle($board_info[boardid]);
	while($boardstyle = $db->next_record($board_style)) {
		$boardgfx = $boardstyle[image1];
	}
	
	if ($board_info[boardpassword] != "")
	{
		if (!$passwort && !$Cookie_Board_PW[$BoardID])
		{
			$url = "$php_path/thread.$suffix?id=$id$sess_link1";
			header('Status: 302 Moved Temporarily');
			header("Location: $url");
			exit;
		}
		else
		{
			if ( ($board_pw != $board_info[boardpassword])
			  && ($Cookie_Board_PW[$BoardID] != $board_info[boardpassword]) )
			{
				apb_error($pw_not_correct, 0);
			}
		}
	}
	
	$userignorelist = $db->query_first("SELECT userignorelist FROM apb".$n."_user_table WHERE userid='$UserInformation[uid]'");
	
	if ($userignorelist && ($dont_ignore_users != 1) )
	{
		$userignorelist = $userignorelist[userignorelist];
		if (substr($userignorelist, -1) == ",")
		{
			$userignorelist = substr($userignorelist, 0, -1);
		}
		if (substr($userignorelist, 0, 1) == ",")
		{
			$userignorelist = substr($userignorelist, 1);
		}
		$userignorelist = explode(",", $userignorelist);
	}
	else
	{
		$userignorelist = array();
	}
	
	$sql_query = "SELECT posts.*, users.* FROM apb".$n."_posts as posts LEFT JOIN apb".$n."_user_table as users ON posts.authorid = users.userid WHERE threadparentid='$id' AND flags = 0 ORDER BY posttime ASC";
	
	$posts = $db->query ($sql_query);
	
	$site_title = htmlspecialchars($thread_info[threadname]) . " -- " . $master_board_name;
	
	$print_t = new Template("./templates/default/", "keep");
	$print_t->set_file("printthread", "thread.print.tpl");
	
	$print_t->set_block("printthread", "message_block", "messages");
	
	$print_t->set_var("suffix", $suffix);
	$print_t->set_var("header_title", $site_title);
	$print_t->set_var("versions_nummer", $versions_nummer);
	$print_t->set_var("board_header_image", ($boardgfx != "" ? $boardgfx : "") );
	$print_t->set_var("php_path", $php_path);
	$print_t->set_var("master_board_name", $master_board_name);
	$print_t->set_var("cat_name", htmlspecialchars($board_info[catname]) );
	$print_t->set_var("cat_id", $board_info[catid]);
	$print_t->set_var("board_name", htmlspecialchars($board_info[boardname]) );
	$print_t->set_var("board_id", $board_info[boardid]);
	$print_t->set_var("thread_id", $id);
	$print_t->set_var("thread_name", htmlspecialchars($thread_info[threadname]) );
	
	while ($thismessage = $db->next_record($posts))
	{
		//$user_info = GetUserInfo($thismessage[authorname]);
		//$user_info = $db->next_record($user_info);
		
		$ignore_this_user = (in_array($thismessage[userid], $userignorelist) ? 1 : 0);
		
		$print_t->set_var("message_attachement", "");
		
		if ($ignore_this_user == 1) continue;
		
		if ($thismessage[upload_ids] != "")
		{
			$thismessage_uploads = $db->query("SELECT * FROM apb".$n."_uploads WHERE id IN (''".$thismessage[upload_ids]."'')");
			while ($this_upload = $db->next_record($thismessage_uploads))
			{
				$endung = substr($this_upload[filename], strrpos($this_upload[filename], ".") + 1);
				$filesize_bytes = sprintf("%1.1f", $this_upload[filesize] / 1024);
				$image_string = "<img src=\"" . ($dateiicon_array["$endung"] != "" ? $dateiicon_array["$endung"] : $dateiicon_array["default"]) .  "\" alt=\"$this_upload[filename] - $filesize_bytes KBs - Count: $this_upload[counter]\" title=\"$this_upload[filename] - $filesize_bytes KBs - Anzahl Downloads: $this_upload[counter]\" border=0 align=\"left\">";
				$attachement_string = "<a href=\"useraction.$suffix?action=get_upload&id=$this_upload[id]$sess_link1\">$image_string</a> ";
				$attachement_string .= "<b>$this_upload[filename]</b> - <b>$filesize_bytes KBs</b> <br> Downloads: $this_upload[counter]<br>";
				$attachement_string .= "<a href=\"useraction.$suffix?action=get_upload&id=$this_upload[id]$sess_link1\">$php_path/useraction.$suffix?action=get_upload&id=$this_upload[id]</a><br>";
				
			}
			$print_t->set_var("message_attachement", $attachement_string);
		}
		
		$print_t->set_var("message_author", $thismessage[publicname]);
		$print_t->set_var("message_posttime", HackDate2($thismessage[posttime], "d.m.Y, H:i"));
		$print_t->set_var("message_author", $thismessage[publicname]);
		$print_t->set_var("message_text", RemoveCrap($thismessage[message], $thismessage[disable_smilies]) );
		
		$print_t->parse("messages", "message_block", true);
		
	}
	
	$print_t->parse('finaloutput', 'printthread');
	$print_t->p('finaloutput');

} elseif ($action == "urlcopy") {
	
	include "template.inc";
	
	$copy_t = new Template("./templates/default/", "keep");
	$copy_t->set_file("copyurl", "misc.urlcopy.tpl");
	
	$board_style = GetStyle($BoardID);
	while($boardstyle = $db->next_record($board_style)) {
		$bgcol = $boardstyle[bgcolor];
		$css = $boardstyle[css];
		eval ("\$cfg[css] = \"$css\";");
	}
	
	$vars = array (
		"suffix" => $suffix,
		"vars_sess_link1" => $sess_link1,
		"vars_sess_link2" => $sess_link2,
		"vars_php_path" => $php_path,
		"copyurl_bgcol" => $bgcol,
		"copyurl_boardid" => $BoardID,
		"copyurl_style_sheet" => $cfg[css],
		"copyurl_openurl" => $copyurl
	);
	
	$copy_t->set_var ($vars);
	$copy_t->pparse("finaloutput", "copyurl");
	
}

?>